Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Chat about anything related to Linux Mint
User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 16, 2018 8:25 am

Warning in advance: Don't do this at home!
This is not a tutorial, but a docu soap with my own Mint 17.1 system as the guinea-pig.


Hello, everyone.

What finally triggered this idea:

This thread, Update from LM17 to LM19. It takes only 3 posts, and the idea has been cancelled. This is what made me pick it up. Trying to do what cannot be done, as the common perspective is. :wink:

Goal of this thread:

Find out whether it will be possible to upgrade my Mint 17.1 system in-place to Mint 19, following the official route of mintupdate and mintupgrade only, without breaking it beyond repair.

Planned steps:
  1. Upgrade my Mint 17.1 to Mint 17.3 in-place using MintUpdate .............. [1]
  2. Upgrade my Mint 17.3 to Mint 18.0 in-place using MintUpgrade 17.3.11 ... [2]
  3. Upgrade my Mint 18.0 to Mint 18.3 in-place using MintUpdate .............. [3]
  4. Upgrade my Mint 18.3 to Mint 19.0 in-place using MintUpgrade 18.3.11 ... [4]
Pure Madness? - Important Clarification:

This Mint 17.1 system has been my main Mint system for quite a while. But it no longer is. Quite a while ago it has been superseded by a Mint 18.1 32-bit xfce system, which has been installed from scratch.
So I am not foolish enough to put a Mint system at risk, which I need for my daily work.


Serious warning:

If your Mint 17.x system is your only Mint system and you depend on it, do not blindly adopt and follow my planned steps.
This will be an experiment. It is still undecided whether the final goal will be achieved or whether it will end with a borked system at some point in time.
Last edited by karlchen on Thu Sep 27, 2018 6:15 pm, edited 2 times in total.
Reason: added links to each completed upgrade step in order to make it easier to determine where we currently are.
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 16, 2018 8:27 am

Concise Mint 17.1 system overview (inxi -Fxz):

Code: Select all

System:    Host: unimatrix0 Kernel: 3.13.0-158-generic i686 bits: 32 gcc: 4.8.4
           Desktop: Cinnamon 2.4.8 (Gtk 3.10.8~8+qiana) Distro: Linux Mint 17.1 Rebecca
Machine:   Device: desktop Mobo: N/A model: N/A serial: N/A BIOS: American Megatrends v: 080015 date: 10/09/2009
CPU:       Dual core Intel Atom 330 (-MT-MCP-) arch: Bonnell rev.2 cache: 512 KB
           flags: (lm nx pae sse sse2 sse3 ssse3) bmips: 6399
           clock speeds: max: 1599 MHz 1: 1599 MHz 2: 1599 MHz 3: 1599 MHz 4: 1599 MHz
Graphics:  Card: NVIDIA ION VGA bus-ID: 03:00.0
           Display Server: X.Org 1.15.1 drivers: nouveau (unloaded: modesetting,fbdev,vesa)
           Resolution: 1280x1024@60.0hz
           OpenGL: renderer: Gallium 0.4 on NVAC version: 3.3 Mesa 10.1.3 Direct Render: Yes
Audio:     Card NVIDIA MCP79 High Definition Audio driver: snd_hda_intel bus-ID: 00:08.0
           Sound: Advanced Linux Sound Architecture v: k3.13.0-158-generic
Network:   Card-1: NVIDIA MCP79 Ethernet driver: forcedeth port: d080 bus-ID: 00:0a.0
           IF: eth0 state: down mac: <filter>
           Card-2: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) driver: ath9k bus-ID: 04:00.0
           IF: wlan0 state: up mac: <filter>
Drives:    HDD Total Size: 167.8GB (12.9% used)
           ID-1: /dev/sda model: SAMSUNG_HM160HI size: 160.0GB temp: 46C
           ID-2: USB /dev/sdb model: Premium size: 7.8GB temp: 0C
Partition: ID-1: / size: 48G used: 9.6G (22%) fs: ext4 dev: /dev/sda6
           ID-2: swap-1 size: 5.42GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 83.0C mobo: N/A gpu: 60.0
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 172 Uptime: 7 min Memory: 342.9/1761.8MB Init: Upstart runlevel: 2 Gcc sys: 4.8.4
           Client: Shell (bash 4.3.111) inxi: 2.3.56

Extra challenges specific to my Mint 17.1 system:
  1. Nvidia onboard graphics chip ION, driver nouveau
    The Nvidia graphics chip itself may be not be challenge, neither should the nouveau driver software be. Mentioned for completeness sake.

    Code: Select all

    Graphics:  Card: NVIDIA ION VGA bus-ID: 03:00.0
               Display Server: X.Org 1.15.1 drivers: nouveau (unloaded: modesetting,fbdev,vesa)
               Resolution: 1280x1024@60.0hz
               OpenGL: renderer: Gallium 0.4 on NVAC version: 3.3 Mesa 10.1.3 Direct Render: Yes
  2. 2 desktop environments, Cinnamon & xfce
    My Mint 17.1 system has originally been installed as Linux Mint 17.1 32-bit Cinnamon. Later on the Xfce has been added. Ever since this has been a Mint 17.1 with 2 desktop environments, Cinnamon 2.4.8 and Xfce 4.11.8.

    Code: Select all

    $ dpkg --list mint-meta-cinnamon mint-meta-xfce
    ||/ Name                        Version            Architecture       Description
    +++-===========================-==================-==================-===========================================================
    ii  mint-meta-cinnamon          2015.05.28         all                Set of packages installed by default in the Cinnamon editio
    ii  mint-meta-xfce              2015.05.28         all                Set of packages required to run Xfce
  3. Kernel pulled in through Ubuntu linux-generic, not through Mint linux-kernel-generic
    My Mint 17.1 does not use linux-kernel-generic, but has been changed to get its kernels through linux-generic.

    Code: Select all

    $  dpkg --list linux-kernel-generic linux-generic
    ||/ Name                        Version            Architecture       Description
    +++-===========================-==================-==================-===========================================================
    ii  linux-generic               3.13.0.158.168     i386               Complete Generic Linux kernel and headers
    dpkg-query: no packages found matching linux-kernel-generic
  4. Ubuntu Mozilla Security PPA enabled
    Ubuntu Firefox and Thunderbird are in use and even got from the Ubuntu Mozilla Security PPA.

    Code: Select all

    $ dpkg --list firefox thunderbird
    ||/ Name                        Version            Architecture       Description
    +++-===========================-==================-==================-===========================================================
    ii  firefox                     62.0+build2-0ubunt i386               Safe and easy web browser from Mozilla
    ii  thunderbird                 1:60.0+build4-0ubu i386               Email, RSS and newsgroup client with integrated spam filter
    
    inxi -r
    Active apt repos in: /etc/apt/sources.list.d/ubuntu-mozilla-security-ppa-trusty.list 
               1: deb http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu trusty main
  5. Ubuntu Firefox preferred over Mint Firefox
    Ubuntu Firefox is favoured over Linux Firefox via an apt preferences setting.

    Code: Select all

    $ cat /etc/apt/preferences.d/firefox-ubuntu.pref 
    Package: firefox*
    Pin: origin ppa.launchpad.net
    Pin-Priority: 800
    
    Package: firefox*
    Pin: release o=Ubuntu
    Pin-Priority: 800
  6. Genuine HPLIP driver software in use
    The genuine HP printer/scanner software HPLIP 3.16.5 has been installed and is in use.
    .
  7. Wine repo version 1.6.2 in use
    May not be relevant, but the old Wine repo version has been installed and is in use.

    Code: Select all

    $ dpkg --list wine
    ||/ Name                        Version            Architecture       Description
    +++-===========================-==================-==================-===========================================================
    ii  wine                        1:1.6.2-0ubuntu4   i386               Microsoft Windows Compatibility Layer (meta-package)
  8. Grub managed by different Mint system on the machine
    The Mint 17.1 system does not manage the Grub boot menu. This is done by the Mint 18.1 xfce system on the same machine.
    .
  9. Might be that during the upgrade steps I will come across more non default peculiarities.
Last edited by karlchen on Wed Sep 19, 2018 7:47 am, edited 1 time in total.
Reason: prefixed "inxi -Fxz" report
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 16, 2018 8:33 am

Step 1: Upgrade my Mint 17.1 to Mint 17.3 in-place using MintUpdate
  • MintUpdate from Mint 17.1 to Mint 17.3
    1. With root privileges backed up the whole sub-directory /etc/apt to /home/karl/Downloads/apt. - Might need it for reference or for manually restoring settings after the next step.
    2. Code: Select all

      $ inxi -S
      System:    Host: unimatrix0 Kernel: 3.13.0-158-generic i686 bits: 32 gcc: 4.8.4
                 Desktop: Cinnamon 2.4.8 (Gtk 3.10.8~8+qiana) Distro: Linux Mint 17.1 Rebecca
    3. Verifying sufficient free space on the root filesystem is available:

      Code: Select all

      $ df -h /
      Filesystem      Size  Used Avail Use% Mounted on
      /dev/sda6        48G   10G   35G  23% /
    4. Following the official instruction: How to upgrade to Linux Mint 17.3
      .
    5. Roughly 30 minutes and reboot later, Mint 17.1 Rebecca had turned into Mint 17.3 Rosa.
      30 min. may seem a long time. Please, keep in mind that the overall runtime has been brought about by my slow internet connection and my slow hardware.
      No issues have been encountered during the upgrade from Mint 17.1 to Mint 17.3 via MintUpdate.

      Code: Select all

      Synaptic history log:
      Commit Log for Sun Sep 16 14:54:28 2018
      
      
      Die folgenden Pakete wurden aktualisiert:
      catfish (1.0.2-2) to 1.2.2-1~14.04
      cinnamon (2.4.8+rebecca) to 2.8.8+rosa
      cinnamon-bluetooth (3.8.7+rebecca) to 3.8.11+rosa
      cinnamon-common (2.4.8+rebecca) to 2.8.8+rosa
      cinnamon-control-center (2.4.2+rebecca) to 2.8.1+rosa
      cinnamon-control-center-data (2.4.2+rebecca) to 2.8.1+rosa
      cinnamon-desktop-data (2.4.2+rebecca) to 2.8.1+rosa
      cinnamon-screensaver (2.4.2+rebecca) to 2.8.0+rosa
      cinnamon-session (2.4.3+rebecca) to 2.8.3+rosa
      cinnamon-session-common (2.4.3+rebecca) to 2.8.3+rosa
      cinnamon-settings-daemon (2.4.3+rebecca) to 2.8.4+rosa
      cinnamon-themes (2014.11.18.1) to 2015.11.06
      cinnamon-translations (2.4.4+rebecca) to 2.8.3+rosa
      cjs (2.4.2+rebecca) to 2.8.0+rosa
      exo-utils (0.10.2-3ubuntu1.14.04.2) to 0.10.7-0
      folder-color-switcher (1.0.3) to 1.0.5
      fonts-opensymbol (2:102.6+LibO4.2.8-0ubuntu5.3) to 2:102.7+LibO5.0.3~rc2-0ubuntu1~trusty2
      gir1.2-cinnamondesktop-3.0 (2.4.2+rebecca) to 2.8.1+rosa
      gir1.2-cmenu-3.0 (2.4.0+rebecca) to 2.8.0+rosa
      gir1.2-muffin-3.0 (2.4.5+rebecca) to 2.8.5+rosa
      gir1.2-nemo-3.0 (2.4.5+rebecca) to 2.8.7+rosa
      gnome-terminal (3.6.2+qiana) to 3.6.2.3+rosa
      gnome-terminal-data (3.6.2+qiana) to 3.6.2.3+rosa
      hplip-data (3.14.3-0ubuntu3.4) to 3.15.2-0trusty4.1
      libcinnamon-control-center1 (2.4.2+rebecca) to 2.8.1+rosa
      libcinnamon-menu-3-0 (2.4.0+rebecca) to 2.8.0+rosa
      libcjs0e (2.4.2+rebecca) to 2.8.0+rosa
      libexo-1-0 (0.10.2-3ubuntu1.14.04.2) to 0.10.7-0
      libexo-common (0.10.2-3ubuntu1.14.04.2) to 0.10.7-0
      libexo-helpers (0.10.2-3ubuntu1.14.04.2) to 0.10.7-0
      libgarcon-1-0 (0.3.0-2linuxmint1) to 0.4.0-1~14.04mint1
      libgarcon-common (0.3.0-2linuxmint1) to 0.4.0-1~14.04mint1
      libgksu2-0 (2.0.13~pre1-7linuxmint1) to 2.0.13~pre1-7linuxmint3
      libhpmud0 (3.14.3-0ubuntu3.4) to 3.15.2-0trusty4.1
      liblcms2-2 (2.5-0ubuntu4.1) to 2.6-3ubuntu1~trusty1
      libmuffin0 (2.4.5+rebecca) to 2.8.5+rosa
      libnemo-extension1 (2.4.5+rebecca) to 2.8.7+rosa
      libreoffice-base-core (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-base-drivers (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-calc (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-common (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-core (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-draw (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-emailmerge (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-gnome (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-gtk (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-help-de (1:4.2.8-0ubuntu1) to 1:5.0.3~rc2-0ubuntu1~trusty1
      libreoffice-help-en-us (1:4.2.8-0ubuntu1) to 1:5.0.3~rc2-0ubuntu1~trusty1
      libreoffice-impress (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-l10n-de (1:4.2.8-0ubuntu1) to 1:5.0.3~rc2-0ubuntu1~trusty1
      libreoffice-math (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-ogltrans (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-pdfimport (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-presentation-minimizer (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libreoffice-writer (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      libsane-hpaio (3.14.3-0ubuntu3.4) to 3.15.2-0trusty4.1
      libthunarx-2-0 (1.6.3-1ubuntu5) to 1.6.10-1~14.04
      libtumbler-1-0 (0.1.30-1ubuntu1) to 0.1.31-1~14.04
      libxfce4ui-1-0 (4.11.1-2ubuntu1) to 4.12.1-1~14.04
      libxfce4ui-2-0 (4.11.1-2ubuntu1) to 4.12.1-1~14.04
      libxfce4ui-common (4.11.1-2ubuntu1) to 4.12.1-1~14.04
      libxfce4ui-utils (4.11.1-2ubuntu1) to 4.12.1-1~14.04
      libxfce4util-bin (4.10.1-1ubuntu1) to 4.12.1-1~14.04
      libxfce4util-common (4.10.1-1ubuntu1) to 4.12.1-1~14.04
      libxfce4util6 (4.10.1-1ubuntu1) to 4.11.0-1~14.04
      libxfcegui4-4 (4.10.0-2) to 4.10.0-2ubuntu1~14.04
      libxfconf-0-2 (4.10.0-2ubuntu1) to 4.12.0-1~14.04
      mdm (1.8.3+rebecca) to 2.0.7+rosa
      mint-artwork-cinnamon (4.5) to 5.0
      mint-artwork-common (1.8.4.2) to 1.8.9.2
      mint-artwork-gnome (2.6.36) to 2.6.42
      mint-artwork-xfce (2015.01.07.1) to 2016.01.05
      mint-backgrounds-xfce (2014.12.11) to 2015.11.13
      mint-common (1.1.5) to 1.2.0
      mint-info-cinnamon (2014.12.12) to 2015.11.07
      mint-mdm-themes-html (1.8.3) to 2.0.6
      mint-meta-cinnamon (2015.05.28) to 2015.12.21
      mint-meta-codecs (2014.06.02) to 2015.06.11
      mint-meta-core (2015.05.28) to 2015.12.21
      mint-meta-xfce (2015.05.28) to 2015.12.21
      mint-themes (1.4.0) to 1.4.6
      mint-themes-gtk3 (3.10-8) to 3.10+13
      mint-translations (2015.02.23) to 2015.11.28
      mint-x-icons (1.2.3) to 1.3.2
      mintdesktop (3.4.1) to 3.4.6
      mintdrivers (1.1.6) to 1.2.4
      mintinstall (7.6.0) to 7.6.3
      mintlocale (1.2.1) to 1.3.1
      mintnanny (1.4.7) to 1.4.8
      mintsources (1.4.0) to 1.5.2
      mintstick (1.2.2) to 1.2.6
      mintsystem (7.9.7+2) to 8.1.6+1
      mintupdate (4.9.3.4) to 4.9.9.2
      mintupload (4.0.1) to 4.0.2
      mintwelcome (2.1.0) to 2.1.6
      muffin-common (2.4.5+rebecca) to 2.8.5+rosa
      nemo (2.4.5+rebecca) to 2.8.7+rosa
      nemo-compare (2.4.0+rebecca) to 2.8.0+rosa
      nemo-data (2.4.5+rebecca) to 2.8.7+rosa
      nemo-emblems (2.4.3+rebecca) to 2.8.1+rosa
      nemo-fileroller (2.4.0+rebecca) to 2.8.0+rosa
      nemo-folder-color-switcher (1.0.3) to 1.0.5
      nemo-share (2.4.0+rebecca) to 2.8.1+rosa
      orage (4.10.0-1) to 4.10.0-2~14.04
      printer-driver-hpcups (3.14.3-0ubuntu3.4) to 3.15.2-0trusty4.1
      python-nemo (2.4.1+rebecca) to 2.8.0+rosa
      python3-uno (1:4.2.8-0ubuntu5.3) to 1:5.0.3~rc2-0ubuntu1~trusty2
      ristretto (0.6.3-2ubuntu1) to 0.8.0-0ubuntu1~14.04
      thunar (1.6.3-1ubuntu5) to 1.6.10-1~14.04
      thunar-archive-plugin (0.3.1-2) to 0.3.1-3build1~14.04
      thunar-data (1.6.3-1ubuntu5) to 1.6.10-1~14.04
      thunar-volman (0.8.0-4ubuntu1) to 0.8.1-1~14.04
      tumbler (0.1.30-1ubuntu1) to 0.1.31-1~14.04
      tumbler-common (0.1.30-1ubuntu1) to 0.1.31-1~14.04
      ubuntu-system-adjustments (2014.11.19) to 2015.11.26
      uno-libs3 (4.2.8-0ubuntu5.3) to 5.0.3~rc2-0ubuntu1~trusty2
      ure (4.2.8-0ubuntu5.3) to 5.0.3~rc2-0ubuntu1~trusty2
      xfburn (0.5.2-1) to 0.5.2-1build1~14.04
      xfce4-appfinder (4.10.1-1) to 4.12.0-1~14.04
      xfce4-clipman (2:1.2.5-1) to 2:1.2.6-1build1~14.04
      xfce4-clipman-plugin (2:1.2.5-1) to 2:1.2.6-1build1~14.04
      xfce4-cpugraph-plugin (1.0.5-1) to 1.0.5-1build1~14.04
      xfce4-dict (0.7.0-1) to 0.7.1-1~14.04
      xfce4-indicator-plugin (2.3.2-0ubuntu2) to 2.3.3-0ubuntu2~14.04.1
      xfce4-mailwatch-plugin (1.2.0-1) to 1.2.0-2ubuntu1~14.04.1
      xfce4-mixer (1:4.10.0-1ubuntu2) to 1:4.11.0-1ubuntu2~14.04
      xfce4-mount-plugin (0.6.4-2) to 0.6.7-1build1~14.04
      xfce4-netload-plugin (1.2.0-1) to 1.2.4-0ubuntu2~14.04
      xfce4-notes (1.7.7-3ubuntu2) to 1.8.0-1~14.04
      xfce4-notes-plugin (1.7.7-3ubuntu2) to 1.8.0-1~14.04
      xfce4-notifyd (0.2.4-2) to 0.2.4-3ubuntu1~14.04
      xfce4-panel (4.11.0-0ubuntu1) to 4.12.0-0ubuntu1~14.04
      xfce4-places-plugin (1.6.0-1ubuntu1) to 1.7.0-1~14.04
      xfce4-power-manager (1.2.0-3ubuntu4.1) to 1.4.4-1mint2
      xfce4-power-manager-data (1.2.0-3ubuntu4.1) to 1.4.4-1mint2
      xfce4-quicklauncher-plugin (1.9.4-10ubuntu1) to 1.9.4-11build1~14.04
      xfce4-screenshooter (1.8.1-5) to 1.8.2-1ubuntu1~14.04.1
      xfce4-session (4.10.1-3ubuntu5) to 4.12.1-2mint1+rafaela
      xfce4-settings (4.11.2-1ubuntu2) to 4.12.0-0ubuntu1~14.04
      xfce4-smartbookmark-plugin (0.4.5-1) to 0.4.6-1ubuntu1~14.04
      xfce4-systemload-plugin (1:1.1.1-1ubuntu2) to 1:1.1.1-2ubuntu1~14.04
      xfce4-terminal (0.6.3-1ubuntu1) to 0.6.3-1ubuntu2~14.04
      xfce4-timer-plugin (1.5.0-1) to 1.6.0-1build1~14.04
      xfce4-verve-plugin (1.0.0-2ubuntu1) to 1.0.1-1~14.04
      xfce4-volumed (0.2.0-0ubuntu1) to 0.2.0-0ubuntu2~14.04
      xfce4-weather-plugin (0.8.3-1ubuntu0.1) to 0.8.5-1~14.04
      xfce4-whiskermenu-plugin (1.4.1-0ppa1~trusty1) to 1.5.1-0ppa1~trusty1
      xfce4-xkb-plugin (1:0.7.0-0ubuntu2) to 1:0.7.1-0ubuntu2~14.04
      xfconf (4.10.0-2ubuntu1) to 4.12.0-1~14.04
      xfdesktop4 (4.11.8-0ubuntu0.1) to 4.12.2-1ubuntu1~14.04
      xfdesktop4-data (4.11.8-0ubuntu0.1) to 4.12.2-1ubuntu1~14.04
      xfwm4 (4.11.1-2ubuntu2) to 4.12.3-1ubuntu1~14.04
      
      Die folgenden Pakete wurden installiert:
      fonts-stix (1.1.0-1)
      gir1.2-keybinder-3.0 (0.3.0-0ubuntu1)
      gir1.2-webkit2-3.0 (2.4.10-0ubuntu0.14.04.1)
      libcinnamon-desktop4 (2.8.1+rosa)
      libgle3 (3.1.0-7ubuntu2)
      libglew1.10 (1.10.0-3)
      libhal1-flash (0.3.1)
      libkeybinder-3.0-0 (0.3.0-0ubuntu1)
      libreoffice-style-mint (5.0+2)
      libxfce4util7 (4.12.1-1~14.04)
      mint-backgrounds-rosa (1.2)
      mugshot (0.2.5-1~14.04)
      xfce4-eyes-plugin (4.4.1-0ubuntu4)
      xfce4-hotcorner-plugin (0.0.2-0ubuntu1~14.04)
      xfce4-power-manager-plugins (1.4.4-1mint2)
      xfce4-screenshooter-plugin (1.8.2-1ubuntu1~14.04.1)
      xfce4-time-out-plugin (1.0.1-0ubuntu3)
      xscreensaver-data-extra (5.15-3+deb7u1ubuntu0.1)
      xscreensaver-gl (5.15-3+deb7u1ubuntu0.1)
      xscreensaver-gl-extra (5.15-3+deb7u1ubuntu0.1)
      xubuntu-icon-theme (14.04.2)
    6. Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 3.13.0-158-generic i686 bits: 32 compiler: gcc v: 4.8.4 
                 Desktop: Cinnamon 2.8.8 wm: muffin dm: MDM Distro: Linux Mint 17.3 Rosa base: Ubuntu 14.04 trusty 
  • Problems encountered and solved after upgrading

    Problems started after the upgrade had finished:

    1. Virtualbox-guest updates wants to uninstall Cinnamon
    2. MDM does not permit switching DE's in greeter screen
    3. HP Colour Laserjet & Scanner no longer fully functional
    4. Missing line in software sources list file
    5. Grub still tells "Linux Mint 17.1"

    1. Virtualbox-guest updates wants to uninstall Cinnamon
      Problem
      After the Mint 17.3 had started up, MintUpdate offered an update for Virtualbox-Guest Utilities.
      Accepting the update made Synaptic alert that installing the update would have the consequence that Cinnamon and some more packages would be uninstalled.
      .
      Solution
      As this machine is not a VM, but bare metal, hm, bare plastic, the solution was easy.
      Virtualbox guest utilities are not needed on this machine.
      Therefore MintUpdate was closed, rejecting the update operation. Synaptic was launched and the 3 offending virtualbox guest packages were uninstalled completely.

      Code: Select all

      Commit Log for Sun Sep 16 15:45:14 2018
      
      The following packages have been removed:
      virtualbox-guest-dkms
      virtualbox-guest-utils
      virtualbox-guest-x11
    2. MDM does not permit switching DE's in greeter screen
      Problem
      The greeter screen would only randomly permit switching between Cinnamon and xfce at login time. Most of the time it ignored the selection and selected the previously used desktop environment.

      Cause
      Turned out, starting with Mint 17.2 MDM is partially broken. It fails to update the file $HOME/.dmrc with the selected desktop environment. This bug has not been fixed between Mint 17.2 and 18.1, for how many years?
      Cf. this Linux Mint MDM bug report on Github: Mint 17.2 MDM: Stuck logging into MATE when switching sessions from MATE to Cinnamon

      Workaround
      While the MDM greeter screen is still open, it is possible to switch to one of the pseudo console monitors tty1 to tty6, edit the file $HOME/.dmrc and switch the session parameter in the file from "cinnamon" to "xfce" or vice versa. Once the login gets confirmed, the appropriate desktop environment will be loaded.
      In fact I made a tiny script to achieve the switch.
      As Mint 17.3 will be only a step on my way to Mint 19, this workaround is acceptable for me in this specific situation.
      .
    3. HP Colour Laserjet & Scanner no longer fully functional
      Problem
      My printer would refuse to print double-sided. This had never been a problem before the upgrade. Have not bothered to test scanner functionality.

      Cause
      Synaptic revealed quickly that during the upgrade, the outdated repo version HPLIP 3.15.2 had been installed, invalidating the previously installed genuine HPLIP 3.16.5 software.

      Solution
      Synaptic was used to uninstall the repos software HPLIP 3.15.2 completely.
      The HPLIP 3.16.5 installation package was still located on the disk.
      Therefore invoking hp-install from the installation directory was sufficient to re-install the genuine HPLIP 3.16.5 software.
      Double-sided printing works again. Scanning works, too.
      Cf. HPLIP Installer Walkthrough
      .
    4. Missing line in software sources list file

      Problem & Solution
      During the upgrade to Mint 17.3, mintupdate had removed the reference to Ubuntu backports from the software sources list file official-package-repositories.list. Therefore after the upgrade, the reference was added back manually.
      File: official-package-repositories.list/official-package-repositories.list
      Line: deb http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse
      .
    5. Grub still tells "Linux Mint 17.1"

      Problem
      The Grub menu still displays "Linux Mint 17.1" instead of "Linux Mint 17.3".

      Cause
      The Grub menu is not managed by Mint 17.3, but by Mint 18.1.

      Solution
      Mint 18.1 will have to be started up. Executing sudo update-grub should solve the issue.
  • What is next?

    The upgrade Mint 17.3 will be used for a few days now, in order to have a chance of stumbling across more issues, in case there should be any.
    Once I am convinced no more such issues exist, the next step will be in-place upgrading to Mint 18.3 via mintupgrade 17.3.11.
--(the end for today)--
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Tue Sep 18, 2018 7:06 pm

<intermezzo>
The system has been used normally since upgrading to Mint 17.3 2 days ago. No further issues have been encountered.
</intermezzo>

<kernel cleanup>
This Mint 17.3 currently runs on kernel 3.13.0-158. There are still 4 kernels present on the system.
Mint 18 will come with kernel 4.4.0-xx, superseding those kernels.
Therefore 2 of them will be uninstalled now. It is my decision, no requirement to do so before upgrading to Mint 18.

Will use Synaptic package manager to uninstall kernel 3.13.0-153 and 3.13.0-156, keeping 3.13.0-157 and 3.13.0-158.

Code: Select all

Commit Log for Wed Sep 19 01:18:15 2018

The following packages have been removed:
linux-headers-3.13.0-153
linux-headers-3.13.0-153-generic
linux-headers-3.13.0-156
linux-headers-3.13.0-156-generic
linux-image-3.13.0-153-generic
linux-image-3.13.0-156-generic
linux-image-extra-3.13.0-153-generic
linux-image-extra-3.13.0-156-generic

Commit Log for Wed Sep 19 01:23:30 2018

The following packages have been purged:
linux-image-3.13.0-153-generic
linux-image-3.13.0-156-generic
linux-image-extra-3.13.0-153-generic
linux-image-extra-3.13.0-156-generic

Code: Select all

$ ls -l /boot
total 80764
-rw-r--r-- 1 root root  1172765 Aug 21 05:07 abi-3.13.0-157-generic
-rw-r--r-- 1 root root  1172765 Aug 24 21:21 abi-3.13.0-158-generic
-rw-r--r-- 1 root root   170178 Aug 21 05:07 config-3.13.0-157-generic
-rw-r--r-- 1 root root   170178 Aug 24 21:21 config-3.13.0-158-generic
drwxr-xr-x 5 root root     4096 Sep 19 01:21 grub
-rw-r--r-- 1 root root 31088440 Sep  1 11:38 initrd.img-3.13.0-157-generic
-rw-r--r-- 1 root root 31087507 Sep 16 15:13 initrd.img-3.13.0-158-generic
-rw-r--r-- 1 root root   176500 Mär 12  2014 memtest86+.bin
-rw-r--r-- 1 root root   178176 Mär 12  2014 memtest86+.elf
-rw-r--r-- 1 root root   178680 Mär 12  2014 memtest86+_multiboot.bin
-rw-r--r-- 1 root root     1006 Aug 21 05:07 retpoline-3.13.0-157-generic
-rw-r--r-- 1 root root     1006 Aug 24 21:21 retpoline-3.13.0-158-generic
-rw------- 1 root root  2718982 Aug 21 05:07 System.map-3.13.0-157-generic
-rw------- 1 root root  2718982 Aug 24 21:21 System.map-3.13.0-158-generic
-rw------- 1 root root  5918416 Aug 21 05:07 vmlinuz-3.13.0-157-generic
-rw------- 1 root root  5918416 Aug 24 21:21 vmlinuz-3.13.0-158-generic
</kernel cleanup>

<the end for today>
This will be my bedtime-story for tonight, which will make me fall asleep and have some good nightmares: How to upgrade to Linux Mint 18
</the end for today>
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

srq2625
Level 4
Level 4
Posts: 339
Joined: Tue Jan 08, 2013 11:35 am
Location: State: Constant Confusion, Country: D'oh

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by srq2625 » Wed Sep 19, 2018 6:40 am

As academic exercise this is borderline exciting. I'm really looking forward to the next installment!

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Wed Sep 19, 2018 7:48 am

Step 2: Upgrade my Mint 17.3 to Mint 18.0 in-place using MintUpgrade 17.3.11
  • Preparing MintUpgrade
    1. With root privileges backed up the whole sub-directory /etc/apt to /home/karl/Downloads/apt. - Might need it for reference or for manually restoring settings after the next step.
    2. Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 3.13.0-158-generic i686 bits: 32 compiler: gcc v: 4.8.4 
                 Desktop: Cinnamon 2.8.8 wm: muffin dm: MDM Distro: Linux Mint 17.3 Rosa base: Ubuntu 14.04 trusty 
    3. Verifying sufficient free space on the root filesystem is available:

      Code: Select all

      $ df -h /
      Filesystem      Size    Used  Avail Use% Mounted on
      /dev/sda6        48G    9,4G   36G   21% /
  • MintUpgrade Check from Mint 17.3 to Mint 18
    Following the official instruction: How to upgrade to Linux Mint 18
    • Section "C. Requirements": checked, fulfilled.
      .
    • Section "D1. Update your Linux Mint 17.3 system": available updates levels 1 to 3 installed

      Code: Select all

      Commit Log for Wed Sep 19 14:06:13 2018
      
      The following packages have been updated:
      ghostscript (9.10~dfsg-0ubuntu10.12) to 9.10~dfsg-0ubuntu10.13
      ghostscript-x (9.10~dfsg-0ubuntu10.12) to 9.10~dfsg-0ubuntu10.13
      libglib2.0-0 (2.40.2-0ubuntu1) to 2.40.2-0ubuntu1.1
      libglib2.0-bin (2.40.2-0ubuntu1) to 2.40.2-0ubuntu1.1
      libglib2.0-data (2.40.2-0ubuntu1) to 2.40.2-0ubuntu1.1
      libgs9 (9.10~dfsg-0ubuntu10.12) to 9.10~dfsg-0ubuntu10.13
      libgs9-common (9.10~dfsg-0ubuntu10.12) to 9.10~dfsg-0ubuntu10.13
    • Section "D2. Give your terminal unlimited scrolling": done.
      .
    • Section "D3. Install the upgrade tool":

      Code: Select all

      karl@unimatrix0 ~ $ apt install mintupgrade
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        libxp6 linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic
        linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        mint-backgrounds-rebecca
      Use 'apt-get autoremove' to remove them.
      The following NEW packages will be installed:
        mintupgrade
      0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
      Need to get 0 B/9252 B of archives.
      After this operation, 36.9 kB of additional disk space will be used.
      Selecting previously unselected package mintupgrade.
      (Reading database ... 233267 files and directories currently installed.)
      Preparing to unpack .../mintupgrade_17.3.11_all.deb ...
      Unpacking mintupgrade (17.3.11) ...
      Setting up mintupgrade (17.3.11) ...
    • Section "D4. Check the upgrade".

      Code: Select all

      karl@unimatrix0 ~ $ mintupgrade check
        + Checking your Linux Mint codename...
        + Checking your Linux Mint edition...
        + updating cache...
      [...]
      Fetched 3202 kB in 21s (147 kB/s)                                              
      Reading package lists... Done
        + Checking if Linux Mint is up to date...
        + Backing up your APT sources...
      -------------------------------------------------
          Your repositories will now be switched to point to Linux Mint 18 'Sarah'.
          Any 3rd party repositories or PPA will be removed.
          A backup of your APT sources will be written to /home/karl/Upgrade-Backup/APT/.
      
          Do you want to continue? [y/n]: y
      
        + Setting up the repositories for Linux Mint 18 'Sarah'...
      [...]
      Fetched 20.4 MB in 45s (449 kB/s)                                              
      Reading package lists... Done
      
      W: Unknown Multi-Arch type 'no' for package 'compiz-core'
      W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
      W: Unknown Multi-Arch type 'no' for package 'libxapian-dev'
      W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
      W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
      W: Unknown Multi-Arch type 'no' for package 'kwin'
      W: Unknown Multi-Arch type 'no' for package 'kwin-dev'
      W: Unknown Multi-Arch type 'no' for package 'kwin-wayland'
      W: Unknown Multi-Arch type 'no' for package 'kwin-x11'
      W: Unknown Multi-Arch type 'no' for package 'libkf5sysguard-dev'
      W: Ignoring Provides line with DepCompareOp for package php-psr-http-message-implementation
      W: Ignoring Provides line with DepCompareOp for package php-psr-log-implementation
      W: Ignoring Provides line with DepCompareOp for package php-seclib
      W: Ignoring Provides line with DepCompareOp for package php-sabre-http
      W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
      W: Unknown Multi-Arch type 'no' for package 'compiz-core'
      W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
      W: Ignoring Provides line with DepCompareOp for package xserver-xorg
      W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
      W: You may want to run apt-get update to correct these problems
      
        + Simulating an upgrade...
      
      -------------------------------------------------
          APT will now calculate the package changes necessary to upgrade to Linux Mint 18 'Sarah'.
          If conflicts are detected and APT is unable to perform the upgrade, take note of the packages causing the issue, remove them, and re-install them after the upgrade.
          Pay close attention to what appears on the screen, and review the list of packages being REMOVED during the upgrade.
          Take note of the packages being removed, so you can eventually reinstall them after the upgrade.
      
          Do you want to continue? [y/n]:
      Excursion on the displayed warnings above:

      Code: Select all

      W: Unknown Multi-Arch type 'no' for package 'compiz-core'
      W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
      W: Unknown Multi-Arch type 'no' for package 'libxapian-dev'
      W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
      W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
      W: Unknown Multi-Arch type 'no' for package 'kwin'
      W: Unknown Multi-Arch type 'no' for package 'kwin-dev'
      W: Unknown Multi-Arch type 'no' for package 'kwin-wayland'
      W: Unknown Multi-Arch type 'no' for package 'kwin-x11'
      W: Unknown Multi-Arch type 'no' for package 'libkf5sysguard-dev'
      W: Ignoring Provides line with DepCompareOp for package php-psr-http-message-implementation
      W: Ignoring Provides line with DepCompareOp for package php-psr-log-implementation
      W: Ignoring Provides line with DepCompareOp for package php-seclib
      W: Ignoring Provides line with DepCompareOp for package php-sabre-http
      W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
      W: Unknown Multi-Arch type 'no' for package 'compiz-core'
      W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
      W: Ignoring Provides line with DepCompareOp for package xserver-xorg
      W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
      W: You may want to run apt-get update to correct these problems
      Never since the initial installation have I had to read any of the warnings, displayed by "mintupgrade check". No idea what they mean. No idea whether they need any attention. No idea how to correct the problems. And they have not caused any issues ever since the system came into life as Mint 17.
      But I will run another "apt-get update" as suggested, expecting it will not help at all.
      ...
      OK. So another apt update returned exactly the same result as the one that "mintupgrade check" had done.
      This is not making me feel happy or any better. :(

      Decision:
      It must have been here for years. It has not caused any problems. I will ignore it. - What else could I do except giving up here already?

      So back to "mintupgrade check"

      Code: Select all

        + Simulating an upgrade...
      
      -------------------------------------------------
          APT will now calculate the package changes necessary to upgrade to Linux Mint 18 'Sarah'.
          If conflicts are detected and APT is unable to perform the upgrade, take note of the packages causing the issue, remove them, and re-install them after the upgrade.
          Pay close attention to what appears on the screen, and review the list of packages being REMOVED during the upgrade.
          Take note of the packages being removed, so you can eventually reinstall them after the upgrade.
      
          Do you want to continue? [y/n]: y
      [sudo] password for karl: 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Calculating upgrade... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono
        fonts-noto-unhinted g++-4.8 gir1.2-cvc-1.0 gir1.2-meta-muffin-0.0
        libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1
        libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6
        linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic
        linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info
        python-requests xfce4-hotcorner-plugin
      Use 'apt-get autoremove' to remove them.
      The following packages will be REMOVED:
        bluez-alsa cinnamon gir1.2-muffin-3.0 gnome-icon-theme-full
        gstreamer0.10-plugins-ugly icedtea-7-jre-jamvm icedtea-7-plugin
        libasprintf0c2 libatkmm-1.6-1 libcairomm-1.0-1 libclucene-contribs1
        libclucene-core1 libcogl-pango15 libcogl15 libcwidget3 libebml4
        libecal-1.2-16 libecryptfs0 libedata-cal-1.2-23 libfreerdp1
        libglibmm-2.4-1c2a libgnutls28 libgtkmm-2.4-1c2a libgtkmm-3.0-1 libhogweed2
        libical1 libidl0 libjpeg-turbo-progs libkdb5-7 libllvm3.6 libmatroska6
        libmetacity-private0a libmono-corlib2.0-cil libmono-corlib4.0-cil
        libmono-i18n-west2.0-cil libmono-posix2.0-cil libmono-security2.0-cil
        libmono-system2.0-cil libmozjs-24-0 libnettle4 libopencv-calib3d2.4
        libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4
        libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4
        libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4
        libopencv-photo2.4 libopencv-video2.4 libopenobex1 libpanel-applet-4-0
        libpangomm-1.4-1 libperl5.18 libproxy1 libpython3.4 libpython3.4-dev
        libpython3.4-minimal libpython3.4-stdlib libsidplay1 libsidplay2
        libsigc++-2.0-0c2a libtag1-vanilla libtag1c2a libvlccore7 libxapian22
        mint-meta-cinnamon ndiswrapper-common obexd-client openjdk-7-jre
        openjdk-7-jre-headless perl-modules python-cupshelpers python3-pyicu
        python3.4 python3.4-dev python3.4-minimal systemd-services totem-mozilla
        tzdata-java vlc-plugin-pulse xserver-xorg-input-mouse
        xserver-xorg-video-glamoregl xserver-xorg-video-modesetting
        xserver-xorg-video-s3 xserver-xorg-video-sis
      The following NEW packages will be installed:
        adwaita-icon-theme adwaita-icon-theme-full app-install-data bluez-obexd
        bsd-mailx ca-certificates-mono cgmanager cheese-common
        chromium-codecs-ffmpeg-extra colord-data console-setup-linux cowsay-off
        cpp-5 dirmngr distro-info-data dmeventd dns-root-data emacsen-common
        fonts-lato fonts-noto-mono fonts-tlwg-garuda-ttf fonts-tlwg-kinnari-ttf
        fonts-tlwg-laksaman fonts-tlwg-laksaman-ttf fonts-tlwg-loma-ttf
        fonts-tlwg-mono-ttf fonts-tlwg-norasi-ttf fonts-tlwg-purisa-ttf
        fonts-tlwg-sawasdee-ttf fonts-tlwg-typewriter-ttf fonts-tlwg-typist-ttf
        fonts-tlwg-typo-ttf fonts-tlwg-umpush-ttf fonts-tlwg-waree-ttf g++-5 gcc-5
        gcc-5-base gcc-6-base gdbserver gir1.2-appindicator3-0.1 gir1.2-cheese-3.0
        gir1.2-cvc-1.0 gir1.2-meta-muffin-0.0 gir1.2-udisks-2.0 gir1.2-vte-2.91
        gir1.2-xplayer-1.0 gir1.2-xplayer-plparser-1.0 gnupg-agent gnupg2
        grilo-plugins-0.2-base gromit gstreamer1.0-clutter-3.0
        gstreamer1.0-plugins-ugly-amr hexchat-perl hexchat-plugins hexchat-python
        hunspell-en-gb hunspell-en-za i965-va-driver icedtea-8-plugin
        iio-sensor-proxy imagemagick-6.q16 init initramfs-tools-core ippusbxd
        javascript-common libabw-0.1-1v5 libamd2.4.1 libao-common libao4
        libapt-inst2.0 libapt-pkg5.0 libasan2 libasprintf0v5 libass5
        libatkmm-1.6-1v5 libavcodec-extra libavcodec-ffmpeg-extra56
        libavfilter-ffmpeg5 libavformat-ffmpeg56 libavresample-ffmpeg2
        libavutil-ffmpeg54 libbabeltrace-ctf1 libbabeltrace1
        libbasicusageenvironment1 libbdplus0 libbind9-140 libblas-common
        libboost-date-time1.58.0 libboost-filesystem1.58.0 libboost-iostreams1.58.0
        libboost-system1.58.0 libbs2b0 libcairomm-1.0-1v5 libcamd2.4.1
        libcamel-1.2-54 libcanberra-gtk3-module libcapnp-0.5.3 libcc1-0
        libccolamd2.9.1 libcdr-0.1-1 libcgi-fast-perl libcgi-pm-perl libcheese8
        libcholmod3.0.6 libcilkrts5 libclucene-contribs1v5 libclucene-core1v5
        libclutter-gst-3.0-0 libcmis-0.5-5v5 libcogl-common libcogl-pango20
        libcogl-path20 libcogl20 libcolamd2.9.1 libcolord2 libcolorhug2 libcurl3
        libcvc0 libcwidget3v5 libdata-alias-perl libde265-0 libdns-export162
        libdns162 libdouble-conversion1v5 libdrm-amdgpu1 libdrm-common libdvbpsi10
        libe-book-0.1-1 libebackend-1.2-10 libebml4v5 libebook-1.2-16
        libebook-contacts-1.2-2 libecal-1.2-19 libecryptfs1 libedata-book-1.2-25
        libedata-cal-1.2-28 libedataserver-1.2-21 libeot0 libepoxy0 libept1.5.0
        libetonyek-0.1-1 libevdev2 libexiv2-14 libexporter-tiny-perl
        libfarstream-0.2-5 libfcgi-perl libfdisk1 libfreehand-0.1-1
        libfreerdp-cache1.1 libfreerdp-client1.1 libfreerdp-codec1.1
        libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1
        libfreerdp-gdi1.1 libfreerdp-locale1.1 libfreerdp-primitives1.1
        libfreerdp-rail1.1 libfreerdp-utils1.1 libgcc-5-dev libgcrypt20
        libgcrypt20-dev libgdata22 libgdm1 libgegl-0.3-0 libgeocode-glib0 libgif7
        libglew1.13 libglibmm-2.4-1v5 libgmp-dev libgmpxx4ldbl libgnome-2-0
        libgnome-bluetooth13 libgnome-desktop-3-12 libgnutls30 libgnutlsxx28
        libgom-1.0-0 libgom-1.0-common libgphoto2-port12 libgrilo-0.2-1
        libgroupsock8 libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtop-2.0-10 libhogweed4
        libical1a libicu55 libidl-2-0 libidn11-dev libilmbase12 libimobiledevice6
        libinput-bin libinput10 libipc-system-simple-perl libisc-export160 libisc160
        libisccc140 libisccfg140 libisl15 libjavascriptcoregtk-4.0-18 libjpeg9
        libkdb5-8 libksba8 liblcms2-utils liblivemedia50 libllvm3.6v5 libllvm6.0
        liblog-message-perl liblouis9 liblouisutdml-bin liblouisutdml-data
        liblouisutdml6 liblvm2cmd2.02 liblwres141 liblz4-1 libmagickcore-6.q16-2
        libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libmatroska6v5
        libmbim-glib4 libmbim-proxy libmediaart-2.0-0 libmetacity-private3a
        libminiupnpc10 libmirclient9 libmircommon7 libmircore1 libmirprotobuf3
        libmodule-runtime-perl libmono-system-servicemodel-internals0.0-cil
        libmozjs-24-0v5 libmpx0 libmspack0 libmspub-0.1-1 libmwaw-0.3-3 libndp0
        libnettle6 libnm0 libnma-common libnma0 libnpth0 libodfgen-0.1-1
        libopencv-calib3d2.4v5 libopencv-contrib2.4v5 libopencv-core2.4v5
        libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5
        libopencv-imgproc2.4v5 libopencv-legacy2.4v5 libopencv-ml2.4v5
        libopencv-objdetect2.4v5 libopencv-photo2.4v5 libopencv-video2.4v5
        libopenexr22 libopenjpeg5 libopenobex2 liborcus-0.10-0v5 libpagemaker-0.0-0
        libpanel-applet0 libpangomm-1.4-1v5 libparams-classify-perl
        libparted-fs-resize0 libparted2 libpci-dev libpcre16-3
        libpeas-1.0-0-python2loader libpeas-1.0-0-python3loader libperl5.22
        libplist3 libplymouth4 libpoppler58 libpostproc-ffmpeg53 libprocps4
        libprotobuf-lite9v5 libprotobuf9v5 libprotoc9v5 libproxy1v5 libpython3.5
        libpython3.5-dev libpython3.5-minimal libpython3.5-stdlib libqmi-glib5
        libqmi-proxy libqt5svg5 libqt5x11extras5 libquvi-scripts libquvi7 libraw15
        libreoffice-style-breeze libreoffice-style-galaxy librest-0.7-0
        librevenge-0.0-0 librtmp1 libruby2.3 libseccomp2 libshine3 libsidplay1v5
        libsidplay2v5 libsigc++-2.0-0v5 libsmartcols1 libsnappy1v5 libsodium18
        libsoundtouch1 libsoxr0 libssh-gcrypt-4 libstdc++-5-dev
        libsuitesparseconfig4.4.6 libswresample-ffmpeg1 libswscale-ffmpeg3
        libsystemd0 libtag1v5 libtag1v5-vanilla libtasn1-doc libtimezonemap-data
        libtotem-plparser-common libtracker-sparql-1.0-0 libtypes-serialiser-perl
        libubsan0 libudev-dev libumfpack5.7.1 libunwind8 libupower-glib3
        libusageenvironment3 libusbmuxd4 libva-drm1 libvisio-0.1-1 libvlccore8
        libvncclient1 libvpx3 libvte-2.91-0 libvte-2.91-common libwacom-bin
        libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37-gtk2 libwebpdemux1
        libwebrtc-audio-processing-0 libwinpr-crt0.1 libwinpr-dsparse0.1
        libwinpr-environment0.1 libwinpr-file0.1 libwinpr-handle0.1 libwinpr-heap0.1
        libwinpr-input0.1 libwinpr-interlocked0.1 libwinpr-library0.1
        libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1
        libwinpr-sspi0.1 libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1
        libwinpr-utils0.1 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libwxbase3.0-0v5
        libwxgtk3.0-0v5 libx11-protocol-perl libx264-148 libx265-79 libxapian-1.3-5
        libxapian22v5 libxcb-util1 libxfce4panel-2.0-4 libxfreerdp-client1.1
        libxplayer-plparser18 libxplayer0 libxtables11 libyaml-libyaml-perl libzip4
        libzmq5 linux-base linux-headers-4.4.0-135 linux-headers-4.4.0-135-generic
        linux-image-4.4.0-135-generic linux-image-extra-4.4.0-135-generic
        mesa-va-drivers mint-backgrounds-sarah mint-meta-codecs-core ndiswrapper
        ndiswrapper-dkms nettle-dev openjdk-8-jre openjdk-8-jre-headless
        oxideqt-codecs-extra perl-modules-5.22 pinentry-gnome3 python-attr
        python-blinker python-bs4 python-cffi-backend python-cryptography
        python-ecdsa python-enum34 python-html5lib python-idna python-ipaddress
        python-jwt python-ndg-httpsclient python-ptyprocess python-pyasn1
        python-pyasn1-modules python-service-identity python3-blinker python3-bs4
        python3-cffi-backend python3-configobj python3-cryptography python3-cups
        python3-cupshelpers python3-html5lib python3-idna python3-jwt
        python3-ptyprocess python3-pyasn1 python3-reportlab-accel python3-requests
        python3-urllib3 python3-xapian1.3 python3.5 python3.5-dev python3.5-minimal
        qttranslations5-l10n rake rename ruby-did-you-mean ruby-minitest
        ruby-net-telnet ruby-power-assert ruby-test-unit ruby2.3
        rubygems-integration signon-ui-service signon-ui-x11 streamer systemd
        systemd-sysv thermald unhide update-motd va-driver-all vlc-plugin-samba
        xawtv-plugins xfce4-pulseaudio-plugin xplayer xplayer-common xplayer-mozilla
        xplayer-plugins xplayer-plugins-extra xserver-xorg-video-amdgpu
      The following packages will be upgraded:
        accountsservice acl acpid adduser adobe-flash-properties-gtk
        adobe-flashplugin alsa-base alsa-utils amd64-microcode anacron apt apt-clone
        apt-transport-https apt-utils apt-xapian-index aptdaemon aptdaemon-data
        aptitude aptitude-common apturl apturl-common archdetect-deb aspell
        aspell-en at-spi2-core autotools-dev avahi-autoipd avahi-daemon avahi-utils
        banshee baobab base-files base-passwd bash bash-completion bc bind9-host
        binfmt-support binutils bluetooth bluez bluez-cups brasero brasero-cdrkit
        brasero-common brltty bsdmainutils bsdutils build-essential
        busybox-initramfs busybox-static bzip2 ca-certificates ca-certificates-java
        cabextract caribou casper catfish cifs-utils cinnamon-common
        cinnamon-control-center cinnamon-control-center-data cinnamon-desktop-data
        cinnamon-screensaver cinnamon-session cinnamon-session-common
        cinnamon-settings-daemon cinnamon-themes cjs clamav clamav-base
        clamav-freshclam clamtk cli-common colord comerr-dev command-not-found
        command-not-found-data compiz compiz-core compiz-gnome compiz-plugins
        compiz-plugins-default compizconfig-settings-manager console-setup
        consolekit coreutils cowsay cpio cpp cpp-4.8 cracklib-runtime crda cron
        cryptsetup cryptsetup-bin cups cups-browsed cups-bsd cups-client cups-common
        cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers
        cups-pk-helper cups-ppdc cups-server-common dash dbus dbus-x11 dc dconf-cli
        dconf-editor dconf-gsettings-backend dconf-service dconf-tools dctrl-tools
        debconf debconf-i18n debianutils default-jre default-jre-headless
        desktop-base desktop-file-utils dh-python dialog dictionaries-common
        diffstat diffutils dkms dmidecode dmsetup dnsmasq-base dnsutils doc-base
        docbook-xml dosfstools dpkg dpkg-dev dpkg-repack duplicity dvd+rw-tools
        e2fslibs e2fsprogs ecryptfs-utils ed eject enchant eog espeak-data evince
        evince-common evolution-data-server evolution-data-server-common exo-utils
        fakeroot file file-roller findutils folder-color-switcher folks-common
        fontconfig fontconfig-config fonts-dejavu fonts-dejavu-core
        fonts-dejavu-extra fonts-horai-umefont fonts-kacst fonts-liberation
        fonts-nanum fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-unhinted
        fonts-opensymbol fonts-sil-abyssinica fonts-stix fonts-takao-pgothic
        fonts-thai-tlwg fonts-tlwg-garuda fonts-tlwg-kinnari fonts-tlwg-loma
        fonts-tlwg-mono fonts-tlwg-norasi fonts-tlwg-purisa fonts-tlwg-sawasdee
        fonts-tlwg-typewriter fonts-tlwg-typist fonts-tlwg-typo fonts-tlwg-umpush
        fonts-tlwg-waree foomatic-db-compressed-ppds freerdp-x11 friendly-recovery
        ftp fuse g++ g++-4.8 gawk gcc gcc-4.8 gcc-4.8-base gcc-4.9-base
        gconf-service gconf-service-backend gconf2 gconf2-common gcr gdb gdebi
        gdebi-core gedit gedit-common genisoimage geoclue geoip-database gettext
        gettext-base ghostscript ghostscript-x gimp gimp-data gimp-help-common
        gimp-help-de gimp-help-en gir1.2-accounts-1.0 gir1.2-accountsservice-1.0
        gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-caribou-1.0
        gir1.2-cinnamondesktop-3.0 gir1.2-clutter-1.0 gir1.2-cmenu-3.0
        gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0
        gir1.2-ebook-1.2 gir1.2-ebookcontacts-1.2 gir1.2-edataserver-1.2
        gir1.2-freedesktop gir1.2-gconf-2.0 gir1.2-gdata-0.0
        gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0 gir1.2-gkbd-3.0
        gir1.2-glib-2.0 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0
        gir1.2-gnomedesktop-3.0 gir1.2-gnomekeyring-1.0 gir1.2-goa-1.0
        gir1.2-gst-plugins-base-0.10 gir1.2-gst-plugins-base-1.0
        gir1.2-gstreamer-0.10 gir1.2-gstreamer-1.0 gir1.2-gtk-3.0
        gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gudev-1.0 gir1.2-ibus-1.0
        gir1.2-javascriptcoregtk-3.0 gir1.2-json-1.0 gir1.2-keybinder-3.0
        gir1.2-messagingmenu-1.0 gir1.2-nemo-3.0 gir1.2-networkmanager-1.0
        gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gir1.2-packagekitglib-1.0
        gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-polkit-1.0 gir1.2-signon-1.0
        gir1.2-soup-2.4 gir1.2-timezonemap-1.0 gir1.2-totem-1.0
        gir1.2-totem-plparser-1.0 gir1.2-upowerglib-1.0 gir1.2-webkit-3.0
        gir1.2-webkit2-3.0 gir1.2-wnck-3.0 gir1.2-xkl-1.0 gist gkbd-capplet gksu
        glib-networking glib-networking-common glib-networking-services
        gnome-accessibility-themes gnome-bluetooth gnome-calculator gnome-commander
        gnome-commander-data gnome-desktop3-data gnome-disk-utility
        gnome-exe-thumbnailer gnome-font-viewer gnome-icon-theme
        gnome-icon-theme-symbolic gnome-keyring gnome-menus gnome-panel
        gnome-panel-data gnome-power-manager gnome-screenshot gnome-session-bin
        gnome-session-canberra gnome-settings-daemon gnome-settings-daemon-schemas
        gnome-system-log gnome-system-monitor gnome-system-tools gnome-terminal
        gnome-terminal-data gnome-themes-standard gnome-themes-standard-data
        gnome-user-share gnupg gparted gpgv grep groff-base growisofs grub-common
        grub-gfxpayload-lists grub-pc grub-pc-bin grub2-common
        gsettings-desktop-schemas gstreamer0.10-alsa gstreamer0.10-gconf
        gstreamer0.10-nice gstreamer0.10-plugins-base
        gstreamer0.10-plugins-base-apps gstreamer0.10-plugins-good
        gstreamer0.10-pulseaudio gstreamer0.10-tools gstreamer0.10-x
        gstreamer1.0-alsa gstreamer1.0-clutter gstreamer1.0-libav gstreamer1.0-nice
        gstreamer1.0-plugins-bad gstreamer1.0-plugins-bad-faad
        gstreamer1.0-plugins-bad-videoparsers gstreamer1.0-plugins-base
        gstreamer1.0-plugins-base-apps gstreamer1.0-plugins-good
        gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-tools
        gstreamer1.0-x gthumb gthumb-data gtk2-engines-murrine gtk2-engines-pixbuf
        gtk2-engines-xfce gucharmap guile-2.0-libs gvfs gvfs-backends gvfs-bin
        gvfs-common gvfs-daemons gvfs-fuse gvfs-libs gzip hardening-includes
        hardinfo hdparm hexchat hexchat-common hicolor-icon-theme hostname
        hunspell-de-de hunspell-en-us hwdata hyphen-de hyphen-en-us icedtea-netx
        icedtea-netx-common icedtea-plugin icoutils ideviceinstaller ifupdown ifuse
        im-config imagemagick imagemagick-common info init-system-helpers
        initramfs-tools initramfs-tools-bin initscripts inputattach insserv
        install-info intel-gpu-tools intel-microcode intltool-debian iproute
        iproute2 iptables iputils-arping iputils-ping iputils-tracepath irqbalance
        isc-dhcp-client isc-dhcp-common iso-codes iucode-tool iw java-common kbd
        kerneloops-daemon keyboard-configuration keyutils klibc-utils kmod kpartx
        kpartx-boot krb5-locales krb5-multidev language-pack-de
        language-pack-de-base language-pack-en language-pack-en-base
        language-pack-gnome-de language-pack-gnome-de-base language-pack-gnome-en
        language-pack-gnome-en-base less liba52-0.7.4 libaa1 libaacs0
        libaccounts-glib0 libaccounts-qt5-1 libaccountsservice0 libacl1
        libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
        libapparmor1 libappindicator0.1-cil libappindicator1 libappindicator3-1
        libapt-pkg-perl libarchive-extract-perl libarchive-zip-perl libarchive13
        libasan0 libasn1-8-heimdal libasound2 libasound2-data libasound2-plugins
        libaspell15 libassuan0 libasyncns0 libatk-adaptor libatk-bridge2.0-0
        libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data
        libatomic1 libatspi2.0-0 libattr1 libaudio2 libaudit-common libaudit1
        libavahi-client-dev libavahi-client3 libavahi-common-data
        libavahi-common-dev libavahi-common3 libavahi-core7 libavahi-glib1
        libavc1394-0 libbabl-0.1-0 libblas3 libblkid1 libbluetooth3 libbluray1
        libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common
        libbrasero-media3-1 libbrlapi0.6 libbsd0 libburn4 libbz2-1.0 libc-bin
        libc-dev-bin libc6 libc6-dev libcaca0 libcairo-gobject2 libcairo-perl
        libcairo2 libcanberra-gtk0 libcanberra-gtk3-0 libcanberra-pulse libcanberra0
        libcap-ng0 libcap2 libcap2-bin libcapi20-3 libcaribou-common libcaribou0
        libcdaudio1 libcddb2 libcdio-cdda1 libcdio-paranoia1 libcdio13 libcgmanager0
        libchromaprint0 libcinnamon-control-center1 libcinnamon-desktop4
        libcinnamon-menu-3-0 libcjs0e libck-connector0 libclamav7 libclone-perl
        libcloog-isl4 libclutter-1.0-0 libclutter-gst-2.0-0 libclutter-gtk-1.0-0
        libcomerr2 libcommon-sense-perl libcompizconfig0 libcrack2 libcroco3
        libcryptsetup4 libcrystalhd3 libcups2 libcups2-dev libcupscgi1
        libcupsfilters-dev libcupsfilters1 libcupsimage2 libcupsimage2-dev
        libcupsmime1 libcupsppdc1 libcurl3-gnutls libdaemon0 libdatrie1 libdb5.3
        libdbus-1-3 libdbus-1-dev libdbus-glib-1-2 libdbus-glib2.0-cil
        libdbus2.0-cil libdbusmenu-glib4 libdbusmenu-gtk3-4 libdbusmenu-gtk4
        libdbusmenu-qt2 libdc1394-22 libdca0 libdconf1 libdebconfclient0
        libdebian-installer4 libdecoration0 libdee-1.0-4 libdevmapper-event1.02.1
        libdevmapper1.02.1 libdirectfb-1.2-9 libdjvulibre-text libdjvulibre21
        libdotconf0 libdpkg-perl libdrm-intel1 libdrm-nouveau2 libdrm-radeon1
        libdrm2 libdv4 libdvdnav4 libdvdread4 libedit2 libegl1-mesa
        libegl1-mesa-drivers libelf1 libemail-valid-perl libenca0 libenchant1c2a
        libencode-locale-perl libespeak1 libestr0 libevdocument3-4 libevent-2.0-5
        libevview3-3 libexempi3 libexif-dev libexif12 libexo-1-0 libexo-common
        libexo-helpers libexpat1 libexpat1-dev libexttextcat-2.0-0
        libexttextcat-data libfaac0 libfaad2 libfakeroot libfarstream-0.1-0 libffi6
        libfftw3-double3 libfftw3-single3 libfile-basedir-perl
        libfile-desktopentry-perl libfile-fcntllock-perl libfile-mimeinfo-perl
        libflac8 libflite1 libfluidsynth1 libfontconfig1 libfontembed1 libfontenc1
        libframe6 libfreetype6 libfribidi0 libfs6 libfuse2 libgail-3-0
        libgail-common libgail18 libgarcon-1-0 libgarcon-common libgbm1 libgc1c2
        libgcc-4.8-dev libgcc1 libgck-1-0 libgconf-2-4 libgconf2-4 libgconf2.0-cil
        libgcr-3-common libgcr-base-3-1 libgcr-ui-3-1 libgcrypt11-dev libgd3
        libgdata-common libgdata2.1-cil libgdbm3 libgdiplus libgdk-pixbuf2.0-0
        libgdk-pixbuf2.0-common libgee-0.8-2 libgeis1 libgeoclue0 libgeoip1
        libgfortran3 libgimp2.0 libgirepository-1.0-1 libgkeyfile1.0-cil libgksu2-0
        libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgle3 libgles2-mesa
        libglib-perl libglib2.0-0 libglib2.0-bin libglib2.0-cil libglib2.0-data
        libglu1-mesa libgme0 libgmime-2.6-0 libgmime2.6-cil libgmp10
        libgnome-keyring-common libgnome-keyring0 libgnome-menu-3-0 libgnome2-0
        libgnome2-bin libgnome2-common libgnomekbd-common libgnomekbd8 libgnomeui-0
        libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra
        libgnutls-dev libgnutls-openssl27 libgoa-1.0-0b libgoa-1.0-common libgomp1
        libgpg-error-dev libgpg-error0 libgpgme11 libgphoto2-6 libgphoto2-dev
        libgpod-common libgpod4 libgrail6 libgraphite2-3 libgrip0 libgs9
        libgs9-common libgssapi-krb5-2 libgssapi3-heimdal libgssdp-1.0-3 libgssrpc4
        libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base0.10-0
        libgstreamer-plugins-base1.0-0 libgstreamer-plugins-good1.0-0
        libgstreamer0.10-0 libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common
        libgtk-sharp-beans-cil libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil
        libgtk2.0-common libgtkglext1 libgtksourceview-3.0-1
        libgtksourceview-3.0-common libgtksourceview2.0-0 libgtksourceview2.0-common
        libgtkspell0 libgtop2-common libgucharmap-2-90-7 libgudev-1.0-0
        libgudev1.0-cil libgupnp-1.0-4 libgupnp-igd-1.0-4 libgusb2 libgutenprint2
        libgweather-3-6 libgweather-common libgxps2 libharfbuzz-icu0 libharfbuzz0b
        libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal
        libheimntlm0-heimdal libhtml-format-perl libhtml-parser-perl
        libhtml-tree-perl libhttp-cookies-perl libhttp-message-perl
        libhunspell-1.3-0 libhx509-5-heimdal libhyphen0 libibus-1.0-5 libice6
        libidn11 libido3-0.1-0 libiec61883-0 libijs-0.35 libimobiledevice-utils
        libindicator3-7 libindicator7 libio-html-perl libio-pty-perl
        libio-socket-inet6-perl libio-socket-ssl-perl libipc-run-perl libiso9660-8
        libisofs6 libitm1 libjack-jackd2-0 libjasper1 libjavascriptcoregtk-1.0-0
        libjavascriptcoregtk-3.0-0 libjbig-dev libjbig0 libjbig2dec0 libjpeg-progs
        libjpeg-turbo8 libjpeg-turbo8-dev libjs-jquery libjson-c2 libjson-glib-1.0-0
        libjson-glib-1.0-common libjson-perl libjson-xs-perl libjson0 libjte1
        libk5crypto3 libkadm5clnt-mit9 libkadm5srv-mit9 libkate1 libkdc2-heimdal
        libkeybinder-3.0-0 libkeybinder0 libkeyutils1 libklibc libkmod2 libkpathsea6
        libkrb5-26-heimdal libkrb5-3 libkrb5-dev libkrb5support0 liblangtag-common
        liblangtag1 liblapack3 liblcms2-2 libldap-2.4-2 libldb1 liblircclient0
        liblist-moreutils-perl liblocale-gettext-perl liblog-message-simple-perl
        liblouis-data liblqr-1-0 libltdl-dev libltdl7 liblua5.2-0 liblvm2app2.2
        liblwp-protocol-https-perl liblzo2-2 libmagic1 libmailtools-perl
        libmeanwhile1 libmessaging-menu0 libmhash2 libmimic0 libmjpegutils-2.1-0
        libmm-glib0 libmms0 libmnl0 libmodplug1 libmodule-pluggable-perl
        libmono-addins-gui0.2-cil libmono-addins0.2-cil libmono-cairo4.0-cil
        libmono-corlib4.5-cil libmono-data-tds4.0-cil libmono-posix4.0-cil
        libmono-security4.0-cil libmono-sharpzip4.84-cil
        libmono-system-configuration4.0-cil libmono-system-core4.0-cil
        libmono-system-data4.0-cil libmono-system-drawing4.0-cil
        libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
        libmono-system-runtime-serialization4.0-cil libmono-system-security4.0-cil
        libmono-system-transactions4.0-cil libmono-system-xml-linq4.0-cil
        libmono-system-xml4.0-cil libmono-system4.0-cil libmono-zeroconf1.0-cil
        libmotif-common libmount1 libmozjs185-1.0 libmp3lame0 libmpc3 libmpcdec6
        libmpdec2 libmpeg2-4 libmpeg2encpp-2.1-0 libmpfr4 libmpg123-0
        libmplex2-2.1-0 libmrm4 libmtdev1 libmtp-common libmtp-runtime libmtp9
        libmuffin0 libmythes-1.2-0 libnatpmp1 libnautilus-extension1a libncurses5
        libncursesw5 libnemo-extension1 libneon27-gnutls libnet-dbus-perl
        libnet-dns-perl libnet-domain-tld-perl libnet-http-perl libnet-smtp-ssl-perl
        libnet-ssleay-perl libnetfilter-conntrack3 libnetpbm10 libnewt0.52
        libnewtonsoft-json5.0-cil libnfnetlink0 libnice10 libnih-dbus1 libnih1
        libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4
        libnm-gtk-common libnm-gtk0 libnm-util2 libnotify-bin libnotify0.4-cil
        libnotify4 libnspr4 libnss-mdns libnss-winbind libnss3 libnss3-1d
        libnss3-nssdb libntdb1 libnuma1 libnux-4.0-common liboauth0 libodbc1 libofa0
        libogg0 liboobs-1-5 libopenal-data libopenal1 libopencore-amrnb0
        libopencore-amrwb0 libopus0 liborbit-2-0 liborbit2 liborc-0.4-0 libosmesa6
        libp11-kit-dev libp11-kit-gnome-keyring libp11-kit0 libpackagekit-glib2-16
        libpam-cap libpam-ck-connector libpam-freerdp libpam-gnome-keyring
        libpam-modules libpam-modules-bin libpam-runtime libpam-systemd
        libpam-winbind libpam0g libpango-1.0-0 libpango-perl libpango1.0-0
        libpangocairo-1.0-0 libpangoft2-1.0-0 libpangox-1.0-0 libpangoxft-1.0-0
        libpaper-utils libpaper1 libparse-debianchangelog-perl libpcap0.8 libpci3
        libpciaccess0 libpcre3 libpcsclite1 libpeas-1.0-0 libpeas-common
        libpipeline1 libpixman-1-0 libpng12-0 libpng12-dev libpod-latex-perl
        libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
        libpoppler-glib8 libpopt0 libportaudio2 libproxy-tools
        libproxy1-plugin-gsettings libproxy1-plugin-networkmanager
        libpulse-mainloop-glib0 libpulse0 libpulsedsp libpurple0 libpwquality-common
        libpwquality1 libpython-dev libpython-stdlib libpython2.7 libpython2.7-dev
        libpython2.7-minimal libpython2.7-stdlib libpython3-dev libpython3-stdlib
        libqpdf21 libqt4-dbus libqt4-declarative libqt4-designer libqt4-help
        libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql
        libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqt5core5a
        libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5positioning5
        libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5sql5
        libqt5sql5-sqlite libqt5test5 libqt5webkit5 libqt5widgets5 libqt5xml5
        libqtassistantclient4 libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4
        libquadmath0 libraptor2-0 librarian0 libraw1394-11 librdf0 libreadline5
        libreadline6 librecode0 libreoffice-base-core libreoffice-base-drivers
        libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
        libreoffice-gnome libreoffice-gtk libreoffice-help-de libreoffice-help-en-us
        libreoffice-impress libreoffice-l10n-de libreoffice-math
        libreoffice-ogltrans libreoffice-pdfimport libreoffice-style-mint
        libreoffice-writer libresid-builder0c2a libroken18-heimdal librsvg2-2
        librsvg2-common libsamplerate0 libsane libsane-common libsane-dev libsasl2-2
        libsasl2-modules libsasl2-modules-db libsbc1 libschroedinger-1.0-0 libsctp1
        libsdl-image1.2 libsdl1.2debian libsecret-1-0 libsecret-common libselinux1
        libsemanage-common libsemanage1 libsensors4 libsensors4-dev libsepol1
        libsexy2 libsgutils2-2 libsignon-extension1 libsignon-glib1
        libsignon-plugins-common1 libsignon-qt5-1 libsigsegv2 libslang2 libslv2-9
        libsm6 libsmbclient libsndfile1 libsnmp-base libsnmp-dev libsnmp30
        libsocket6-perl libsonic0 libsoup-gnome2.4-1 libsoup2.4-1 libsox-fmt-alsa
        libsox-fmt-base libsox2 libspandsp2 libspectre1 libspeechd2 libspeex1
        libspeexdsp1 libsqlite3-0 libsrtp0 libss2 libssh2-1 libssl-dev libssl-doc
        libssl1.0.0 libstartup-notification0 libstdc++-4.8-dev libstdc++6
        libsub-name-perl libtagc0 libtaglib2.1-cil libtalloc2 libtasn1-6
        libtasn1-6-dev libtbb2 libtcl8.5 libtdb1 libtelepathy-glib0 libterm-ui-perl
        libtevent0 libtext-charwidth-perl libtext-csv-perl libtext-csv-xs-perl
        libtext-iconv-perl libtext-levenshtein-perl libtext-soundex-perl
        libtext-wrapi18n-perl libthai-data libthai0 libtheora0 libthunarx-2-0
        libtidy-0.99-0 libtie-ixhash-perl libtiff5 libtiff5-dev libtiffxx5
        libtimedate-perl libtimezonemap1 libtinfo5 libtool libtotem-plparser18
        libtotem0 libtumbler-1-0 libtwolame0 libudev1 libudisks2-0 libuil4
        libunique-1.0-0 libunistring0 libunity-protocol-private0
        libunity-scopes-json-def-desktop libunity9 libupnp6 liburi-perl libusb-0.1-4
        libusb-1.0-0 libusb-1.0-0-dev libusb-1.0-doc libustr-1.0-1 libuuid-perl
        libuuid1 libv4l-0 libv4l-dev libv4l2rds0 libv4lconvert0 libva-x11-1 libva1
        libvcdinfo0 libvisual-0.4-0 libvlc5 libvorbis0a libvorbisenc2 libvorbisfile3
        libvte-common libvte9 libwacom-common libwacom2 libwavpack1
        libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa
        libwayland-server0 libwbclient0 libwebkit2gtk-3.0-25 libwebkitgtk-1.0-0
        libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwebp5
        libwebpmux1 libwildmidi-config libwildmidi1 libwind0-heimdal libwmf0.2-7
        libwnck-3-0 libwnck-3-common libwnck-common libwnck22 libwww-perl libx11-6
        libx11-data libx11-xcb1 libxatracker2 libxaw7 libxcb-composite0
        libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-image0 libxcb-keysyms1
        libxcb-present0 libxcb-randr0 libxcb-render-util0 libxcb-render0
        libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb-xf86dri0 libxcb-xfixes0
        libxcb-xkb1 libxcb-xv0 libxcb1 libxcursor1 libxdamage1 libxdmcp6 libxext6
        libxfce4ui-1-0 libxfce4ui-2-0 libxfce4ui-common libxfce4ui-utils
        libxfce4util-bin libxfce4util-common libxfce4util7 libxfcegui4-4
        libxfconf-0-2 libxfixes3 libxfont1 libxft2 libxi6 libxkbcommon-x11-0
        libxkbcommon0 libxkbfile1 libxklavier16 libxm4 libxml-parser-perl
        libxml-twig-perl libxml2 libxmu6 libxmuu1 libxpm4 libxrandr2 libxrender1
        libxshmfence1 libxslt1.1 libxt6 libxvidcore4 libxvmc1 libxxf86vm1 libyajl2
        libyaml-0-2 libyaml-tiny-perl libyelp0 libzbar0 libzeitgeist-2.0-0
        libzephyr4 libzvbi-common libzvbi0 lintian linux-firmware linux-generic
        linux-headers-generic linux-image-generic linux-libc-dev linux-sound-base
        linuxmint-keyring lksctp-tools lm-sensors localechooser-data locales login
        logrotate lp-solve lsb-base lsb-release lshw lsof ltrace lupin-casper
        lupin-support lvm2 make makedev man-db manpages manpages-dev mdm
        media-player-info meld memtest86+ mesa-utils metacity metacity-common
        mime-support mint-artwork-cinnamon mint-artwork-common mint-artwork-gnome
        mint-artwork-xfce mint-backgrounds-xfce mint-common mint-info-cinnamon
        mint-mdm-themes-html mint-meta-codecs mint-meta-core mint-meta-xfce
        mint-mirrors mint-themes mint-themes-gtk3 mint-translations
        mint-upgrade-info mint-user-guide-cinnamon mint-x-icons mintbackup
        mintdesktop mintdrivers mintinstall mintlocale mintnanny mintsources
        mintstick mintsystem mintupdate mintupload mintwelcome mlocate modemmanager
        module-init-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
        mono-runtime-sgen mount mountall mousepad mousetweaks mtools mtr-tiny
        muffin-common mugshot multiarch-support myspell-en-gb myspell-en-za
        mythes-en-us nano nautilus-data ncurses-base ncurses-bin
        ndiswrapper-utils-1.9 nemo nemo-compare nemo-data nemo-emblems
        nemo-fileroller nemo-folder-color-switcher nemo-share net-tools netbase
        netpbm network-manager network-manager-gnome network-manager-pptp
        network-manager-pptp-gnome notification-daemon ntfs-3g ntpdate nux-tools
        obex-data-server ocl-icd-libopencl1 odbcinst odbcinst1debian2 oneconf-common
        openoffice.org-hyphenation openprinting-ppds openssh-client openssl orage
        os-prober p11-kit p11-kit-modules p7zip p7zip-full p7zip-rar parted passwd
        patch patchutils pavucontrol pciutils perl perl-base pidgin pidgin-data
        pinta pkg-config plymouth plymouth-label plymouth-theme-ubuntu-text pm-utils
        policykit-1 policykit-1-gnome policykit-desktop-privileges poppler-data
        poppler-utils postfix powermgmt-base ppp pppconfig pppoe pppoeconf
        pptp-linux printer-driver-c2esp printer-driver-foo2zjs
        printer-driver-foo2zjs-common printer-driver-gutenprint
        printer-driver-min12xxw printer-driver-pnm2ppa printer-driver-ptouch
        printer-driver-sag-gdi printer-driver-splix procps protobuf-compiler psmisc
        pulseaudio pulseaudio-module-bluetooth pulseaudio-module-x11
        pulseaudio-utils python python-apt python-apt-common python-aptdaemon
        python-aptdaemon.gtk3widgets python-cairo python-chardet
        python-commandnotfound python-compizconfig python-configglue
        python-configobj python-crypto python-cups python-dbus python-dbus-dev
        python-debian python-debtagshw python-dev python-dirspec python-dnspython
        python-feedparser python-gconf python-gdbm python-gi python-gi-cairo
        python-glade2 python-gnome2 python-gobject python-gobject-2 python-gtk2
        python-httplib2 python-imaging python-ldb python-libxml2 python-lockfile
        python-lxml python-mako python-markupsafe python-minimal python-nemo
        python-notify python-ntdb python-numpy python-oauthlib python-oneconf
        python-opencv python-openssl python-pam python-paramiko python-parted
        python-pexpect python-pil python-pkg-resources python-protobuf
        python-pyatspi python-pyatspi2 python-pycurl python-pyinotify python-pyorbit
        python-qt4 python-qt4-dbus python-renderpm python-reportlab
        python-reportlab-accel python-requests python-samba python-serial python-sip
        python-six python-smbc python-talloc python-tdb python-twisted-bin
        python-twisted-core python-twisted-names python-twisted-web
        python-ubuntu-sso-client python-urllib3 python-vte python-webkit
        python-xapian python-zope.interface python2.7 python2.7-dev
        python2.7-minimal python3 python3-apt python3-aptdaemon
        python3-aptdaemon.gtk3widgets python3-aptdaemon.pkcompat python3-brlapi
        python3-cairo python3-chardet python3-commandnotfound python3-crypto
        python3-dbus python3-dbus.mainloop.qt python3-debian python3-dev
        python3-dirspec python3-distupgrade python3-gdbm python3-gi python3-gi-cairo
        python3-httplib2 python3-icu python3-louis python3-lxml python3-minimal
        python3-notify2 python3-oauthlib python3-oneconf python3-pexpect python3-pil
        python3-pkg-resources python3-pyatspi python3-pycurl python3-pyqt4
        python3-renderpm python3-reportlab python3-sip python3-six python3-speechd
        python3-uno python3-update-manager python3-virtkey qdbus qpdf qt-at-spi
        qtchooser qtcore4-l10n rarian-compat rdate readline-common reiserfsprogs
        resolvconf rfkill ristretto rkhunter rsync rsyslog rtkit ruby ruby-json
        samba samba-common samba-common-bin samba-dsdb-modules samba-libs sane-utils
        scrollkeeper seahorse sed sensible-utils session-migration sessioninstaller
        sgml-data shared-mime-info signon-keyring-extension signon-plugin-oauth2
        signon-plugin-password signon-ui signond simple-scan smbclient smistrip
        sni-qt sox speech-dispatcher speech-dispatcher-audio-plugins
        ssh-askpass-gnome ssl-cert strace sudo synaptic syslinux syslinux-common
        syslinux-legacy system-config-printer-common system-config-printer-gnome
        system-config-printer-udev system-tools-backends systemd-shim sysv-rc
        sysvinit-utils t1utils tar tcl8.5 tcpdump tdb-tools telnet thunar
        thunar-archive-plugin thunar-data thunar-volman time tomboy totem
        totem-common totem-plugins totem-plugins-extra transmission-common
        transmission-gtk tree ttf-dejavu ttf-dejavu-core ttf-dejavu-extra
        ttf-mscorefonts-installer ttf-ubuntu-font-family tumbler tumbler-common
        tzdata ubuntu-drivers-common ubuntu-minimal ubuntu-release-upgrader-core
        ubuntu-settings ubuntu-system-adjustments ubuntu-system-service ucf udev
        udisks2 ufw unattended-upgrades unhide.rb unixodbc uno-libs3 unrar unzip
        update-manager-core update-notifier-common upower upstart ure ureadahead
        usb-modeswitch usb-modeswitch-data usbmuxd usbutils user-setup util-linux
        uuid-runtime vim-common vim-tiny vino vlc vlc-data vlc-nox vlc-plugin-notify
        watershed wget whiptail whois winbind wine wine1.6 wine1.6-i386 winetricks
        wireless-regdb wngerman wodim wogerman wpasupplicant wswiss x11-apps
        x11-common x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils
        x11-xserver-utils xauth xchm xdg-user-dirs xdg-utils xfburn xfce4
        xfce4-appfinder xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin
        xfce4-cpufreq-plugin xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict
        xfce4-diskperf-plugin xfce4-eyes-plugin xfce4-fsguard-plugin
        xfce4-genmon-plugin xfce4-goodies xfce4-indicator-plugin
        xfce4-mailwatch-plugin xfce4-mount-plugin xfce4-netload-plugin xfce4-notes
        xfce4-notes-plugin xfce4-notifyd xfce4-panel xfce4-places-plugin
        xfce4-power-manager xfce4-power-manager-data xfce4-power-manager-plugins
        xfce4-quicklauncher-plugin xfce4-screenshooter xfce4-screenshooter-plugin
        xfce4-sensors-plugin xfce4-session xfce4-settings xfce4-smartbookmark-plugin
        xfce4-systemload-plugin xfce4-taskmanager xfce4-terminal
        xfce4-time-out-plugin xfce4-timer-plugin xfce4-verve-plugin xfce4-volumed
        xfce4-wavelan-plugin xfce4-weather-plugin xfce4-whiskermenu-plugin
        xfce4-xkb-plugin xfconf xfdesktop4 xfdesktop4-data xfonts-base
        xfonts-encodings xfonts-scalable xfonts-utils xfsprogs xfwm4 xinit xinput
        xkb-data xorg xorg-docs-core xsane xsane-common xscreensaver
        xscreensaver-data xscreensaver-data-extra xscreensaver-gl
        xscreensaver-gl-extra xserver-common xserver-xephyr xserver-xorg
        xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
        xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
        xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
        xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-intel
        xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
        xserver-xorg-video-nouveau xserver-xorg-video-openchrome
        xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon
        xserver-xorg-video-savage xserver-xorg-video-siliconmotion
        xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
        xserver-xorg-video-vesa xserver-xorg-video-vmware xubuntu-icon-theme yelp
        yelp-xsl zenity zenity-common zip zlib1g zlib1g-dev
      1812 upgraded, 454 newly installed, 88 to remove and 0 not upgraded.
      Need to get 1299 MB of archives.
      After this operation, 1068 MB of additional disk space will be used.
      Do you want to continue? [Y/n] N
      Abort.
      
        + Restoring your backed up APT sources...
      karl@unimatrix0 ~ $ 
      Essence of the simulation:

      Code: Select all

      1812 upgraded, 454 newly installed, 88 to remove and 0 not upgraded.
      Need to get 1299 MB of archives.
      After this operation, 1068 MB of additional disk space will be used.
      Does not read bad. So I guess the decision will be to go on and execute the actual "mintupgrade" steps, which will turn Mint 17.3 into Mint 18.

      Before going ahead, followed the advice of saving the list of the 88 packages which are going to be removed.
      Saved the whole screen output of the simulation into a file named "Zotac_Mint17.3_to_Mint18_simulation.txt".
      This includes the names of the 88 packages, which will be removed.
      So it will be possible to extract them from this file, format the list nicely and check whether there are packages, which should be re-installed after upgrading.

      Just to make sure that at this point in time my Mint 17.3 is still unmodified, I verified that the content of the directory /etc/apt actually is what it had been before. Yes, it is.
    --(end of mintupgrade check--)
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Wed Sep 19, 2018 9:34 am

Step 2: Upgrade my Mint 17.3 to Mint 18.0 in-place using MintUpgrade 17.3.11
  • MintUpgrade from Mint 17.3 to Mint 18
    Still following the official instruction: How to upgrade to Linux Mint 18
    • Section "D5. Download the package upgrades":

      Code: Select all

      $ mintupgrade download
        + Checking your Linux Mint codename...
        + Checking your Linux Mint edition...
        + updating cache...
      [sudo] password for karl: 
      [...]
        + Checking if Linux Mint is up to date...
        + Backing up your APT sources...
      -------------------------------------------------
          Your repositories will now be switched to point to Linux Mint 18 'Sarah'.
          Any 3rd party repositories or PPA will be removed.
          A backup of your APT sources will be written to /home/karl/Upgrade-Backup/APT/.
      
          Do you want to continue? [y/n]: y
      
        + Setting up the repositories for Linux Mint 18 'Sarah'...
      [...]
      Fetched 20.4 MB in 45s (449 kB/s)                                              
      Reading package lists... Done
      
      W: Unknown Multi-Arch type 'no' for package 'compiz-core'
      W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
      [...]
      [...list of warnings shortened. Will ignore them as during "mintupgrade check"...]
      W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
      W: You may want to run apt-get update to correct these problems
      
        + Downloading upgrade packages...
      -------------------------------------------------
          APT will now download the package updates necessary for the upgrade to Linux Mint 18 'Sarah'.
      
          Do you want to continue? [y/n]: y
      
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Calculating upgrade... Done
      [...]
      1812 upgraded, 454 newly installed, 88 to remove and 0 not upgraded.
      Need to get 1299 MB of archives.
      After this operation, 1068 MB of additional disk space will be used.
      [...]
      Fetched 1.299 MB in 42 min 33 s (509 kB/s).               
      Download completed; download-only mode active
      The download completed after 42.5 min. without any problems.

      Code: Select all

      $ df -h /
      Filesystem      Size  Used Avail Use% Mounted on
      /dev/sda6        48G   11G   35G  24% /
    • Section "D6. Apply the upgrades"

      Code: Select all

      mintupgrade upgrade
        + Checking your Linux Mint codename...
      
        + Checking your Linux Mint edition...
      
        + Setting up the repositories for Linux Mint 18 'Sarah'...
      [sudo] password for karl: 
      
        + Downloading upgrade packages...
      
      -------------------------------------------------
          APT will now download the package updates necessary for the upgrade to Linux Mint 18 'Sarah'.
      
          Do you want to continue? [y/n]: y
      
      1812 upgraded, 454 newly installed, 88 to remove and 0 not upgraded.
      Need to get 0 B/1299 MB of archives.
      After this operation, 1068 MB of additional disk space will be used.
      Download complete and in download only mode
      
        + Disabling the Cinnamon screensaver...
      
        + Removing blacklisted packages...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Package 'bamfdaemon' is not installed, so not removed
      The following packages were automatically installed and are no longer required:
        libxp6 linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic
        linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        mint-backgrounds-rebecca
      Use 'apt-get autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 1815 not upgraded.
      
        + Performing upgrade...
      
      -------------------------------------------------
          APT will perform the upgrade to Linux Mint 18 'Sarah'.
          This operation is non-reversible.
          Make sure you made backups, you tested Linux Mint 18 'Sarah' in live mode and you performed your favorite supertitious tricks before proceeding.
      
          Do you want to continue? [y/n]: y
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Calculating upgrade... Done
      [...]
      1812 upgraded, 454 newly installed, 88 to remove and 0 not upgraded.
      Need to get 0 B/1299 MB of archives.
      After this operation, 1068 MB of additional disk space will be used.
      Do you want to continue? [Y/n] Y
      
      Extracting templates from packages: 100%
      Preconfiguring packages ...
      (Reading database ... 233279 files and directories currently installed.)
      Preparing to unpack .../base-files_18.0.2_all.deb ...
      [...]
      [... 2:15 hours later ...]
      [...]
        + Re-installing the meta-package for your edition of Linux Mint...
      [sudo] password for karl: 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libsctp1
        libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following additional packages will be installed:
        cinnamon cinnamon-l10n
      Recommended packages:
        cinnamon-bluetooth
      The following packages will be REMOVED:
        cinnamon-bluetooth cinnamon-translations
      The following NEW packages will be installed:
        cinnamon cinnamon-l10n mint-meta-cinnamon
      0 upgraded, 3 newly installed, 2 to remove and 3 not upgraded.
      Need to get 2605 kB of archives.
      After this operation, 868 kB of additional disk space will be used.
      Get:1 http://packages.linuxmint.com sarah/backport i386 cinnamon-l10n all 3.0.3 [2280 kB]
      Get:2 http://packages.linuxmint.com sarah/backport i386 cinnamon i386 3.0.7+sarah [321 kB]
      Get:3 http://packages.linuxmint.com sarah/main i386 mint-meta-cinnamon all 2016.07.23 [4164 B]                                     
      Fetched 2605 kB in 6s (432 kB/s)                                                                                                   
      (Reading database ... 291425 files and directories currently installed.)
      Removing cinnamon-bluetooth (3.8.11+rosa) ...
      Removing cinnamon-translations (2.8.3+rosa) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Selecting previously unselected package cinnamon-l10n.
      (Reading database ... 290901 files and directories currently installed.)
      Preparing to unpack .../cinnamon-l10n_3.0.3_all.deb ...
      Unpacking cinnamon-l10n (3.0.3) ...
      Selecting previously unselected package cinnamon.
      Preparing to unpack .../cinnamon_3.0.7+sarah_i386.deb ...
      Unpacking cinnamon (3.0.7+sarah) ...
      Selecting previously unselected package mint-meta-cinnamon.
      Preparing to unpack .../mint-meta-cinnamon_2016.07.23_all.deb ...
      Unpacking mint-meta-cinnamon (2016.07.23) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu4.1) ...
      Setting up cinnamon-l10n (3.0.3) ...
      Setting up cinnamon (3.0.7+sarah) ...
      Setting up mint-meta-cinnamon (2016.07.23) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      
        + Re-installing the multimedia codecs...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      mint-meta-codecs is already the newest version (2016.05.04).
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libsctp1
        libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
      
        + Installing new packages...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      xplayer is already the newest version (1.0.7+sarah).
      xplayer set to manually installed.
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libsctp1
        libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following additional packages will be installed:
        bison flex fonts-mathjax gstreamer0.10-gnomevfs libbison-dev libcaja-extension1 libchamplain-0.12-0 libchamplain-gtk-0.12-0
        libfl-dev libjs-mathjax libxreaderdocument3 libxreaderview3 m4 pix-data xapps-common xed-common xreader-common
      Suggested packages:
        bison-doc fonts-mathjax-extras libjs-mathjax-doc postr
      The following NEW packages will be installed:
        bison flex fonts-mathjax gstreamer0.10-gnomevfs libbison-dev libcaja-extension1 libchamplain-0.12-0 libchamplain-gtk-0.12-0
        libfl-dev libjs-mathjax libxreaderdocument3 libxreaderview3 m4 mint-y-icons mint-y-theme pix pix-data xapps-common xed
        xed-common xreader xreader-common xviewer xviewer-plugins
      0 upgraded, 24 newly installed, 0 to remove and 3 not upgraded.
      Need to get 31.5 MB of archives.
      After this operation, 118 MB of additional disk space will be used.
      Get:1 http://archive.ubuntu.com/ubuntu xenial/main i386 m4 i386 1.4.17-5 [195 kB]
      Get:2 http://packages.linuxmint.com sarah/backport i386 libcaja-extension1 i386 1.14.2-1+sarah [17.4 kB]
      Get:3 http://archive.ubuntu.com/ubuntu xenial/main i386 libfl-dev i386 2.6.0-11 [12.5 kB]
      Get:4 http://archive.ubuntu.com/ubuntu xenial/main i386 flex i386 2.6.0-11 [284 kB]
      Get:5 http://packages.linuxmint.com sarah/backport i386 libxreaderdocument3 i386 1.0.8+sarah [203 kB]
      Get:6 http://packages.linuxmint.com sarah/backport i386 libxreaderview3 i386 1.0.8+sarah [107 kB]
      Get:7 http://packages.linuxmint.com sarah/main i386 mint-y-icons all 1.0.3 [16.4 MB]
      Get:8 http://archive.ubuntu.com/ubuntu xenial/main i386 libbison-dev i386 2:3.0.4.dfsg-1 [338 kB]
      Get:9 http://archive.ubuntu.com/ubuntu xenial/main i386 bison i386 2:3.0.4.dfsg-1 [256 kB]                                         
      Get:10 http://archive.ubuntu.com/ubuntu xenial/universe i386 fonts-mathjax all 2.6.1-1 [960 kB]                                    
      Get:11 http://archive.ubuntu.com/ubuntu xenial-updates/universe i386 gstreamer0.10-gnomevfs i386 0.10.36-2ubuntu0.1 [69.5 kB]      
      Get:12 http://archive.ubuntu.com/ubuntu xenial/universe i386 libchamplain-0.12-0 i386 0.12.13-1 [102 kB]                           
      Get:13 http://archive.ubuntu.com/ubuntu xenial/universe i386 libchamplain-gtk-0.12-0 i386 0.12.13-1 [6740 B]                       
      Get:14 http://archive.ubuntu.com/ubuntu xenial/universe i386 libjs-mathjax all 2.6.1-1 [5601 kB]                                   
      Get:15 http://packages.linuxmint.com sarah/main i386 mint-y-theme all 1.0.9 [314 kB]                                               
      Get:16 http://packages.linuxmint.com sarah/backport i386 pix-data all 1.0.6+sarah [1464 kB]                                        
      Get:17 http://packages.linuxmint.com sarah/backport i386 xapps-common all 1.0.0 [2060 B]                                           
      Get:18 http://packages.linuxmint.com sarah/backport i386 pix i386 1.0.6+sarah [877 kB]                                             
      Get:19 http://packages.linuxmint.com sarah/backport i386 xed-common all 1.0.6+sarah [1891 kB]                                      
      Get:20 http://packages.linuxmint.com sarah/backport i386 xed i386 1.0.6+sarah [385 kB]                                             
      Get:21 http://packages.linuxmint.com sarah/backport i386 xreader-common all 1.0.8+sarah [582 kB]                                   
      Get:22 http://packages.linuxmint.com sarah/backport i386 xreader i386 1.0.8+sarah [179 kB]                                         
      Get:23 http://packages.linuxmint.com sarah/backport i386 xviewer i386 1.0.6+sarah [1205 kB]                                        
      Get:24 http://packages.linuxmint.com sarah/backport i386 xviewer-plugins i386 1.0.3+sarah [115 kB]                                 
      Fetched 31.5 MB in 1min 1s (511 kB/s)                                                                                              
      Selecting previously unselected package m4.
      (Reading database ... 291514 files and directories currently installed.)
      Preparing to unpack .../archives/m4_1.4.17-5_i386.deb ...
      Unpacking m4 (1.4.17-5) ...
      Selecting previously unselected package libfl-dev:i386.
      Preparing to unpack .../libfl-dev_2.6.0-11_i386.deb ...
      Unpacking libfl-dev:i386 (2.6.0-11) ...
      Selecting previously unselected package flex.
      Preparing to unpack .../flex_2.6.0-11_i386.deb ...
      Unpacking flex (2.6.0-11) ...
      Selecting previously unselected package libbison-dev:i386.
      Preparing to unpack .../libbison-dev_2%3a3.0.4.dfsg-1_i386.deb ...
      Unpacking libbison-dev:i386 (2:3.0.4.dfsg-1) ...
      Selecting previously unselected package bison.
      Preparing to unpack .../bison_2%3a3.0.4.dfsg-1_i386.deb ...
      Unpacking bison (2:3.0.4.dfsg-1) ...
      Selecting previously unselected package fonts-mathjax.
      Preparing to unpack .../fonts-mathjax_2.6.1-1_all.deb ...
      Unpacking fonts-mathjax (2.6.1-1) ...
      Selecting previously unselected package gstreamer0.10-gnomevfs:i386.
      Preparing to unpack .../gstreamer0.10-gnomevfs_0.10.36-2ubuntu0.1_i386.deb ...
      Unpacking gstreamer0.10-gnomevfs:i386 (0.10.36-2ubuntu0.1) ...
      Selecting previously unselected package libcaja-extension1:i386.
      Preparing to unpack .../libcaja-extension1_1.14.2-1+sarah_i386.deb ...
      Unpacking libcaja-extension1:i386 (1.14.2-1+sarah) ...
      Selecting previously unselected package libchamplain-0.12-0:i386.
      Preparing to unpack .../libchamplain-0.12-0_0.12.13-1_i386.deb ...
      Unpacking libchamplain-0.12-0:i386 (0.12.13-1) ...
      Selecting previously unselected package libchamplain-gtk-0.12-0:i386.
      Preparing to unpack .../libchamplain-gtk-0.12-0_0.12.13-1_i386.deb ...
      Unpacking libchamplain-gtk-0.12-0:i386 (0.12.13-1) ...
      Selecting previously unselected package libjs-mathjax.
      Preparing to unpack .../libjs-mathjax_2.6.1-1_all.deb ...
      Unpacking libjs-mathjax (2.6.1-1) ...
      Selecting previously unselected package libxreaderdocument3.
      Preparing to unpack .../libxreaderdocument3_1.0.8+sarah_i386.deb ...
      Unpacking libxreaderdocument3 (1.0.8+sarah) ...
      Selecting previously unselected package libxreaderview3.
      Preparing to unpack .../libxreaderview3_1.0.8+sarah_i386.deb ...
      Unpacking libxreaderview3 (1.0.8+sarah) ...
      Selecting previously unselected package mint-y-icons.
      Preparing to unpack .../mint-y-icons_1.0.3_all.deb ...
      Unpacking mint-y-icons (1.0.3) ...
      Selecting previously unselected package mint-y-theme.
      Preparing to unpack .../mint-y-theme_1.0.9_all.deb ...
      Unpacking mint-y-theme (1.0.9) ...
      Selecting previously unselected package pix-data.
      Preparing to unpack .../pix-data_1.0.6+sarah_all.deb ...
      Unpacking pix-data (1.0.6+sarah) ...
      Selecting previously unselected package xapps-common.
      Preparing to unpack .../xapps-common_1.0.0_all.deb ...
      Unpacking xapps-common (1.0.0) ...
      Selecting previously unselected package pix.
      Preparing to unpack .../pix_1.0.6+sarah_i386.deb ...
      Unpacking pix (1.0.6+sarah) ...
      Selecting previously unselected package xed-common.
      Preparing to unpack .../xed-common_1.0.6+sarah_all.deb ...
      Unpacking xed-common (1.0.6+sarah) ...
      Selecting previously unselected package xed.
      Preparing to unpack .../xed_1.0.6+sarah_i386.deb ...
      Unpacking xed (1.0.6+sarah) ...
      Selecting previously unselected package xreader-common.
      Preparing to unpack .../xreader-common_1.0.8+sarah_all.deb ...
      Unpacking xreader-common (1.0.8+sarah) ...
      Selecting previously unselected package xreader.
      Preparing to unpack .../xreader_1.0.8+sarah_i386.deb ...
      Unpacking xreader (1.0.8+sarah) ...
      Selecting previously unselected package xviewer.
      Preparing to unpack .../xviewer_1.0.6+sarah_i386.deb ...
      Unpacking xviewer (1.0.6+sarah) ...
      Selecting previously unselected package xviewer-plugins.
      Preparing to unpack .../xviewer-plugins_1.0.3+sarah_i386.deb ...
      Unpacking xviewer-plugins (1.0.3+sarah) ...
      Processing triggers for install-info (6.1.0.dfsg.1-5) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      Processing triggers for doc-base (0.10.7) ...
      Processing 1 added doc-base file...
      Registering documents with scrollkeeper...
      Processing triggers for fontconfig (2.11.94-0ubuntu1.1) ...
      Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
      Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu4.1) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
      Setting up m4 (1.4.17-5) ...
      Setting up libfl-dev:i386 (2.6.0-11) ...
      Setting up flex (2.6.0-11) ...
      Setting up libbison-dev:i386 (2:3.0.4.dfsg-1) ...
      Setting up bison (2:3.0.4.dfsg-1) ...
      update-alternatives: using /usr/bin/bison.yacc to provide /usr/bin/yacc (yacc) in auto mode
      Setting up fonts-mathjax (2.6.1-1) ...
      Setting up gstreamer0.10-gnomevfs:i386 (0.10.36-2ubuntu0.1) ...
      Setting up libcaja-extension1:i386 (1.14.2-1+sarah) ...
      Setting up libchamplain-0.12-0:i386 (0.12.13-1) ...
      Setting up libchamplain-gtk-0.12-0:i386 (0.12.13-1) ...
      Setting up libjs-mathjax (2.6.1-1) ...
      Setting up libxreaderdocument3 (1.0.8+sarah) ...
      Setting up libxreaderview3 (1.0.8+sarah) ...
      Setting up mint-y-icons (1.0.3) ...
      Setting up mint-y-theme (1.0.9) ...
      Setting up pix-data (1.0.6+sarah) ...
      Setting up xapps-common (1.0.0) ...
      Setting up pix (1.0.6+sarah) ...
      Setting up xed-common (1.0.6+sarah) ...
      Setting up xed (1.0.6+sarah) ...
      Setting up xreader-common (1.0.8+sarah) ...
      Setting up xreader (1.0.8+sarah) ...
      Setting up xviewer (1.0.6+sarah) ...
      Setting up xviewer-plugins (1.0.3+sarah) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      
        + Removing obsolete packages...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1
        libpeas-1.0-0-python3loader libsctp1 libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6
        linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        lksctp-tools mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        gedit
      0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
      After this operation, 1852 kB disk space will be freed.
      (Reading database ... 315261 files and directories currently installed.)
      Removing gedit (3.18.3-0ubuntu4) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1
        libpeas-1.0-0-python3loader libsctp1 libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6
        linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        lksctp-tools mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        evince
      0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
      After this operation, 1249 kB disk space will be freed.
      (Reading database ... 315187 files and directories currently installed.)
      Removing evince (3.18.2-1ubuntu4.3) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 libexif-dev libgcrypt11-dev
        libgcrypt20-dev libglew1.10 libgnutlsxx27 libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1
        libpeas-1.0-0-python3loader libsctp1 libstdc++-4.8-dev libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6
        linux-headers-3.13.0-157 linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic
        lksctp-tools mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        eog
      0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
      After this operation, 2769 kB disk space will be freed.
      (Reading database ... 315167 files and directories currently installed.)
      Removing eog (3.18.2-1ubuntu2.1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu4.1) ...
      Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        totem totem-plugins totem-plugins-extra
      0 upgraded, 0 newly installed, 3 to remove and 3 not upgraded.
      After this operation, 1981 kB disk space will be freed.
      (Reading database ... 313639 files and directories currently installed.)
      Removing totem-plugins-extra (3.18.1-1ubuntu4) ...
      Removing totem-plugins (3.18.1-1ubuntu4) ...
      Removing totem (3.18.1-1ubuntu4) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      E: Unable to locate package totem-mozilla
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        gthumb
      0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
      After this operation, 3459 kB disk space will be freed.
      (Reading database ... 313539 files and directories currently installed.)
      Removing gthumb (3:3.4.3-1) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Package 'pluma' is not installed, so not removed
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Package 'atril' is not installed, so not removed
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Package 'eom' is not installed, so not removed
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-hotcorner-plugin
      Use 'sudo apt autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        fonts-noto fonts-noto-cjk fonts-noto-hinted fonts-noto-mono fonts-noto-unhinted g++-4.8 grilo-plugins-0.2-base
        gstreamer1.0-clutter-3.0 libexif-dev libgcrypt11-dev libgcrypt20-dev libglew1.10 libgnutlsxx27 libgom-1.0-0 libgom-1.0-common
        libgpg-error-dev libgphoto2-dev libieee1284-3-dev libkrb5-dev liblcms1 libmediaart-2.0-0 libpeas-1.0-0-python3loader libsctp1
        libstdc++-4.8-dev libtracker-sparql-1.0-0 libv4l-dev libv4l2rds0 libwxbase2.8-0 libwxgtk2.8-0 libxp6 linux-headers-3.13.0-157
        linux-headers-3.13.0-157-generic linux-image-3.13.0-157-generic linux-image-extra-3.13.0-157-generic lksctp-tools
        mint-backgrounds-rebecca mint-backgrounds-rosa mint-kernel-info python-requests xfce4-artwork xfce4-battery-plugin
        xfce4-datetime-plugin xfce4-diskperf-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-hotcorner-plugin xfce4-sensors-plugin
        xfce4-taskmanager xfce4-wavelan-plugin
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        ristretto xfce4-goodies
      0 upgraded, 0 newly installed, 2 to remove and 3 not upgraded.
      After this operation, 1487 kB disk space will be freed.
      (Reading database ... 313451 files and directories currently installed.)
      Removing xfce4-goodies (4.12.1) ...
      Removing ristretto (0.8.0-1) ...
      Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
      Processing triggers for man-db (2.7.5-1) ...
      
        + Re-creating ~/.bashrc...
      
        + Re-adjusting base files...
      
        + Re-enabling the Cinnamon screensaver...
      karl@unimatrix0 ~ $ 
      "mintupgrade upgrade" took 2 hours 30 minutes on this machine.
      The complete logfile of the whole "mintupgrade upgrade" operation, file /var/log/apt/term.log.
      Zipped and attached to this post. (1.3 MB unzipped, 27800 lines)
      .
    • Rebooting into Mint 18 Sarah ...
      Worked fine.
      Here are some details about Mint 18 Sarah, upgraded in-place from Mint 17.3.

      Code: Select all

      $ sudo apt-get check
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      $ sudo dpkg --configure -a
      
      $ inxi -Fxz
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 
                 Desktop: Cinnamon 3.0.7 Distro: Linux Mint 18 Sarah base: Ubuntu 16.04 xenial 
      Machine:   Type: Desktop Mobo: N/A model: N/A serial: <filter> BIOS: American Megatrends v: 080015 
                 date: 10/09/2009 
      CPU:       Topology: Dual Core model: Intel Atom 330 bits: 64 type: MT MCP arch: Bonnell rev: 2 
                 L2 cache: 512 KiB 
                 flags: lm nx pae sse sse2 sse3 ssse3 bogomips: 12800 
                 Speed: 1600 MHz min/max: N/A Core speeds (MHz): 1: 1600 2: 1600 3: 1600 4: 1600 
      Graphics:  Device-1: NVIDIA ION VGA driver: nouveau v: kernel bus ID: 03:00.0 
                 Display: server: X.Org 1.18.4 driver: nouveau unloaded: fbdev,modesetting,vesa 
                 resolution: 1280x1024~60Hz 
                 OpenGL: renderer: NVAC v: 3.3 Mesa 18.0.5 direct render: Yes 
      Audio:     Device-1: NVIDIA MCP79 High Definition Audio driver: snd_hda_intel v: kernel bus ID: 00:08.0 
                 Sound Server: ALSA v: k4.4.0-135-generic 
      Network:   Device-1: NVIDIA MCP79 Ethernet driver: forcedeth v: kernel port: d080 bus ID: 00:0a.0 
                 IF: eth0 state: down mac: <filter> 
                 Device-2: Qualcomm Atheros AR9285 Wireless Network Adapter driver: ath9k v: kernel bus ID: 04:00.0 
                 IF: wlan0 state: up mac: <filter> 
      Drives:    Local Storage: total: 156.31 GiB used: 17.57 GiB (11.2%) 
                 ID-1: /dev/sda vendor: Samsung model: HM160HI size: 149.05 GiB temp: 50 C 
                 ID-2: /dev/sdb type: USB vendor: Intenso model: Premium size: 7.25 GiB 
      Partition: ID-1: / size: 47.12 GiB used: 11.63 GiB (24.7%) fs: ext4 dev: /dev/sda6 
                 ID-2: swap-1 size: 5.05 GiB used: 296 KiB (0.0%) fs: swap dev: /dev/sda5 
      Sensors:   System Temperatures: cpu: 89.0 C mobo: N/A gpu: nouveau temp: 64 C 
                 Fan Speeds (RPM): N/A 
      Info:      Processes: 185 Uptime: 1h 33m Memory: 1.72 GiB used: 485.8 MiB (27.6%) Init: systemd runlevel: 5 
                 Compilers: gcc: 5.4.0 Shell: bash v: 4.3.48 inxi: 3.0.24 
  • Problems encountered and solved after upgrading
    Trouble shooting will not begin before tomorrow.
--(happy end for today--)
Attachments
Zotac_Mint17.3_to_Mint18_mintupgrade.zip
/var/log/apt/term.log
(123.9 KiB) Downloaded 2 times
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Thu Sep 20, 2018 4:43 pm

Step 2: Upgrade my Mint 17.3 to Mint 18.0 in-place using MintUpgrade 17.3.11
  • MintUpgrade to Mint 18 - Aftercare
    1. Re-installing NetActview
    2. Re-adding PPA's removed by mintupgrade
    3. Upgrading Firefox 62.0, Thunderbird 60.0 and inxi
    4. Uninstalling obsolete kernel series 3.13.0-xx
    5. Purging packages left behind by mintupgrade && Purging no longer needed packages
    6. Checking whether HP Colour Laserjet & Scanner fully functional
    7. MDM greeter screen does not display userlist after (re)boot
    8. xfce4-panel exceeds monitor width, no clock in panel, lots of xfce utilities missing
    9. Check the "minupgrade upgrade" logfile for errors.
    • Re-installing NetActview
      NetActView 0.6.4 is in use on all of my Mint systems. It still works on recent Mint releases as well. The only issue on recent Mint systems is a hard-coded dependency on a shared library, which has changed its name in recent Mint versions.
      Therefore the netactview package, inherited from Mint 17.3, has been uninstalled and re-installed from a repackaged deb-file, which meets the dependencies.
      .
    • Re-adding PPA's removed by mintupgrade
      mintupgrade had removed 3 PPAs from the software sources: ppa:unit193/inxi, ppa:ubuntu-mozilla-security/ppa, ppa:pinta-maintainers/pinta-stable.
      ppa:pinta-maintainers/pinta-stable is no longer needed, because the Xenial repos offer the current Pinta version. So only the other 2 repos have been added back.

      Code: Select all

      sudo add-apt-repository ppa:unit193/inxi
      sudo add-apt-repository ppa:ubuntu-mozilla-security/ppa
    • Upgrading Firefox 62.0, Thunderbird 60.0 and inxi
      The installed Firefox, Thunderbird and inxi packages still carried the suffixes 14.04 in their names. So they have been updated to the corresponding 16.04 versions.

      Code: Select all

      Commit Log for Wed Sep 19 23:41:44 2018
      
      The following packages have been updated:
      firefox (62.0+build2-0ubuntu0.14.04.5) to 62.0+build2-0ubuntu0.16.04.5
      firefox-locale-de (62.0+build2-0ubuntu0.14.04.5) to 62.0+build2-0ubuntu0.16.04.5
      firefox-locale-en (62.0+build2-0ubuntu0.14.04.5) to 62.0+build2-0ubuntu0.16.04.5
      inxi (3.0.24-1-1~14.04) to 3.0.24-1-1~16.04
      thunderbird (1:60.0+build4-0ubuntu0.14.04.2) to 1:60.0+build4-0ubuntu0.16.04.2
      thunderbird-gnome-support (1:60.0+build4-0ubuntu0.14.04.2) to 1:60.0+build4-0ubuntu0.16.04.2
      thunderbird-locale-de (1:60.0+build4-0ubuntu0.14.04.2) to 1:60.0+build4-0ubuntu0.16.04.2
      thunderbird-locale-en (1:60.0+build4-0ubuntu0.14.04.2) to 1:60.0+build4-0ubuntu0.16.04.2
      thunderbird-locale-en-us (1:60.0+build4-0ubuntu0.14.04.2) to 1:60.0+build4-0ubuntu0.16.04.2
    • Uninstalling obsolete kernel series 3.13.0-xx
      2 kernels 3.13.0-xx had been left behind. They have been uninstalled completely. They are of no use on Mint 18.

      Code: Select all

      Commit Log for Thu Sep 20 01:04:29 2018
      
      The following packages have been completely removed:
      linux-headers-3.13.0-157
      linux-headers-3.13.0-157-generic
      linux-headers-3.13.0-158
      linux-headers-3.13.0-158-generic
      linux-image-3.13.0-157-generic
      linux-image-3.13.0-158-generic
      linux-image-extra-3.13.0-157-generic
      linux-image-extra-3.13.0-158-generic
    • Purging packages left behind by mintupgrade
      mintupgrade had removed 88 packages, but not purged them. So a lot of packages had been left behind. They have been removed completely.

      Code: Select all

      Commit Log for Thu Sep 20 01:18:42 2018
      
      The following packages have been completely removed:
      libatkmm-1.6-1
      libcairomm-1.0-1
      libclucene-contribs1
      libclucene-core1
      libcogl-pango15
      libcogl15
      libcwidget3
      libebml4
      libecal-1.2-16
      libecryptfs0
      libedata-cal-1.2-23
      libfreerdp1
      libglibmm-2.4-1c2a
      libgnutls28
      libgtkmm-2.4-1c2a
      libgtkmm-3.0-1
      libhogweed2
      libical1
      libidl0
      libkdb5-7
      libllvm3.6
      libmatroska6
      libmetacity-private0a
      libmozjs-24-0
      libnettle4
      libopencv-calib3d2.4
      libopencv-contrib2.4
      libopencv-core2.4
      libopencv-features2d2.4
      libopencv-flann2.4
      libopencv-highgui2.4
      libopencv-imgproc2.4
      libopencv-legacy2.4
      libopencv-ml2.4
      libopencv-objdetect2.4
      libopencv-photo2.4
      libopencv-video2.4
      libopenobex1
      libpanel-applet-4-0
      libpangomm-1.4-1
      libproxy1
      libpython3.4
      libpython3.4-minimal
      libsidplay1
      libsidplay2
      libsigc++-2.0-0c2a
      libtag1-vanilla
      libvlccore7
      libxapian22
      openjdk-7-jre-headless
      perl-modules
      python-cupshelpers
      python3.4
      python3.4-minimal
      systemd-services
      
    • Purging no longer needed packages
      Next the software packages, which could be auto-removed, have been purged.

      Code: Select all

      Commit Log for Thu Sep 20 01:21:12 2018
      
      The following packages have been completely removed:
      fonts-noto
      fonts-noto-cjk
      fonts-noto-hinted
      fonts-noto-mono
      fonts-noto-unhinted
      g++-4.8
      grilo-plugins-0.2-base
      gstreamer1.0-clutter-3.0
      libexif-dev
      libgcrypt11-dev
      libgcrypt20-dev
      libglew1.10
      libgnutlsxx27
      libgom-1.0-0
      libgom-1.0-common
      libgpg-error-dev
      libgphoto2-dev
      libieee1284-3-dev
      libkrb5-dev
      liblcms1
      libmediaart-2.0-0
      libpeas-1.0-0-python3loader
      libsctp1
      libstdc++-4.8-dev
      libtracker-sparql-1.0-0
      libv4l-dev
      libv4l2rds0
      libwxbase2.8-0
      libwxgtk2.8-0
      libxp6
      lksctp-tools
      mint-backgrounds-rebecca
      mint-backgrounds-rosa
      mint-kernel-info
      python-requests
      xfce4-artwork
      xfce4-battery-plugin
      xfce4-datetime-plugin
      xfce4-diskperf-plugin
      xfce4-fsguard-plugin
      xfce4-genmon-plugin
      xfce4-hotcorner-plugin
      xfce4-sensors-plugin
      xfce4-taskmanager
      xfce4-wavelan-plugin
      
    • Checking whether HP Colour Laserjet & Scanner fully functional
      Double-sided printing works. Scanning works as well.
      .
    • Checking whether the xfce desktop is fully functional
      The xfce desktop is fully functional. To be precise it was functional; but it has been fully functional, only after a minor annoyance had been corrected. See below under "Problems and Solutions".

      Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 Desktop: Xfce 4.12.3 
                 tk: Gtk 2.24.28 info: xfce4-panel wm: xfwm4 dm: MDM Distro: Linux Mint 18 Sarah 
                 base: Ubuntu 16.04 xenial 
  • MintUpgrade to Mint 18 - Problems and Solutions
    • MDM greeter screen does not display userlist after (re)boot
      When the system comes up, the MDM greeter screen will not display the userlist.
      sudo dpkg-reconfigure mdm has not resolved the issue.
      Workaround:
      Click on the "Session" link. Confirm the pre-selected default setting. The mdmgreeter screen will be re-drawn, this time the userlist will be populated.
      .
      Result:
      After 3 days, I have not been able to identify the root cause of the annoying MDM failure to load the userlist after each (re)boot.
      Googling did not turn up any similar case. Searching the Mint Github issues, reported for MDM, did not turn up a similar case.
      Upgrading MDM 2.0.10 (Sarah) to MDM 2.0.17 (Serena) did not solve the issue.
      .
      Decision:
      I will live with the found workaround. A bit annoying, but not too inconvenient.
      If this had happened 2 years ago, I would have very likely hoped that Mint 18.1 would solve the issue. By now, in Sept. 2018, I hope that upgrading to Mint 18.3 will get rid of the MDM issue by replacing MDM with lightdm. (Hope dies last.)

      .
    • xfce4-panel exceeds monitor width, no clock in panel, lots of xfce utilities missing
      • The clock display was missing from the xfce4-panel. Adding it back, caused the time to be displayed outside the visible screen area.
      • The xfce4-taskmanager was missing. Actually all the xfce4-goodies, which had been present on Mint 17.3, were absent on Mint 18.
      To my surprise, installing xfce4-goodies solved all these little issues.
  • MintUpgrade to Mint 18 - Checking the Upgrade Logfile
    • Check the "minupgrade upgrade" logfile for errors.
      Logfile /var/apt/log/term.log had been saved as Zotac_Mint17.3_to_Mint18_mintupgrade.txt in order to prevent it from being "logrotated" before it has been fully inspected.
      Turned out that most error messages in the file are about dependency issues which are caused by uninstalling outdated packages and which are resolved immediately by installing the corresponding newer package versions.
      Only 3 minor issues had been left:
      • Had forgotten to remove a no longer needed self-created script from /etc/init.d and the symlinks from /etc/rc0.d and /etc/rc6.d: done.
      • An openjdk-7 package had been left behind, when upgrading to openjdk-8. Package removed: done.
      • The ttf-mscorefonts-installer had failed to download and install some of the MS core fonts: solved.
        Turns out the Ubuntu 16.04 repo version is faulty. Solution found here: ttf-mscorefonts-installer installation failure 16.04 LTS
  • Next step in the process of "Upgrade from Mint 17.1 to Mint 19 in-place (experiment)" down here
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
all41
Level 13
Level 13
Posts: 4711
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by all41 » Thu Sep 20, 2018 4:49 pm

karlchen wrote:
Sun Sep 16, 2018 8:25 am
Warning in advance: Don't do this at home!
This is not a tutorial, but a docu soap with my own Mint 17.1 system as the guinea-pig.
@karlchen
Boldly going where no (sane) man has gone before 8)
Proud to be a supporter and monthly contributor to Mint.

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Thu Sep 20, 2018 6:51 pm

Hello, all41.

Is it really such a strange idea to follow the official in-place Mint upgrade path and expect doing so will yield the most recent fully functional Linux Mint 19 in the end? :?
The only not so common detail about my experiment is the reduced timeframe during which the upgrade steps will be done.
We will see what the final outcome will be.

Best regards,
Karl
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
all41
Level 13
Level 13
Posts: 4711
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by all41 » Thu Sep 20, 2018 7:03 pm

Twas both encouragement and acknowlegement of the expertise involved Karl.
Cheers
Proud to be a supporter and monthly contributor to Mint.

User avatar
smurphos
Level 7
Level 7
Posts: 1612
Joined: Fri Sep 05, 2014 12:18 am
Location: Britisher...

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by smurphos » Fri Sep 21, 2018 2:18 am

all41 wrote:
Thu Sep 20, 2018 4:49 pm
@karlchen
Boldly going where no (sane) man has gone before 8)
I've got one machine that started life on Mint 17 (if my first forum post is accurante :) viewtopic.php?f=90&t=177423 that is happily running 18.3 currently having gone through inplace upgrades from 17 through to 18.3. But it's a simple system acting as a media centre / file server so perhaps less prone to upgrade FUBAR's. I'm not planning on taking it to 19 unfortunately - it's next refresh will be as a headless server based of the Ubuntu minimal iso.

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 23, 2018 7:03 am

<stuck a bit on mdmgreeter screen issue>
Actually, the system would be ready for upgrading from Mint 18 to Mint 18.3 in-place using mintupdate, if there were not this unresolved little issue, which had been mentioned before:
MDM greeter screen does not display userlist after (re)boot
When the system comes up, the MDM greeter screen will not display the userlist.
True there is a workaround for it. But the fact remains I have not found out what the root cause is and how to solve it.
On the one hand, on the other hand Mint 18.3 will permit to switch from MDM to lightdm; so no more MDM issues.
Hence spending more time on the MDM issue might be considered a waste of time.
But it would mean that mintupgrade from 17.3 to 18 has left behind an unresolved issue. :(
--
The decision is to move on with in-place upgrading:
If I had come across the MDM annoyance in 2016, I would very likely have hoped it would be fixed in Mint 18.1. The workaround is a bit annoying, but no show stopper and productivity killer.
In Sept. 2018, my hope is not on Mint 18.1, but on lightdm, which will have replaced MDM, once the upgrade to Mint 18.3 has been completed. Hope dies last.
</stuck a bit on mdmgreeter screen issue>
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

Hoser Rob
Level 12
Level 12
Posts: 4204
Joined: Sat Dec 15, 2012 8:57 am

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by Hoser Rob » Sun Sep 23, 2018 10:19 am

I'm torn between thinking this is cool and thinking it's a pointless exercise in self flagellation.

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 23, 2018 10:56 am

For me it is mainly a passtime. And it is a passtime, which as a wanted side effect, may help interested users in deciding
  • whether in-place upgrading across several (main) versions is worth the time
  • whether in-place upgrading across several (main) versions is likely to give you a stable up-to-date system in the end
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Sun Sep 23, 2018 10:58 am

Step 3: Upgrade my Mint 18.0 to Mint 18.3 in-place using MintUpdate
  • MintUpdate from Mint 18.0 to Mint 18.3
    1. With root privileges backed up the whole sub-directory /etc/apt to /home/karl/Downloads/apt. - Might need it for reference or for manually restoring settings after the next step.
    2. Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 
                 Desktop: Cinnamon 3.0.7 wm: muffin dm: MDM Distro: Linux Mint 18 Sarah base: Ubuntu 16.04 xenial
    3. Verifying sufficient free space on the root filesystem is available:

      Code: Select all

      $ df -h /
      Filesystem      Size  Used Avail Use% Mounted on
      /dev/sda6        48G   11G   34G  25% /
    4. Following the official instruction: How to upgrade to Linux Mint 18.3
      • 1. Create a system snapshot
        Installed Timeshift. Briefly checked how it works. Decided that I do not want it. Purged it again.
        Note: this is my decision and not the officially recommended approach.
        .
      • 2. Prepare for the upgrade
        Set the screensaver to kick in: never. No Cinnamon applets, desklets, extensions, themes to be updated here. Stock Mint 18 Cinnamon still.
        .
      • 3. Upgrade the operating system
        Refresh => Nothing to be updated. So next step: Edit => Upgrade system to "Linux Mint 18.3 Sylvia".
    5. Roughly 45 minutes and reboot later, Mint 18 Sarah had turned into Mint 18.3 Sylvia.
      45 min. may seem a long time. Please, keep in mind that the overall runtime has been brought about by my slow internet connection and my slow hardware.
      No issues have been encountered during the upgrade from Mint 18 to Mint 18.3 via MintUpdate.

      Code: Select all

      Synaptic history log:
      Commit Log for Sun Sep 23 17:59:19 2018
      
      The following packages have been removed:
      libcjs0e
      xplayer-mozilla
      
      The following packages have been updated:
      apturl (0.5.2+linuxmint3) to 0.5.2+linuxmint5
      apturl-common (0.5.2+linuxmint3) to 0.5.2+linuxmint5
      base-files (18.0.2) to 18.3.0
      cinnamon (3.0.7+sarah) to 3.6.7+sylvia
      cinnamon-common (3.0.7+sarah) to 3.6.7+sylvia
      cinnamon-control-center (3.0.1+sarah) to 3.6.5+sylvia
      cinnamon-control-center-data (3.0.1+sarah) to 3.6.5+sylvia
      cinnamon-desktop-data (3.0.2+sarah) to 3.6.2+sylvia
      cinnamon-l10n (3.0.3) to 3.6.4
      cinnamon-screensaver (3.0.1+sarah) to 3.6.1+sylvia
      cinnamon-session (3.0.1+sarah) to 3.6.0+sylvia
      cinnamon-session-common (3.0.1+sarah) to 3.6.0+sylvia
      cinnamon-settings-daemon (3.0.1+sarah) to 3.6.2+sylvia
      cinnamon-themes (2016.05.03) to 2017.06.20
      cjs (3.0.1+sarah) to 3.6.1+sylvia
      desktop-file-utils (0.22-1ubuntu5.2) to 0.22+linuxmint1
      folder-color-switcher (1.0.9) to 1.1.7
      gdebi (0.9.5.7ubuntu1) to 0.9.5.7xmint5
      gdebi-core (0.9.5.7ubuntu1) to 0.9.5.7xmint5
      gir1.2-cinnamondesktop-3.0 (3.0.2+sarah) to 3.6.2+sylvia
      gir1.2-cmenu-3.0 (3.0.2+sarah) to 3.6.0+sylvia
      gir1.2-cvc-1.0 (3.0.2+sarah) to 3.6.2+sylvia
      gir1.2-meta-muffin-0.0 (3.0.5+sarah) to 3.6.0+sylvia
      gir1.2-nemo-3.0 (3.0.6+sarah) to 3.6.5+sylvia
      gir1.2-xplayer-1.0 (1.0.7+sarah) to 1.6.1+sylvia
      gir1.2-xplayer-plparser-1.0 (1.0.2+sarah) to 1.0.2+serena
      gnome-calculator (1:3.18.3-0ubuntu1.16.04.1) to 1:3.18.3-0ubuntu1.16.04.1.mint1
      gnome-screenshot (3.18.0-2linuxmint1) to 3.18.0-2linuxmint2
      gnome-terminal (3.18.3-linuxmint1) to 3.18.3-linuxmint2
      gnome-terminal-data (3.18.3-linuxmint1) to 3.18.3-linuxmint2
      libcaja-extension1 (1.14.2-1+sarah) to 1.18.5-1+sonya
      libcinnamon-control-center1 (3.0.1+sarah) to 3.6.5+sylvia
      libcinnamon-desktop4 (3.0.2+sarah) to 3.6.2+sylvia
      libcinnamon-menu-3-0 (3.0.2+sarah) to 3.6.0+sylvia
      libcvc0 (3.0.2+sarah) to 3.6.2+sylvia
      libgksu2-0 (2.0.13~pre1-7linuxmint4) to 2.0.13~pre1-7linuxmint5
      libmuffin0 (3.0.5+sarah) to 3.6.0+sylvia
      libnemo-extension1 (3.0.6+sarah) to 3.6.5+sylvia
      libxplayer-plparser18 (1.0.2+sarah) to 1.0.2+serena
      libxplayer0 (1.0.7+sarah) to 1.6.1+sylvia
      libxreaderdocument3 (1.0.8+sarah) to 1.6.2+sylvia
      libxreaderview3 (1.0.8+sarah) to 1.6.2+sylvia
      mdm (2.0.17+serena) to 2.0.19+sylvia
      mint-artwork-cinnamon (5.2) to 5.7
      mint-artwork-common (2.0.9.1) to 2.1.8.1
      mint-artwork-gnome (2.6.46) to 2.6.49
      mint-artwork-xfce (2016.07.27.1) to 2017.12.13
      mint-backgrounds-xfce (2016.07.12) to 2017.10.27
      mint-common (1.2.6) to 1.2.9
      mint-info-cinnamon (2016.01.11) to 2017.10.27
      mint-mdm-themes-html (2.0.10) to 2.0.15
      mint-meta-cinnamon (2016.07.23) to 2017.09.19
      mint-meta-codecs (2016.05.04) to 2017.06.25
      mint-meta-codecs-core (2016.05.04) to 2017.06.25
      mint-meta-core (2016.07.23) to 2017.09.19
      mint-meta-xfce (2016.07.23) to 2017.09.19
      mint-themes (1.4.7) to 1.5.0
      mint-themes-gtk3 (3.18+8) to 3.18+17
      mint-translations (2016.06.25) to 2018.01.06
      mint-x-icons (1.3.9) to 1.4.6
      mint-y-icons (1.0.3) to 1.1.3
      mint-y-theme (1.0.9) to 1.2.3
      mintbackup (2.2.4) to 2.3.2
      mintdesktop (3.5.2) to 3.5.7
      mintdrivers (1.3.3) to 1.3.7
      mintinstall (7.7.5) to 7.8.9
      mintlocale (1.3.7) to 1.4.4
      mintnanny (1.5.2) to 1.5.4
      mintsources (1.6.0) to 1.7.2
      mintstick (1.2.8) to 1.3.5
      mintsystem (8.2.9) to 8.3.4
      mintupdate (5.1.0.6) to 5.3.2.5
      mintupgrade (17.3.11) to 18.3.11
      mintupload (4.0.8) to 4.1.1
      mintwelcome (2.2.2) to 2.2.6
      muffin-common (3.0.5+sarah) to 3.6.0+sylvia
      nemo (3.0.6+sarah) to 3.6.5+sylvia
      nemo-compare (3.0.0+sarah) to 3.6.0+sylvia
      nemo-data (3.0.6+sarah) to 3.6.5+sylvia
      nemo-emblems (3.0.2) to 3.6.0+sylvia
      nemo-fileroller (3.0.0+sarah) to 3.6.0+sylvia
      nemo-folder-color-switcher (1.0.9) to 1.1.7
      nemo-share (3.0.0+sarah) to 3.6.0+sylvia
      pix (1.0.6+sarah) to 1.6.2+sylvia
      pix-data (1.0.6+sarah) to 1.6.2+sylvia
      python-nemo (3.0.0+sarah) to 3.6.0+sylvia
      synaptic (0.83linuxmint3) to 0.83linuxmint4
      ubuntu-system-adjustments (2016.09.02) to 2017.05.21
      xapps-common (1.0.0) to 1.0.4+sylvia
      xed (1.0.6+sarah) to 1.6.3+sylvia
      xed-common (1.0.6+sarah) to 1.6.3+sylvia
      xfce4-notifyd (0.2.4-3ubuntu1) to 0.3.6-0ubuntu1
      xfce4-taskmanager (1.1.0-1) to 1.2.0-0ubuntu1
      xfce4-terminal (0.6.3-2ubuntu1) to 0.8.6-0ubuntu1
      xfce4-whiskermenu-plugin (1.5.3-0ppa1~xenial1) to 1.7.3-0ppa1~xenial1
      xfwm4 (4.12.3-1ubuntu2) to 4.13.0-1mint1+sonya
      xplayer (1.0.7+sarah) to 1.6.1+sylvia
      xplayer-common (1.0.7+sarah) to 1.6.1+sylvia
      xplayer-plugins (1.0.7+sarah) to 1.6.1+sylvia
      xplayer-plugins-extra (1.0.7+sarah) to 1.6.1+sylvia
      xreader (1.0.8+sarah) to 1.6.2+sylvia
      xreader-common (1.0.8+sarah) to 1.6.2+sylvia
      xviewer (1.0.6+sarah) to 1.6.1+sylvia
      xviewer-plugins (1.0.3+sarah) to 1.2.0+serena
      
      The following packages have been installed:
      cinnamon-screensaver-pam-helper (3.6.1+sylvia)
      cinnamon-screensaver-x-plugin (3.6.1+sylvia)
      dcraw (9.21-0.2)
      dleyna-server (0.4.0-1)
      flatpak (0.10.0-0alexlarsson1~xenial)
      gir1.2-appstream-1.0 (0.10.6-1~ubuntu16.04.2)
      gir1.2-flatpak-1.0 (0.10.0-0alexlarsson1~xenial)
      gir1.2-xapp-1.0 (1.0.4+sylvia)
      gnome-control-center (1:3.18.2-1ubuntu6)
      gnome-control-center-data (1:3.18.2-1ubuntu6)
      gnome-online-accounts (3.18.3-1ubuntu2)
      gstreamer1.0-clutter-3.0 (3.0.18-1)
      ibus (1.5.11-1ubuntu2.1)
      iso-flag-png (1.0.1)
      libappstream4 (0.10.6-1~ubuntu16.04.2)
      libcheese-gtk25 (3.18.1-2ubuntu3)
      libcjs0f (3.6.1+sylvia)
      libcolord-gtk1 (0.1.26-1)
      libcscreensaver0 (3.6.1+sylvia)
      libdleyna-connector-dbus-1.0-1 (0.2.0-1)
      libdleyna-core-1.0-3 (0.4.0-1)
      libflatpak0 (0.10.0-0alexlarsson1~xenial)
      libgoa-backend-1.0-1 (3.18.3-1ubuntu2)
      libgupnp-av-1.0-2 (0.12.8-1)
      libgupnp-dlna-2.0-3 (0.10.4-1)
      libmozjs-38-0 (38.2.1~rc0-0ubuntu5)
      libostree-1-1 (2017.12-0alexlarsson1~xenial)
      libpeas-1.0-0-python3loader (1.16.0-1ubuntu2)
      libstemmer0d (0+svn585-1)
      libxapp1 (1.0.4+sylvia)
      mint-backgrounds-sylvia (1.2)
      python-setproctitle (1.1.8-1build2)
      python3-psutil (3.4.2-1)
      python3-setproctitle (1.1.8-1build2)
      python3-xapp (1.0.1)
      realmd (0.16.2-2)
      unity-control-center-faces (15.04.0+16.04.20171130-0ubuntu1)
      xdg-desktop-portal (0.8-0alexlarsson2~xenial)
      xdg-desktop-portal-gtk (0.7-0alexlarsson2~xenial)
      
    6. Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 
                 Desktop: Cinnamon 3.6.7 wm: muffin dm: MDM Distro: Linux Mint 18.3 Sylvia base: Ubuntu 16.04 xenial
    7. Desktop manager MDM, but where is LightDM?
      Much to my surprise and to my dismay as well, when the machine had rebooted, MDM, including the annoying little issue, reported above, appeared on the screen. The workaround still works around the issue.
      Yet, should MDM not have been replaced by LightDM, which had been introduced in Mint 18.2 already; and this had been the upgade to Mint 18.3?!

      Pitfall:
      The official instruction How to upgrade to Linux Mint 18.3 does not even mention LightDM. MintUpdate does not ask you whether you want to switch from MDM to LightDM; and it does not do the switch at all. No.
      You have to go back to the previous upgrade instruction
      How to upgrade to Linux Mint 18.2, in order to find out how to switch from MDM to LightDM after the upgrade manually. It is not part of what MintUpdate will do for you. Not even optionally.
      How to upgrade to Linux Mint 18.2 wrote:How to switch from MDM to LightDM
      Warning: This is not recommend for novice users.
      First, install LightDM by typing the following commands in a terminal:

      Code: Select all

      apt install slick-greeter lightdm lightdm-settings apparmor
      When asked to select a default display manager, select LightDM.
      Then, remove MDM and reboot by typing the following commands in a terminal:

      Code: Select all

          apt remove mdm
          sudo reboot
      
    8. Switching from MDM to LightDM on Mint 18.3

      Code: Select all

      $ apt install slick-greeter lightdm lightdm-settings apparmor
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        gir1.2-webkit2-3.0 libmozjs-24-0v5 mint-backgrounds-sarah
      Use 'sudo apt autoremove' to remove them.
      The following additional packages will be installed:
        libapparmor-perl liblightdm-gobject-1-0
      Suggested packages:
        apparmor-profiles apparmor-profiles-extra apparmor-docs apparmor-utils bindfs lightdm-remote-session-freerdp
        lightdm-remote-session-uccsconfigure remote-login-service
      The following NEW packages will be installed:
        apparmor libapparmor-perl liblightdm-gobject-1-0 lightdm lightdm-settings slick-greeter
      0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
      Need to get 1016 kB of archives.
      After this operation, 4617 kB of additional disk space will be used.
      Do you want to continue? [Y/n] y
      Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 lightdm i386 1.18.3-0ubuntu1.1 [127 kB]
      Get:2 http://packages.linuxmint.com sylvia/main i386 lightdm-settings all 1.1.4 [56.4 kB]
      Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 libapparmor-perl i386 2.10.95-0ubuntu2.9 [30.1 kB]
      Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 apparmor i386 2.10.95-0ubuntu2.9 [488 kB]
      Get:5 http://packages.linuxmint.com sylvia/main i386 slick-greeter i386 1.1.2+sylvia [275 kB]
      Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 liblightdm-gobject-1-0 i386 1.18.3-0ubuntu1.1 [39.6 kB]
      Fetched 1016 kB in 2s (505 kB/s)               
      Preconfiguring packages ...
      Selecting previously unselected package lightdm.
      (Reading database ... 254332 files and directories currently installed.)
      Preparing to unpack .../lightdm_1.18.3-0ubuntu1.1_i386.deb ...
      Unpacking lightdm (1.18.3-0ubuntu1.1) ...
      Selecting previously unselected package libapparmor-perl.
      Preparing to unpack .../libapparmor-perl_2.10.95-0ubuntu2.9_i386.deb ...
      Unpacking libapparmor-perl (2.10.95-0ubuntu2.9) ...
      Selecting previously unselected package apparmor.
      Preparing to unpack .../apparmor_2.10.95-0ubuntu2.9_i386.deb ...
      Unpacking apparmor (2.10.95-0ubuntu2.9) ...
      Selecting previously unselected package liblightdm-gobject-1-0:i386.
      Preparing to unpack .../liblightdm-gobject-1-0_1.18.3-0ubuntu1.1_i386.deb ...
      Unpacking liblightdm-gobject-1-0:i386 (1.18.3-0ubuntu1.1) ...
      Selecting previously unselected package lightdm-settings.
      Preparing to unpack .../lightdm-settings_1.1.4_all.deb ...
      Unpacking lightdm-settings (1.1.4) ...
      Selecting previously unselected package slick-greeter.
      Preparing to unpack .../slick-greeter_1.1.2+sylvia_i386.deb ...
      Unpacking slick-greeter (1.1.2+sylvia) ...
      Processing triggers for dbus (1.10.6-1ubuntu3.3) ...
      Processing triggers for ureadahead (0.100.0-19) ...
      Processing triggers for systemd (229-4ubuntu21.4) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
      Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
      Processing triggers for mime-support (3.59ubuntu1) ...
      Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
      Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu4.1) ...
      Setting up lightdm (1.18.3-0ubuntu1.1) ...
      Adding group `lightdm' (GID 133) ...
      Done.
      Adding system user `lightdm' (UID 122) ...
      Adding new user `lightdm' (UID 122) with group `lightdm' ...
      Creating home directory `/var/lib/lightdm' ...
      usermod: no changes
      usermod: no changes
      usermod: no changes
      Setting up libapparmor-perl (2.10.95-0ubuntu2.9) ...
      Setting up apparmor (2.10.95-0ubuntu2.9) ...
      update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
      diff: /var/lib/apparmor/profiles/.apparmor.md5sums: No such file or directory
      Setting up liblightdm-gobject-1-0:i386 (1.18.3-0ubuntu1.1) ...
      Setting up lightdm-settings (1.1.4) ...
      Setting up slick-greeter (1.1.2+sylvia) ...
      Processing triggers for dbus (1.10.6-1ubuntu3.3) ...
      Processing triggers for systemd (229-4ubuntu21.4) ...
      Processing triggers for ureadahead (0.100.0-19) ...
      Processing triggers for libc-bin (2.23-0ubuntu10) ...
      karl@unimatrix0 ~ $ 

      Code: Select all

      $ apt remove mdm
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        gir1.2-webkit2-3.0 libmozjs-24-0v5 mint-backgrounds-sarah
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        mdm
      0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
      After this operation, 12.1 MB disk space will be freed.
      Do you want to continue? [Y/n] y
      (Reading database ... 254841 files and directories currently installed.)
      Removing mdm (2.0.19+sylvia) ...
      Processing triggers for man-db (2.7.5-1) ...
      Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
      Processing triggers for mintsystem (8.3.4) ...
      Rebooting ...
      .
    9. Finally on Mint 18.3 with LightDM and the SlickGreeter

      Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 
                 Desktop: Cinnamon 3.6.7 wm: muffin dm: LightDM 1.18.3 Distro: Linux Mint 18.3 Sylvia 
                 base: Ubuntu 16.04 xenial

      Code: Select all

      $ dpkg --list lightdm lightdm-settings slick-greeter
      +++-===========================-==================-==================-===========================================================
      ii  lightdm                     1.18.3-0ubuntu1.1  i386               Display Manager
      ii  lightdm-settings            1.1.4              all                LightDM configuration tool
      ii  slick-greeter               1.1.2+sylvia       i386               Slick-looking LightDM greeter
--(the end for today)--
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Mon Sep 24, 2018 6:22 pm

Step 3: Upgrade my Mint 18.0 to Mint 18.3 in-place using MintUpdate
  • Problems encountered and solved after upgrading
    1. MDM problems solved by switching to LightDM
    2. LightDM not starting up once
    3. HP Colour Laserjet & Scanner no longer fully functional
    4. System startup delayed by 1 min due to apt-daily.service
    • (Solved) MDM does not permit switching DE's in greeter screen
      Issue introduced by upgrade from Mint 17.1 to Mint 17.3. Solved in Mint 18.3. But not because MDM had been fixed. No. It exhibits the same ole bug. Yet, switching to lightdm has resolved the problem.
      .
    • (Solved) MDM greeter screen does not display userlist after (re)boot
      Issue introduced by upgrade from Mint 17.3 to Mint 18. Solved in Mint 18.3. But not because MDM had been fixed. No. It exhibits the same ole bug. Yet, switching to lightdm has resolved the problem.
      .
    • LightDM not starting at all after reboot
      Problem:
      Tonight when the system started up, LightDM would not start at all. Service LightDM was "dead".
      .
      Solution:
      LightDM was brought back to life from console tty1 by executing:

      Code: Select all

      sudo dpkg-reconfigure lightdm
      sudo service lightdm restart
      Not sure whether the dpkg-reconfigure had been needed.
      .
      Further steps:
      Inspected several logfiles and checked for the reason with "journalctl". lightdm.log held some entries, which I may have come across in forum problem reports, not quite sure, will have to check more thoroughly.
      Switched between xfce and Cinnamon and rebooted in between. Yet, second and third reboot worked as they should, and Lightdm started without problems.
      .
      2018-09-25 - 2018-09-27: LightDM starts up as it should
      For the past 3 days, the greeter screen appeared on the screen as it should on every (re)boot.
      .
    • HP Colour Laserjet & Scanner no longer fully functional
      Did we not have a similar issue before? This time the printer prints double-sided, but the scanner device interface mysteriously got lost.
      /usr/bin/hp-check confirms so.
      Trying to use /usr/bin/hp-doctor to solve the problem reveals that hplip 3.16.5 is not willing to install on Mint 18.3. OS too new.
      So time to uninstall hplip 3.16.5: sudo /usr/bin/hp-uninstall
      Next installed HPLIP 3.16.3 (no typo, no joke) from the official Ubuntu 16.04 software repos, following the instruction here.
      Result: double-sided printing works, scanner is functional.
      .
    • System startup delayed by 1 min due to apt-daily.service
      systemd-analyze and systemd-analyze blame revealed that the service apt-daily.service and the service, which will be triggered to start afterwards, apt-daily-upgrade.service, slowed down the total system startup by 1 minute.
      Googling for both services revealed that I was not alone and that users frequently experienced this (mis)behaviour.
      In the end, the issue was resolved by following the first answer, given here, Ubuntu 16.04 slow boot (apt-daily.service), and delaying the service startup to a later point in time.

      2018-09-28: I only thought the delay had been resolved. Looks as if systemd does not honour the apt-daily overyride.conf. Mint booted this morning and executed both, apt-daily.service and apt-daily-upgrade.service, at boot time, no 10 min. delay.
      Oh well, will have to dig deeper. Yet, as this is not a show stopper, just a small annoyance at boot time, and as I do not expect the issue will have disappeared after the upgrade to Mint 19, I will proceed with my upgrade nonetheless. Will come back to this issue some time later for sure.
  • A bit sad to let Linux Mint 18.3 go and proceed with upgrading
    During the past 3 days, Linux Mint 18.3 has behaved so well and worked as reliably (with the exception of lightdm going on strike in the beginning once) as my Linux Mint 18.1, which had been installed from scratch. And Mint 18.3 has had to work long hours without a pause, because I used it for my daily office work. I am a bit loathe to give up this Mint 18.3 and proceed with upgrading it to Mint 19. Yet, this is what this thread is all about. Hence, time to say "Good bye" to Linux Mint 18.3 and "Hello, Linux Mint 19".
Last edited by karlchen on Fri Sep 28, 2018 7:35 am, edited 9 times in total.
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Thu Sep 27, 2018 5:15 pm

Step 4: Upgrade my Mint 18.3 to Mint 19.0 in-place using MintUpgrade 18.3.11
  • Preparing MintUpgrade
    1. With root privileges backed up the whole sub-directory /etc/apt to /home/karl/Downloads/apt. - Might need it for reference or for manually restoring settings after the next step.
    2. Code: Select all

      $ inxi -Sxxx
      System:    Host: unimatrix0 Kernel: 4.4.0-135-generic i686 bits: 32 compiler: gcc v: 5.4.0 
                 Desktop: Cinnamon 3.6.7 wm: muffin dm: LightDM 1.18.3 Distro: Linux Mint 18.3 Sylvia 
                 base: Ubuntu 16.04 xenial
    3. Verifying sufficient free space on the root filesystem is available:

      Code: Select all

      $ df -h /
      Filesystem      Size  Used Avail Use% Mounted on
      /dev/sda6        48G   11G   35G  24% /
  • MintUpgrade Check from Mint 18.3 to Mint 19
    Following the official instruction: How to upgrade to Linux Mint 19
    • Section "C. Requirements": checked, fulfilled.
      .
    • Section D1. Update your Linux Mint 18.3 system"
      Checked in Update Manager by clicking [Refresh]: no pending updates.
      .
    • Section "D2. Give your terminal unlimited scrolling": done.
      .
    • Section "D3. Install the upgrade tool": done.

      Code: Select all

      $ dpkg --list mintupgrade
      ||/ Name                        Version            Architecture       Description
      +++-===========================-==================-==================-===========================================================
      ii  mintupgrade                 18.3.11            all                Linux Mint Release Upgrader
    • Section "D4. Check the upgrade":

      Code: Select all

      mintupgrade check
        + Checking your Linux Mint codename...
        + Checking your Linux Mint edition...
        + Checking your Timeshift configuration...
        + Checking your Display Manager...
        + Updating cache...
      Hit:1 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu xenial InRelease
      Hit:2 http://archive.ubuntu.com/ubuntu xenial InRelease                                                                   
      Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]                                                
      Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                                                                
      Get:5 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]                                                           
      Hit:6 http://ppa.launchpad.net/unit193/inxi/ubuntu xenial InRelease                                                                
      Ign:7 http://packages.linuxmint.com sylvia InRelease                                                                               
      Hit:8 http://packages.linuxmint.com sylvia Release                                                                                 
      Get:9 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
      Fetched 323 kB in 4s (79.0 kB/s)                                         
      Reading package lists... Done
        + Checking if Linux Mint is up to date...
        + Backing up your APT sources...
      -------------------------------------------------
          Your repositories will now be switched to point to Linux Mint 19 'Tara'.
          Any 3rd party repositories or PPA will be removed.
          A backup of your APT sources will be written to /home/karl/Upgrade-Backup/APT/.
      
          Do you want to continue? [y/n]: y
      
        + Setting up the repositories for Linux Mint 19 'Tara'...
      Get:1 http://archive.ubuntu.com/ubuntu bionic InRelease [242 kB]
      Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]                                                        
      Get:3 http://archive.canonical.com/ubuntu bionic InRelease [10.2 kB]                                                               
      Ign:4 http://packages.linuxmint.com tara InRelease                                                                                 
      Get:5 http://packages.linuxmint.com tara Release [24.1 kB]                                                                         
      Get:6 http://archive.canonical.com/ubuntu bionic/partner i386 Packages [2304 B]                                    
      Get:7 http://archive.canonical.com/ubuntu bionic/partner Translation-en [1272 B]                                                
      Get:8 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]                                      
      Get:9 http://packages.linuxmint.com tara Release.gpg [819 B]                       
      Get:10 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]                    
      Get:11 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages [137 kB]
      Get:12 http://security.ubuntu.com/ubuntu bionic-security/main Translation-en [67.3 kB]
      Get:13 http://security.ubuntu.com/ubuntu bionic-security/universe i386 Packages [74.5 kB] 
      Get:14 http://security.ubuntu.com/ubuntu bionic-security/universe Translation-en [42.3 kB]  
      Get:15 http://security.ubuntu.com/ubuntu bionic-security/multiverse i386 Packages [1608 B]
      Get:16 http://security.ubuntu.com/ubuntu bionic-security/multiverse Translation-en [996 B]
      Get:17 http://archive.ubuntu.com/ubuntu bionic/main i386 Packages [1007 kB]  
      Get:18 http://packages.linuxmint.com tara/main i386 Packages [12.9 kB]                        
      Get:19 http://packages.linuxmint.com tara/upstream i386 Packages [32.2 kB]                     
      Get:20 http://packages.linuxmint.com tara/import i386 Packages [2730 B]                          
      Get:21 http://packages.linuxmint.com tara/backport i386 Packages [29.5 kB]                                                         
      Get:22 http://archive.ubuntu.com/ubuntu bionic/main Translation-en [516 kB]                                          
      Get:23 http://archive.ubuntu.com/ubuntu bionic/main Translation-de [454 kB]
      Get:24 http://archive.ubuntu.com/ubuntu bionic/restricted i386 Packages [9156 B]
      Get:25 http://archive.ubuntu.com/ubuntu bionic/restricted Translation-en [3584 B]
      Get:26 http://archive.ubuntu.com/ubuntu bionic/restricted Translation-de [2268 B]
      Get:27 http://archive.ubuntu.com/ubuntu bionic/universe i386 Packages [8531 kB]
      Get:28 http://archive.ubuntu.com/ubuntu bionic/universe Translation-en [4941 kB]                                                   
      Get:29 http://archive.ubuntu.com/ubuntu bionic/universe Translation-de [2272 kB]                                                   
      Get:30 http://archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages [144 kB]                                                   
      Get:31 http://archive.ubuntu.com/ubuntu bionic/multiverse Translation-en [108 kB]                                                  
      Get:32 http://archive.ubuntu.com/ubuntu bionic/multiverse Translation-de [84.5 kB]                                                 
      Get:33 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [351 kB]                                                 
      Get:34 http://archive.ubuntu.com/ubuntu bionic-updates/main Translation-en [144 kB]                                                
      Get:35 http://archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [537 kB]                                             
      Get:36 http://archive.ubuntu.com/ubuntu bionic-updates/universe Translation-en [135 kB]                                            
      Get:37 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse i386 Packages [4336 B]                                           
      Get:38 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse Translation-en [2740 B]                                          
      Get:39 http://archive.ubuntu.com/ubuntu bionic-backports/universe i386 Packages [2848 B]                                           
      Get:40 http://archive.ubuntu.com/ubuntu bionic-backports/universe Translation-en [1200 B]                                          
      Fetched 20.2 MB in 39s (506 kB/s)                                                                                                  
      Reading package lists... Done
        + Simulating an upgrade...
      -------------------------------------------------
          APT will now calculate the package changes necessary to upgrade to Linux Mint 19 'Tara'.
          If conflicts are detected and APT is unable to perform the upgrade, take note of the packages causing the issue, remove them, and re-install them after the upgrade.
          Pay close attention to what appears on the screen, and review the list of packages being REMOVED during the upgrade.
          Take note of the packages being removed, so you can eventually reinstall them after the upgrade.
      
          Do you want to continue? [y/n]: y
          
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Calculating upgrade... Done
      The following packages were automatically installed and are no longer required:
        cgmanager dleyna-server exe-thumbnailer fonts-horai-umefont fonts-unfonts-core g++-5 gist gnome-exe-thumbnailer gnupg-agent
        libamd2.4.1 libapparmor-perl libasprintf0v5 libass5 libavfilter-ffmpeg5 libavformat-ffmpeg56 libavresample-ffmpeg2
        libbabeltrace-ctf1 libbfio1 libbind9-140 libblas-common libboost-date-time1.58.0 libboost-filesystem1.58.0
        libboost-iostreams1.58.0 libboost-system1.58.0 libcamd2.4.1 libcamel-1.2-54 libcapnp-0.5.3 libcapnp-0.6.1 libccolamd2.9.1
        libcholmod3.0.6 libcolamd2.9.1 libdata-alias-perl libdleyna-connector-dbus-1.0-1 libdleyna-core-1.0-3 libdns162 libebook-1.2-16
        libedataserver-1.2-21 libglew1.13 libgmp-dev libgmpxx4ldbl libgnome-desktop-3-12 libgnutlsxx28 libgrilo-0.2-1 libgsf-1-114
        libgsf-1-common libgupnp-av-1.0-2 libgupnp-dlna-2.0-3 libical1a libidn11-dev libisccfg140 libjpeg9 libkadm5clnt-mit9
        liblivemedia50 libllvm3.6v5 liblnk-utils liblnk1 liblouis9 liblouisutdml6 liblwres141 libmirclient9 libmircommon7 libmircore1
        libmirprotobuf3 libmozjs-24-0v5 libmozjs-38-0 libmsi0 libnma-common libopencv-calib3d2.4v5 libopencv-contrib2.4v5
        libopencv-core2.4v5 libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5
        libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-photo2.4v5 libopencv-video2.4v5 liborcus-0.10-0v5
        libp11-kit-dev libpanel-applet0 libpcre16-3 libpoppler58 libpostproc-ffmpeg53 libprocps4 libprotobuf-lite9v5 libprotobuf9v5
        libprotoc9v5 libpython3.5 libpython3.5-dev libpython3.5-minimal libpython3.5-stdlib libquvi-scripts libquvi7 libraw15 libruby2.3
        libsodium18 libstdc++-5-dev libsuitesparseconfig4.4.6 libswscale-ffmpeg3 libtasn1-6-dev libtasn1-doc libumfpack5.7.1 libva-drm1
        libvncclient1 libwebpdemux1 libwebrtc-audio-processing-0 libxapian-1.3-5 libxapian22v5 libxtables11 mint-backgrounds-sarah
        mint-backgrounds-sylvia mint-user-guide-cinnamon msitools nettle-dev python-ecdsa python-ndg-httpsclient python-setproctitle
        python3-pyasn1 python3.5 python3.5-dev python3.5-minimal rename ruby-json ruby2.3 unixodbc wine-gecko2.21 wine-mono0.0.8
        wine1.6-i386
      Use 'sudo apt autoremove' to remove them.
      The following packages will be REMOVED:
        cinnamon-screensaver-pam-helper cinnamon-themes fonts-droid gir1.2-totem-plparser-1.0 gir1.2-webkit2-3.0
        gnome-themes-standard-data gstreamer1.0-plugins-bad-faad gstreamer1.0-plugins-bad-videoparsers gstreamer1.0-plugins-ugly-amr
        hexchat-python libabw-0.1-1v5 libcurl3 libdouble-conversion1v5 libgnutls-dev libjpeg-progs libkadm5srv-mit9 libkdb5-8
        libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libmetacity-private3a libnss3-1d libnss3-nssdb
        libpeas-1.0-0-python3loader libperl5.22 libsane libsidplay2v5 libvlccore8 libwebkit2gtk-3.0-25 libwebkitgtk-1.0-common
        libwebkitgtk-3.0-common mint-artwork-cinnamon mint-artwork-common mint-artwork-gnome mint-artwork-xfce mint-backgrounds-xfce
        mint-themes-gtk3 mint-y-theme nemo-folder-color-switcher perl-modules-5.22 pulseaudio-module-x11 python-pyatspi2
        python3-aptdaemon.pkcompat python3-xapian1.3 systemd-shim unity-control-center-faces vlc-nox wine xserver-xorg-input-vmmouse
        xserver-xorg-video-cirrus xserver-xorg-video-mga
      The following NEW packages will be installed:
        apache2-bin apport apport-symptoms binutils-common binutils-i686-linux-gnu blueman bubblewrap cdrdao cpp-7 cups-ipp-utils
        dbus-user-session dvdauthor e2fsprogs-l10n espeak-ng-data exe-thumbnailer exfat-fuse exfat-utils fdisk fonts-droid-fallback
        fonts-noto-mono fonts-ubuntu fonts-wine g++-7 gcc-7 gcc-7-base gcc-8-base gdal-data gdisk geoclue-2.0 gir1.2-camel-1.2
        gir1.2-secret-1 gir1.2-totemplparser-1.0 gnome-control-center-faces gnome-keyring-pkcs11 gnome-session-common
        gnome-startup-applications gnome-themes-extra gnome-themes-extra-data gnome-user-docs gnupg-l10n gnupg-utils gpg gpg-agent
        gpg-wks-client gpg-wks-server gpgconf gpgsm gstreamer1.0-gl gstreamer1.0-vaapi gtk-update-icon-cache hexchat-python3
        hyphen-en-ca hyphen-fi hyphen-ga hyphen-id ibverbs-providers imagemagick-6-common language-selector-common
        language-selector-gnome libabw-0.1-1 libaec0 libamd2 libapache2-mod-dnssd libappstream-glib8 libapr1 libaprutil1
        libaprutil1-dbd-sqlite3 libaprutil1-ldap libargon2-0 libaribb24-0 libarmadillo8 libarpack2 libasan4 libass9 libavcodec-extra57
        libavfilter6 libavformat57 libavresample3 libavutil55 libb-hooks-op-check-perl libbfio1 libbind9-160 libbinutils
        libblockdev-crypto2 libblockdev-fs2 libblockdev-loop2 libblockdev-part-err2 libblockdev-part2 libblockdev-swap2
        libblockdev-utils2 libblockdev2 libbluray2 libboost-date-time1.65.1 libboost-filesystem1.65.1 libboost-iostreams1.65.1
        libboost-locale1.65.1 libboost-system1.65.1 libboost-thread1.65.1 libbrotli1 libcairo-gobject-perl libcamd2 libcamel-1.2-61
        libcapnp-0.6.1 libccolamd2 libcdio-cdda2 libcdio-paranoia2 libcdio17 libcharls1 libcholmod3 libchromaprint1 libcolamd2
        libcom-err2 libcryptsetup12 libcurl4 libdap25 libdapclient6v5 libdata-dump-perl libdevel-callchecker-perl libdns-export1100
        libdns1100 libdouble-conversion1 libdw1 libdynaloader-functions-perl libebook-1.2-19 libedataserver-1.2-23 libegl-mesa0 libegl1
        libepsilon1 libepubgen-0.1-1 libespeak-ng1 libevent-2.1-6 libexo-2-0 libext2fs2 libfabric1 libfastjson4 libfl2 libfreexl1
        libfyba0 libgadu3 libgcab-1.0-0 libgcc-7-dev libgdal20 libgdbm-compat4 libgdbm5 libgdcm2.8 libgdk-pixbuf2.0-bin libgeoclue-2-0
        libgeos-3.6.2 libgeos-c1v5 libgeotiff2 libgfortran4 libgl1 libgl2ps1.4 libgles2 libglib-object-introspection-perl libglvnd0
        libglx-mesa0 libglx0 libgmime-3.0-0 libgnome-desktop-3-17 libgpgmepp6 libgraphene-1.0-0 libgrilo-0.3-0 libgsf-1-114
        libgsf-1-common libgspell-1-1 libgspell-1-common libgstreamer-gl1.0-0 libgtk3-perl libgtop-2.0-11 libgweather-3-15 libhdf4-0-alt
        libhdf5-100 libhdf5-openmpi-100 libhunspell-1.6-0 libhwloc-plugins libhwloc5 libibverbs1 libical3 libicu60 libidn2-0 libip4tc0
        libip6tc0 libiptc0 libirs160 libisc-export169 libisc169 libisccc160 libisccfg160 libisl19 libiso9660-10 libjansson4
        libjpeg-turbo-progs libjson-c3 libjsoncpp1 libkadm5clnt-mit11 libkadm5srv-mit11 libkdb5-9 libkmlbase1 libkmldom1 libkmlengine1
        libldap-common liblept5 liblilv-0-0 liblirc-client0 liblivemedia62 libllvm3.9 liblnk-utils liblnk1 liblouis14 liblouisutdml8
        liblwres160 libmagic-mgc libmagickcore-6.q16-3 libmagickcore-6.q16-3-extra libmagickwand-6.q16-3 libmetacity1 libmetis5
        libmicrodns0 libminizip1 libmozjs-52-0 libmpfr6 libmpx2 libmsi0 libmysofa0 libmysqlclient20 libnetcdf-c++4 libnetcdf13 libnfs11
        libnghttp2-14 libnorm1 libnss-myhostname libnss-systemd libntfs-3g88 libogdi3.2 libopencv-calib3d3.2 libopencv-contrib3.2
        libopencv-core3.2 libopencv-features2d3.2 libopencv-flann3.2 libopencv-highgui3.2 libopencv-imgcodecs3.2 libopencv-imgproc3.2
        libopencv-ml3.2 libopencv-objdetect3.2 libopencv-photo3.2 libopencv-shape3.2 libopencv-stitching3.2 libopencv-superres3.2
        libopencv-video3.2 libopencv-videoio3.2 libopencv-videostab3.2 libopencv-viz3.2 libopenjp2-7 libopenmpi2 libopenmpt-modplug1
        libopenmpt0 liborcus-0.13-0 libpackagekit-glib2-18 libpcaudio0 libperl4-corelibs-perl libperl5.26 libpgm-5.2-0 libphonenumber7
        libplacebo4 libpng16-16 libpoppler73 libpostproc54 libpq5 libprocps6 libproj12 libprotobuf-c1 libprotobuf-lite10 libprotobuf10
        libprotoc10 libpsl5 libpsm-infinipath1 libpython3.6 libpython3.6-dev libpython3.6-minimal libpython3.6-stdlib libqhull7
        libqrencode3 libqt5designer5 libqt5help5 libqt5webchannel5 libraw16 librdmacm1 libreadline7 libreoffice-gtk2 libreoffice-gtk3
        libreoffice-style-tango librubberband2 libruby2.5 libsane1 libserd-0-0 libsidplay2 libsnapd-glib1 libsndio6.1 libsocket++1
        libsodium23 libsord-0-0 libsox3 libspatialite7 libsratom-0-0 libsrtp2-1 libssl1.1 libstdc++-7-dev libsuitesparseconfig5
        libsuperlu5 libswresample2 libswscale4 libsz2 libtcl8.6 libteamdctl0 libtesseract4 libtfm1 libtiff-dev libtk8.6
        libtracker-sparql-2.0-0 libtry-tiny-perl libumfpack5 libunistring2 liburiparser1 libva-drm2 libva-wayland2 libva-x11-2 libva2
        libvdpau1 libvlc-bin libvlccore9 libvolume-key1 libvpx5 libvtk6.3 libvulkan1 libwebp6 libwebpdemux2 libwebpmux3
        libwebrtc-audio-processing1 libwhoopsie-preferences0 libwhoopsie0 libwildmidi2 libwine libwoff1 libx264-152 libx265-146
        libxapian30 libxcb-xinerama0 libxerces-c3.2 libxfont2 libxml-libxml-perl libxml-namespacesupport-perl libxml-sax-base-perl
        libxml-sax-expat-perl libxml-sax-perl libxml-simple-perl libxmlsec1 libxmlsec1-nss libxtables12 libzstd1 linux-headers-4.15.0-34
        linux-headers-4.15.0-34-generic linux-image-4.15.0-34-generic linux-modules-4.15.0-34-generic
        linux-modules-extra-4.15.0-34-generic mesa-vdpau-drivers mint-artwork mint-backgrounds-tara msitools mysql-common
        nautilus-extension-brasero nautilus-extension-gnome-terminal netplan.io networkd-dispatcher nplan openjdk-11-jre
        openjdk-11-jre-headless openmpi-bin openmpi-common perl-modules-5.26 perl-openssl-defaults proj-bin proj-data publicsuffix
        python-asn1crypto python-automat python-click python-colorama python-constantly python-fasteners python-hyperlink
        python-incremental python-monotonic python-olefile python-webencodings python3-apport python3-asn1crypto python3-certifi
        python3-dbus.mainloop.pyqt5 python3-debconf python3-distro-info python3-distutils python3-lib2to3 python3-macaroonbakery
        python3-nacl python3-olefile python3-pam python3-problem-report python3-protobuf python3-pyinotify python3-pymacaroons
        python3-pyqt5 python3-requests-unixsocket python3-rfc3339 python3-systemd python3-tz python3-webencodings python3-xapian
        python3-xlib python3-yaml python3.6 python3.6-dev python3.6-minimal qt5-gtk-platformtheme ruby2.5 snapd sound-icons
        speech-dispatcher-espeak-ng squashfs-tools system-config-printer ubuntu-advantage-tools ubuntu-docs vdpau-driver-all vlc-bin
        vlc-l10n vlc-plugin-base vlc-plugin-qt vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-video-splitter
        vlc-plugin-visualization whoopsie-preferences wine-stable wine32 xserver-xorg-input-libinput xserver-xorg-legacy xxd
      The following packages will be upgraded:
        accountsservice acl acpid adduser adobe-flash-properties-gtk adobe-flashplugin adwaita-icon-theme adwaita-icon-theme-full
        alsa-utils amd64-microcode anacron apg apparmor apt apt-clone apt-transport-https apt-utils apt-xapian-index aptdaemon
        aptdaemon-data aptitude aptitude-common apturl apturl-common archdetect-deb aspell aspell-en at-spi2-core autotools-dev
        avahi-autoipd avahi-daemon avahi-utils banshee baobab base-files base-passwd bash bash-completion bc bind9-host binfmt-support
        binutils bison bluetooth bluez bluez-cups bluez-obexd brasero brasero-cdrkit brasero-common brltty bsd-mailx bsdmainutils
        bsdutils build-essential busybox-initramfs busybox-static bzip2 ca-certificates ca-certificates-java ca-certificates-mono
        cabextract caribou casper catfish cheese-common chromium-codecs-ffmpeg-extra cifs-utils cinnamon cinnamon-common
        cinnamon-control-center cinnamon-control-center-data cinnamon-desktop-data cinnamon-l10n cinnamon-screensaver
        cinnamon-screensaver-x-plugin cinnamon-session cinnamon-session-common cinnamon-settings-daemon cjs clamav clamav-base
        clamav-freshclam clamtk colord colord-data comerr-dev command-not-found command-not-found-data compiz compiz-core compiz-gnome
        compiz-plugins compiz-plugins-default compizconfig-settings-manager console-setup console-setup-linux coreutils cowsay
        cowsay-off cpio cpp cpp-4.8 cpp-5 cpufrequtils cracklib-runtime crda cron cryptsetup cryptsetup-bin cups cups-browsed cups-bsd
        cups-client cups-common cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-ppdc
        cups-server-common dash dbus dbus-x11 dc dconf-cli dconf-editor dconf-gsettings-backend dconf-service dconf-tools dcraw
        dctrl-tools debconf debconf-i18n debianutils default-jre default-jre-headless desktop-file-utils dh-python dialog
        dictionaries-common diffstat diffutils dirmngr distro-info-data dkms dleyna-server dmeventd dmidecode dmraid dmsetup
        dmz-cursor-theme dns-root-data dnsmasq-base dnsutils doc-base docbook-xml dosfstools dpkg dpkg-dev dpkg-repack duplicity
        dvd+rw-tools e2fslibs e2fsprogs ecryptfs-utils ed eject enchant espeak-data evince-common evolution-data-server
        evolution-data-server-common exo-utils fakeroot file file-roller findutils firefox firefox-locale-de firefox-locale-en flatpak
        flex folder-color-switcher folks-common fontconfig fontconfig-config fonts-dejavu fonts-dejavu-core fonts-dejavu-extra
        fonts-freefont-ttf fonts-horai-umefont fonts-kacst fonts-kacst-one fonts-lao fonts-lato fonts-liberation fonts-mathjax
        fonts-nanum fonts-opensymbol fonts-sil-padauk fonts-takao-pgothic fonts-thai-tlwg fonts-tlwg-garuda fonts-tlwg-garuda-ttf
        fonts-tlwg-kinnari fonts-tlwg-kinnari-ttf fonts-tlwg-laksaman fonts-tlwg-laksaman-ttf fonts-tlwg-loma fonts-tlwg-loma-ttf
        fonts-tlwg-mono fonts-tlwg-mono-ttf fonts-tlwg-norasi fonts-tlwg-norasi-ttf fonts-tlwg-purisa fonts-tlwg-purisa-ttf
        fonts-tlwg-sawasdee fonts-tlwg-sawasdee-ttf fonts-tlwg-typewriter fonts-tlwg-typewriter-ttf fonts-tlwg-typist
        fonts-tlwg-typist-ttf fonts-tlwg-typo fonts-tlwg-typo-ttf fonts-tlwg-umpush fonts-tlwg-umpush-ttf fonts-tlwg-waree
        fonts-tlwg-waree-ttf fonts-unfonts-core fonts-wqy-microhei foomatic-db-compressed-ppds fortune-mod fortunes-min freerdp-x11
        friendly-recovery ftp fuse g++ g++-5 gawk gcc gcc-4.8 gcc-4.8-base gcc-5 gcc-5-base gcc-6-base gconf-service
        gconf-service-backend gconf2 gconf2-common gcr gdb gdbserver gdebi gdebi-core gedit-common genisoimage geoclue
        geoclue-ubuntu-geoip geoip-database gettext gettext-base ghostscript ghostscript-x gimp gimp-data gir1.2-accounts-1.0
        gir1.2-accountsservice-1.0 gir1.2-appindicator3-0.1 gir1.2-appstream-1.0 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-caribou-1.0
        gir1.2-cheese-3.0 gir1.2-cinnamondesktop-3.0 gir1.2-clutter-1.0 gir1.2-cmenu-3.0 gir1.2-cogl-1.0 gir1.2-coglpango-1.0
        gir1.2-cvc-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0 gir1.2-ebook-1.2 gir1.2-ebookcontacts-1.2 gir1.2-edataserver-1.2
        gir1.2-flatpak-1.0 gir1.2-freedesktop gir1.2-gconf-2.0 gir1.2-gdata-0.0 gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0
        gir1.2-gkbd-3.0 gir1.2-glib-2.0 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0 gir1.2-gnomedesktop-3.0 gir1.2-goa-1.0
        gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gtk-3.0 gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gudev-1.0
        gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-3.0 gir1.2-json-1.0 gir1.2-keybinder-3.0 gir1.2-messagingmenu-1.0
        gir1.2-meta-muffin-0.0 gir1.2-nemo-3.0 gir1.2-networkmanager-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gir1.2-packagekitglib-1.0
        gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-polkit-1.0 gir1.2-signon-1.0 gir1.2-soup-2.4 gir1.2-totem-1.0 gir1.2-udisks-2.0
        gir1.2-upowerglib-1.0 gir1.2-vte-2.91 gir1.2-webkit-3.0 gir1.2-wnck-3.0 gir1.2-xapp-1.0 gir1.2-xkl-1.0 gir1.2-xplayer-1.0
        gir1.2-xplayer-plparser-1.0 gist gkbd-capplet glib-networking glib-networking-common glib-networking-services
        gnome-accessibility-themes gnome-bluetooth gnome-calculator gnome-commander gnome-commander-data gnome-control-center
        gnome-control-center-data gnome-desktop3-data gnome-disk-utility gnome-exe-thumbnailer gnome-font-viewer gnome-icon-theme
        gnome-icon-theme-symbolic gnome-keyring gnome-menus gnome-online-accounts gnome-panel gnome-panel-data gnome-power-manager
        gnome-screenshot gnome-session-bin gnome-session-canberra gnome-settings-daemon gnome-settings-daemon-schemas gnome-system-log
        gnome-system-monitor gnome-system-tools gnome-terminal gnome-terminal-data gnome-themes-standard gnome-user-share gnupg
        gnupg-agent gnupg2 gparted gpgv grep groff-base gromit growisofs grub-common grub-pc grub-pc-bin grub2-common
        gsettings-desktop-schemas gsfonts gstreamer1.0-alsa gstreamer1.0-clutter-3.0 gstreamer1.0-libav gstreamer1.0-nice
        gstreamer1.0-plugins-bad gstreamer1.0-plugins-base gstreamer1.0-plugins-base-apps gstreamer1.0-plugins-good
        gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-tools gstreamer1.0-x gthumb-data gtk2-engines
        gtk2-engines-murrine gtk2-engines-pixbuf gtk2-engines-xfce gucharmap guile-2.0-libs gvfs gvfs-backends gvfs-bin gvfs-common
        gvfs-daemons gvfs-fuse gvfs-libs gzip hardinfo hddtemp hdparm hexchat hexchat-common hexchat-perl hexchat-plugins
        hicolor-icon-theme hostname hplip hplip-data hplip-doc hplip-gui hunspell-de-de hunspell-en-gb hunspell-en-us hunspell-en-za
        hwdata hyphen-de hyphen-en-us i965-va-driver ibus icedtea-8-plugin icedtea-netx icedtea-netx-common icedtea-plugin icoutils
        ideviceinstaller ifupdown ifuse iio-sensor-proxy im-config imagemagick imagemagick-6.q16 imagemagick-common info init
        init-system-helpers initramfs-tools initramfs-tools-bin initramfs-tools-core inputattach install-info intel-gpu-tools
        intel-microcode ippusbxd iproute2 iptables iputils-arping iputils-ping iputils-tracepath irqbalance isc-dhcp-client
        isc-dhcp-common iso-codes iso-flag-png iucode-tool iw java-common jfsutils kbd keyboard-configuration keyutils klibc-utils kmod
        kpartx kpartx-boot krb5-locales krb5-multidev language-pack-de language-pack-de-base language-pack-en language-pack-en-base
        language-pack-gnome-de language-pack-gnome-de-base language-pack-gnome-en language-pack-gnome-en-base laptop-detect less
        liba52-0.7.4 libaa1 libaacs0 libaccounts-glib0 libaccounts-qt5-1 libaccountsservice0 libacl1 libalgorithm-diff-xs-perl
        libao-common libao4 libapparmor-perl libapparmor1 libappindicator0.1-cil libappindicator1 libappindicator3-1 libappstream4
        libapt-inst2.0 libapt-pkg-perl libapt-pkg5.0 libarchive-extract-perl libarchive-zip-perl libarchive13 libart-2.0-2 libasan0
        libasan2 libasn1-8-heimdal libasound2 libasound2-data libasound2-plugins libaspell15 libasprintf0v5 libassuan0 libasyncns0
        libatasmart4 libatk-adaptor libatk-bridge2.0-0 libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data
        libatkmm-1.6-1v5 libatomic1 libatspi2.0-0 libattr1 libaudio2 libaudit-common libaudit1 libavahi-client-dev libavahi-client3
        libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-core7 libavahi-glib1 libavc1394-0 libavcodec-extra
        libbabeltrace-ctf1 libbabeltrace1 libbabl-0.1-0 libbasicusageenvironment1 libbdplus0 libbison-dev libblas3 libblkid1
        libbluetooth3 libbonoboui2-0 libbonoboui2-common libbrasero-media3-1 libbrlapi0.6 libbsd0 libburn4 libbz2-1.0 libc-bin
        libc-dev-bin libc6 libc6-dev libcaca0 libcairo-gobject2 libcairo-perl libcairo2 libcairomm-1.0-1v5 libcaja-extension1
        libcanberra-gtk0 libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra-pulse libcanberra0 libcap-ng0 libcap2 libcap2-bin
        libcapi20-3 libcaribou-common libcaribou0 libcc1-0 libcdparanoia0 libcdr-0.1-1 libcgi-fast-perl libcgi-pm-perl
        libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcheese-gtk25 libcheese8 libchm1 libcilkrts5 libcinnamon-control-center1
        libcinnamon-desktop4 libcinnamon-menu-3-0 libcjs0f libclamav7 libclass-accessor-perl libclone-perl libcloog-isl4
        libclucene-contribs1v5 libclucene-core1v5 libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0 libcmis-0.5-5v5
        libcogl-common libcogl-pango20 libcogl-path20 libcogl20 libcolord-gtk1 libcolord2 libcolorhug2 libcomerr2 libcommon-sense-perl
        libcompizconfig0 libcpufreq0 libcrack2 libcroco3 libcrystalhd3 libcscreensaver0 libcups2 libcups2-dev libcupscgi1
        libcupsfilters-dev libcupsfilters1 libcupsimage2 libcupsimage2-dev libcupsmime1 libcupsppdc1 libcurl3-gnutls libcvc0
        libcwidget3v5 libdata-alias-perl libdatrie1 libdb5.3 libdbus-1-3 libdbus-1-dev libdbus-glib-1-2 libdbusmenu-glib4
        libdbusmenu-gtk3-4 libdbusmenu-gtk4 libdbusmenu-qt2 libdc1394-22 libdca0 libdconf1 libde265-0 libdebconfclient0
        libdebian-installer4 libdecoration0 libdee-1.0-4 libdevmapper-event1.02.1 libdevmapper1.02.1 libdjvulibre-text libdjvulibre21
        libdmraid1.0.0.rc16 libdotconf0 libdpkg-perl libdrm-amdgpu1 libdrm-common libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2
        libdv4 libdvbpsi10 libdvdcss2 libdvdnav4 libdvdread4 libe-book-0.1-1 libebackend-1.2-10 libebml4v5 libebook-contacts-1.2-2
        libecal-1.2-19 libecryptfs1 libedata-book-1.2-25 libedata-cal-1.2-28 libedit2 libegl1-mesa libelf1 libemail-valid-perl libenca0
        libenchant1c2a libeot0 libepoxy0 libept1.5.0 libespeak1 libestr0 libetonyek-0.1-1 libevdev2 libevdocument3-4 libevview3-3
        libexempi3 libexif12 libexiv2-14 libexo-1-0 libexo-common libexo-helpers libexpat1 libexpat1-dev libexporter-tiny-perl
        libexttextcat-2.0-0 libexttextcat-data libfaac0 libfaad2 libfakeroot libfarstream-0.2-5 libfcgi-perl libfdisk1 libffi6
        libfftw3-double3 libfftw3-single3 libfile-copy-recursive-perl libfile-fcntllock-perl libfile-mimeinfo-perl libfl-dev libflac8
        libflatpak0 libflite1 libfluidsynth1 libfont-afm-perl libfontconfig1 libfontembed1 libframe6 libfreehand-0.1-1
        libfreerdp-cache1.1 libfreerdp-client1.1 libfreerdp-codec1.1 libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1
        libfreerdp-gdi1.1 libfreerdp-locale1.1 libfreerdp-primitives1.1 libfreerdp-rail1.1 libfreerdp-utils1.1 libfreetype6 libfribidi0
        libfuse2 libgail-3-0 libgail-common libgail18 libgarcon-1-0 libgarcon-common libgbm1 libgc1c2 libgcc-4.8-dev libgcc-5-dev
        libgcc1 libgck-1-0 libgconf-2-4 libgconf2-4 libgcr-base-3-1 libgcr-ui-3-1 libgcrypt20 libgd3 libgdata-common libgdata22
        libgdiplus libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgdm1 libgee-0.8-2 libgegl-0.3-0 libgeis1 libgeoclue0 libgeocode-glib0
        libgeoip1 libgfortran3 libgif7 libgimp2.0 libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgle3
        libgles2-mesa libglib-perl libglib2.0-0 libglib2.0-bin libglib2.0-cil libglib2.0-data libglibmm-2.4-1v5 libglu1-mesa libgme0
        libgmime-2.6-0 libgmime2.6-cil libgmp-dev libgmp10 libgmpxx4ldbl libgnome-2-0 libgnome-bluetooth13 libgnome-menu-3-0 libgnome2-0
        libgnome2-bin libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomekbd-common libgnomekbd8 libgnomeui-0
        libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libgnutls-openssl27 libgnutls30 libgnutlsxx28
        libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libgomp1 libgpg-error0 libgpgme11 libgphoto2-6 libgphoto2-port12 libgpm2
        libgpod-common libgpod4 libgrail6 libgraphite2-3 libgroupsock8 libgs9 libgs9-common libgsm1 libgssapi-krb5-2 libgssapi3-heimdal
        libgssdp-1.0-3 libgssrpc4 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer-plugins-good1.0-0
        libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil libgtk2.0-common
        libgtkglext1 libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtksourceview-3.0-1 libgtksourceview-3.0-common libgtksourceview2.0-0
        libgtksourceview2.0-common libgtkspell0 libgtop2-common libgucharmap-2-90-7 libgudev-1.0-0 libgupnp-1.0-4 libgupnp-av-1.0-2
        libgupnp-dlna-2.0-3 libgupnp-igd-1.0-4 libgusb2 libgutenprint2 libgweather-common libgxps2 libhal1-flash libharfbuzz-icu0
        libharfbuzz0b libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhogweed4 libhpmud0
        libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-message-perl
        libhx509-5-heimdal libhyphen0 libibus-1.0-5 libice6 libidn11 libidn11-dev libido3-0.1-0 libiec61883-0 libieee1284-3 libijs-0.35
        libimobiledevice-utils libimobiledevice6 libindicator3-7 libindicator7 libinput-bin libinput10 libio-pty-perl
        libio-socket-ssl-perl libipc-run-perl libipc-system-simple-perl libisl15 libisofs6 libitm1 libiw30 libjack-jackd2-0
        libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-4.0-18 libjbig-dev libjbig0 libjbig2dec0
        libjpeg-turbo8 libjpeg-turbo8-dev libjpeg9 libjs-jquery libjs-mathjax libjson-glib-1.0-0 libjson-glib-1.0-common libjson-perl
        libjson-xs-perl libjte1 libk5crypto3 libkate1 libkdc2-heimdal libkeybinder-3.0-0 libkeyutils1 libklibc libkmod2 libkpathsea6
        libkrb5-26-heimdal libkrb5-3 libkrb5support0 libksba8 liblangtag-common liblangtag1 liblapack3 liblcms2-2 liblcms2-utils
        libldap-2.4-2 libldb1 liblightdm-gobject-1-0 liblircclient0 liblist-moreutils-perl libllvm6.0 liblocale-gettext-perl
        liblockfile-bin liblockfile1 liblog-message-simple-perl liblouis-data liblouisutdml-bin liblouisutdml-data liblqr-1-0
        libltdl-dev libltdl7 liblua5.2-0 liblvm2app2.2 liblvm2cmd2.02 liblwp-protocol-https-perl liblz4-1 liblzma-dev liblzma5 libmagic1
        libmailtools-perl libmatroska6v5 libmbim-glib4 libmbim-proxy libmeanwhile1 libmessaging-menu0 libminiupnpc10 libmirclient9
        libmircommon7 libmircore1 libmirprotobuf3 libmjpegutils-2.1-0 libmm-glib0 libmms0 libmnl0 libmodplug1 libmodule-runtime-perl
        libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-data-tds4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
        libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-data4.0-cil
        libmono-system-drawing4.0-cil libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
        libmono-system-runtime-serialization4.0-cil libmono-system-security4.0-cil libmono-system-servicemodel-internals0.0-cil
        libmono-system-transactions4.0-cil libmono-system-xml-linq4.0-cil libmono-system-xml4.0-cil libmono-system4.0-cil
        libmotif-common libmount1 libmozjs-38-0 libmp3lame0 libmpc3 libmpcdec6 libmpdec2 libmpeg2-4 libmpeg2encpp-2.1-0 libmpg123-0
        libmplex2-2.1-0 libmpx0 libmrm4 libmspack0 libmspub-0.1-1 libmtdev1 libmtp-common libmtp-runtime libmtp9 libmuffin0
        libmwaw-0.3-3 libmythes-1.2-0 libnatpmp1 libnautilus-extension1a libncurses5 libncursesw5 libndp0 libnemo-extension1
        libneon27-gnutls libnet-dbus-perl libnet-dns-perl libnet-domain-tld-perl libnet-http-perl libnet-smtp-ssl-perl
        libnet-ssleay-perl libnetfilter-conntrack3 libnetpbm10 libnettle6 libnewt0.52 libnice10 libnih-dbus1 libnih1 libnl-3-200
        libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4 libnm-gtk0 libnm-util2 libnm0 libnma0 libnotify-bin libnotify4
        libnpth0 libnspr4 libnss-mdns libnss-winbind libnss3 libntdb1 libnuma1 libnux-4.0-common liboauth0 libodbc1 libodfgen-0.1-1
        libofa0 liboobs-1-5 libopenal-data libopenal1 libopenexr22 libopenobex2 liborbit-2-0 liborbit2 liborc-0.4-0 libosmesa6
        libostree-1-1 libp11-kit-dev libp11-kit-gnome-keyring libp11-kit0 libpagemaker-0.0-0 libpam-cap libpam-gnome-keyring
        libpam-modules libpam-modules-bin libpam-runtime libpam-systemd libpam-winbind libpam0g libpango-1.0-0 libpango-perl
        libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangomm-1.4-1v5 libpangoxft-1.0-0 libpaper-utils libpaper1
        libparams-classify-perl libparse-debianchangelog-perl libparted-fs-resize0 libparted2 libpcap0.8 libpci-dev libpci3
        libpciaccess0 libpcre16-3 libpcre3 libpcsclite1 libpeas-1.0-0 libpeas-common libpipeline1 libpixman-1-0 libplist3 libplymouth4
        libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpoppler-glib8 libpopt0 libportaudio2 libproxy-tools
        libproxy1-plugin-gsettings libproxy1-plugin-networkmanager libproxy1v5 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpurple0
        libpwquality-common libpwquality1 libpython-dev libpython-stdlib libpython2.7 libpython2.7-dev libpython2.7-minimal
        libpython2.7-stdlib libpython3-dev libpython3-stdlib libqmi-glib5 libqmi-proxy libqpdf21 libqt4-dbus libqt4-declarative
        libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-svg libqt4-test
        libqt4-xml libqt4-xmlpatterns libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5positioning5
        libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webkit5
        libqt5widgets5 libqt5x11extras5 libqt5xml5 libqtassistantclient4 libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4 libquadmath0
        libraptor2-0 librarian0 librasqal3 libraw1394-11 librdf0 librecode0 libreoffice-base-core libreoffice-base-drivers
        libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-help-de
        libreoffice-help-en-us libreoffice-impress libreoffice-l10n-de libreoffice-math libreoffice-ogltrans libreoffice-pdfimport
        libreoffice-style-breeze libreoffice-style-galaxy libreoffice-writer libresid-builder0c2a librest-0.7-0 librevenge-0.0-0
        libroken18-heimdal librsvg2-2 librsvg2-common librsync1 librtmp1 libsamplerate0 libsane-common libsane-dev libsane-hpaio
        libsasl2-2 libsasl2-modules libsasl2-modules-db libsbc1 libsdl-image1.2 libsdl1.2debian libseccomp2 libsecret-1-0
        libsecret-common libselinux1 libsemanage-common libsemanage1 libsensors4 libsensors4-dev libsepol1 libsgutils2-2 libshine3
        libshout3 libsidplay1v5 libsigc++-2.0-0v5 libsignon-extension1 libsignon-glib1 libsignon-plugins-common1 libsignon-qt5-1
        libsigsegv2 libslang2 libsmartcols1 libsmbclient libsnappy1v5 libsndfile1 libsnmp-base libsnmp-dev libsnmp30 libsocket6-perl
        libsonic0 libsoundtouch1 libsoup-gnome2.4-1 libsoup2.4-1 libsox-fmt-alsa libsox-fmt-base libsoxr0 libspandsp2 libspectre1
        libspeechd2 libspeex1 libspeexdsp1 libsqlite3-0 libsrtp0 libss2 libssh-gcrypt-4 libssh2-1 libssl-dev libssl-doc libssl1.0.0
        libstartup-notification0 libstdc++-5-dev libstdc++6 libstemmer0d libsub-name-perl libsystemd0 libtag1v5 libtag1v5-vanilla
        libtagc0 libtalloc2 libtar0 libtasn1-6 libtasn1-6-dev libtasn1-doc libtbb2 libtcl8.5 libtdb1 libtelepathy-glib0 libtevent0
        libtext-charwidth-perl libtext-csv-perl libtext-csv-xs-perl libtext-iconv-perl libtext-soundex-perl libthai-data libthai0
        libtheora0 libthunarx-2-0 libtiff5 libtiff5-dev libtiffxx5 libtinfo5 libtool libtotem-plparser-common libtotem-plparser18
        libtotem0 libtumbler-1-0 libtwolame0 libubsan0 libudev-dev libudev1 libudisks2-0 libuil4 libunique-1.0-0
        libunity-protocol-private0 libunity-scopes-json-def-desktop libunity9 libunshield0 libunwind8 libupnp6 libupower-glib3
        liburi-perl libusageenvironment3 libusb-0.1-4 libusb-1.0-0 libusb-1.0-0-dev libusb-1.0-doc libusbmuxd4 libustr-1.0-1
        libuuid-perl libuuid1 libv4l-0 libv4lconvert0 libvcdinfo0 libvisio-0.1-1 libvisual-0.4-0 libvlc5 libvncclient1 libvorbis0a
        libvorbisenc2 libvorbisfile3 libvte-2.91-0 libvte-2.91-common libvte-common libvte9 libwacom-bin libwacom-common libwacom2
        libwavpack1 libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwbclient0 libwebkit2gtk-4.0-37
        libwebkit2gtk-4.0-37-gtk2 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwildmidi-config libwind0-heimdal libwinpr-crt0.1
        libwinpr-dsparse0.1 libwinpr-environment0.1 libwinpr-file0.1 libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1
        libwinpr-interlocked0.1 libwinpr-library0.1 libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1
        libwinpr-sspi0.1 libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1 libwmf0.2-7 libwnck-3-0
        libwnck-3-common libwnck-common libwnck22 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libwrap0 libwrap0-dev libwww-perl
        libwxbase3.0-0v5 libwxgtk3.0-0v5 libx11-6 libx11-data libx11-xcb1 libx86-1 libxapp1 libxatracker2 libxcb-composite0
        libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-randr0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1
        libxcb-xf86dri0 libxcb-xfixes0 libxcb-xkb1 libxcb-xv0 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6
        libxfce4panel-2.0-4 libxfce4ui-1-0 libxfce4ui-2-0 libxfce4ui-common libxfce4ui-utils libxfce4util-bin libxfce4util-common
        libxfce4util7 libxfcegui4-4 libxfconf-0-2 libxfixes3 libxfreerdp-client1.1 libxi6 libxkbcommon-x11-0 libxkbcommon0 libxkbfile1
        libxklavier16 libxm4 libxml-parser-perl libxml-twig-perl libxml-xpathengine-perl libxml2 libxplayer-plparser18 libxplayer0
        libxpm4 libxrandr2 libxreaderdocument3 libxreaderview3 libxrender1 libxres1 libxshmfence1 libxslt1.1 libxt6 libxtst6 libxv1
        libxvidcore4 libxvmc1 libyajl2 libyaml-0-2 libyaml-libyaml-perl libyaml-tiny-perl libyelp0 libzbar0 libzeitgeist-2.0-0
        libzephyr4 libzip4 libzmq5 libzvbi-common libzvbi0 lightdm lightdm-settings lintian linux-base linux-firmware linux-generic
        linux-headers-generic linux-image-generic linux-libc-dev lm-sensors localechooser-data locales lockfile-progs login logrotate
        lp-solve lsb-base lsb-release lshw ltrace lupin-casper lupin-support lvm2 m4 make makedev man-db manpages manpages-dev mawk
        media-player-info meld mesa-utils mesa-va-drivers metacity metacity-common mime-support mint-common mint-info-cinnamon
        mint-meta-cinnamon mint-meta-codecs mint-meta-core mint-meta-xfce mint-themes mint-translations mint-x-icons mint-y-icons
        mintbackup mintdesktop mintdrivers mintinstall mintlocale mintnanny mintsources mintstick mintsystem mintupdate mintupload
        mintwelcome mlocate mobile-broadband-provider-info modemmanager module-init-tools mono-4.0-gac mono-gac mono-runtime
        mono-runtime-common mono-runtime-sgen mount mousepad mousetweaks mscompress mtools mtr-tiny muffin-common mugshot
        multiarch-support mythes-de mythes-en-us nano nautilus-data ncurses-base ncurses-bin ndiswrapper ndiswrapper-dkms nemo
        nemo-compare nemo-data nemo-emblems nemo-fileroller nemo-share net-tools netbase netcat-openbsd netpbm nettle-dev
        network-manager network-manager-gnome network-manager-pptp network-manager-pptp-gnome notification-daemon ntfs-3g ntpdate
        nux-tools obex-data-server ocl-icd-libopencl1 odbcinst odbcinst1debian2 openjdk-8-jre openjdk-8-jre-headless
        openoffice.org-hyphenation openprinting-ppds openssh-client openssl orage os-prober p11-kit p11-kit-modules p7zip p7zip-full
        p7zip-rar parted passwd patch patchutils pavucontrol pciutils pcmciautils perl perl-base pidgin pidgin-data pinentry-gnome3 pix
        pix-data pkg-config plymouth plymouth-label plymouth-theme-ubuntu-text pm-utils policykit-1 policykit-1-gnome poppler-data
        poppler-utils postfix powermgmt-base ppp pppconfig pptp-linux printer-driver-c2esp printer-driver-foo2zjs
        printer-driver-foo2zjs-common printer-driver-gutenprint printer-driver-hpcups printer-driver-min12xxw printer-driver-pnm2ppa
        printer-driver-postscript-hp printer-driver-ptouch printer-driver-sag-gdi printer-driver-splix procps protobuf-compiler psmisc
        pulseaudio pulseaudio-module-bluetooth pulseaudio-utils python python-apt python-apt-common python-aptdaemon
        python-aptdaemon.gtk3widgets python-attr python-blinker python-bs4 python-cairo python-cffi-backend python-chardet
        python-compizconfig python-crypto python-cryptography python-cups python-dbus python-dbus-dev python-debian python-dev
        python-dnspython python-enum34 python-feedparser python-gconf python-gdbm python-gi python-gi-cairo python-glade2 python-gnome2
        python-gobject python-gobject-2 python-gtk2 python-gtksourceview2 python-html5lib python-httplib2 python-idna python-ipaddress
        python-jwt python-ldb python-libxml2 python-lockfile python-lxml python-mako python-markupsafe python-minimal
        python-ndg-httpsclient python-nemo python-ntdb python-numpy python-oauthlib python-opencv python-openssl python-pam
        python-paramiko python-parted python-pexpect python-pil python-piston-mini-client python-pkg-resources python-protobuf
        python-ptyprocess python-pyasn1 python-pyasn1-modules python-pyatspi python-pycurl python-pyinotify python-pyorbit python-qt4
        python-qt4-dbus python-renderpm python-reportlab python-reportlab-accel python-samba python-serial python-setproctitle
        python-sip python-six python-smbc python-talloc python-tdb python-twisted-bin python-twisted-core python-twisted-names
        python-twisted-web python-urllib3 python-utidylib python-vte python-xapian python-xdg python-zope.interface python2.7
        python2.7-dev python2.7-minimal python3 python3-apt python3-aptdaemon python3-aptdaemon.gtk3widgets python3-blinker
        python3-brlapi python3-bs4 python3-cairo python3-cffi-backend python3-chardet python3-commandnotfound python3-crypto
        python3-cryptography python3-cups python3-cupshelpers python3-dbus python3-dbus.mainloop.qt python3-debian python3-dev
        python3-distupgrade python3-gdbm python3-gi python3-gi-cairo python3-html5lib python3-httplib2 python3-icu python3-idna
        python3-jwt python3-louis python3-lxml python3-minimal python3-oauthlib python3-pexpect python3-pil python3-piston-mini-client
        python3-pkg-resources python3-psutil python3-ptyprocess python3-pyasn1 python3-pyatspi python3-pycurl python3-pyqt4
        python3-renderpm python3-reportlab python3-reportlab-accel python3-requests python3-setproctitle python3-sip python3-six
        python3-speechd python3-uno python3-update-manager python3-urllib3 python3-virtkey python3-xapp python3-xdg qdbus qpdf qt-at-spi
        qtchooser qtcore4-l10n qttranslations5-l10n radeontool rake rarian-compat readline-common realmd reiserfsprogs rename resolvconf
        rfkill ristretto rkhunter rsync rsyslog rtkit ruby ruby-did-you-mean ruby-json ruby-minitest ruby-power-assert ruby-test-unit
        rubygems-integration samba samba-common samba-common-bin samba-dsdb-modules samba-libs sane-utils scrollkeeper seahorse sed
        sensible-utils session-migration sgml-base shared-mime-info signon-plugin-oauth2 signon-plugin-password signon-ui-service
        signon-ui-x11 signond simple-scan slick-greeter smbclient smistrip sni-qt snmp-mibs-downloader sound-theme-freedesktop sox
        speech-dispatcher speech-dispatcher-audio-plugins ssh-askpass-gnome ssl-cert strace streamer sudo synaptic syslinux
        syslinux-common syslinux-legacy system-config-printer-common system-config-printer-gnome system-config-printer-udev
        system-tools-backends systemd systemd-sysv sysvinit-utils t1utils tango-icon-theme tar tcl8.5 tcpd tcpdump tdb-tools telnet
        thermald thunar thunar-data time tomboy totem-common transmission-common transmission-gtk tree ttf-dejavu ttf-dejavu-core
        ttf-dejavu-extra ttf-mscorefonts-installer ttf-ubuntu-font-family tumbler tumbler-common tzdata ubuntu-drivers-common
        ubuntu-keyring ubuntu-minimal ubuntu-release-upgrader-core ubuntu-settings ubuntu-system-adjustments ubuntu-system-service ucf
        udev udisks2 ufw unattended-upgrades unixodbc uno-libs3 unrar unshield unzip update-inetd update-manager-core
        update-notifier-common upower ure ureadahead usb-modeswitch usb-modeswitch-data usbmuxd usbutils user-setup util-linux
        uuid-runtime va-driver-all vbetool vim-common vim-tiny vino vlc vlc-data vlc-plugin-notify vlc-plugin-samba wamerican watershed
        wbritish wget whiptail whois winbind wine1.6 wine1.6-i386 winetricks wireless-regdb wireless-tools wmctrl wngerman wodim
        wogerman wpasupplicant wswiss x11-apps x11-common x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils x11-xserver-utils
        xapps-common xauth xawtv-plugins xchm xclip xdg-desktop-portal xdg-desktop-portal-gtk xdg-user-dirs xdg-user-dirs-gtk xdg-utils
        xed xed-common xfburn xfce4 xfce4-appfinder xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin xfce4-cpufreq-plugin
        xfce4-datetime-plugin xfce4-dict xfce4-diskperf-plugin xfce4-eyes-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-goodies
        xfce4-indicator-plugin xfce4-mount-plugin xfce4-netload-plugin xfce4-notifyd xfce4-panel xfce4-power-manager
        xfce4-power-manager-data xfce4-power-manager-plugins xfce4-pulseaudio-plugin xfce4-session xfce4-settings
        xfce4-smartbookmark-plugin xfce4-systemload-plugin xfce4-terminal xfce4-wavelan-plugin xfce4-weather-plugin
        xfce4-whiskermenu-plugin xfce4-xkb-plugin xfconf xfdesktop4 xfdesktop4-data xfonts-utils xfsprogs xfwm4 xinit xinput xkb-data
        xml-core xorg xorg-docs-core xplayer xplayer-common xplayer-plugins xplayer-plugins-extra xreader xreader-common xsane
        xsane-common xscreensaver xscreensaver-data xscreensaver-data-extra xscreensaver-gl xscreensaver-gl-extra xserver-common
        xserver-xephyr xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-synaptics
        xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev
        xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-neomagic xserver-xorg-video-nouveau
        xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
        xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
        xserver-xorg-video-vesa xserver-xorg-video-vmware xubuntu-icon-theme xviewer xviewer-plugins xz-utils yelp yelp-xsl zenity
        zenity-common zip zlib1g zlib1g-dev
      2036 upgraded, 447 newly installed, 51 to remove and 0 not upgraded.
      Need to get 1492 MB of archives.
      After this operation, 1592 MB of additional disk space will be used.
      Do you want to continue? [Y/n] N
      Abort.
      
        + Restoring your backed up APT sources...
      karl@unimatrix0 ~ $ 
      Here is the list of the 51 packages which will be removed 1 package per line:

      Code: Select all

      The following packages will be REMOVED:
      
      cinnamon-screensaver-pam-helper
      cinnamon-themes
      fonts-droid
      gir1.2-totem-plparser-1.0
      gir1.2-webkit2-3.0
      gnome-themes-standard-data
      gstreamer1.0-plugins-bad-faad
      gstreamer1.0-plugins-bad-videoparsers
      gstreamer1.0-plugins-ugly-amr
      hexchat-python
      libabw-0.1-1v5
      libcurl3
      libdouble-conversion1v5
      libgnutls-dev
      libjpeg-progs
      libkadm5srv-mit9
      libkdb5-8
      libmagickcore-6.q16-2
      libmagickcore-6.q16-2-extra
      libmagickwand-6.q16-2
      libmetacity-private3a
      libnss3-1d
      libnss3-nssdb
      libpeas-1.0-0-python3loader
      libperl5.22
      libsane
      libsidplay2v5
      libvlccore8
      libwebkit2gtk-3.0-25
      libwebkitgtk-1.0-common
      libwebkitgtk-3.0-common
      mint-artwork-cinnamon
      mint-artwork-common
      mint-artwork-gnome
      mint-artwork-xfce
      mint-backgrounds-xfce
      mint-themes-gtk3
      mint-y-theme
      nemo-folder-color-switcher
      perl-modules-5.22
      pulseaudio-module-x11
      python-pyatspi2
      python3-aptdaemon.pkcompat
      python3-xapian1.3
      systemd-shim
      unity-control-center-faces
      vlc-nox
      wine
      xserver-xorg-input-vmmouse
      xserver-xorg-video-cirrus
      xserver-xorg-video-mga
      The essence of the mintupgrade check is:

      Code: Select all

      2036 upgraded, 447 newly installed, 51 to remove and 0 not upgraded.
      Need to get 1492 MB of archives.
      After this operation, 1592 MB of additional disk space will be used.
      Does not read bad. No errors or warnings during the mintupgrade check. So I guess the decision will be to go on and execute the actual "mintupgrade" steps, which will turn Mint 18.3 into Mint 19.

      Before going ahead, followed the advice of saving the list of the 51 packages which are going to be removed.
      Saved the whole screen output of the mintupgrade check into a file named "Zotac_Mint18.3_to_Mint19_simulation.txt".
      This includes the names of the 51 packages, which will be removed.
      So it will be possible to check after upgrading, whether there are any packages, which should be re-installed.
      Just to make sure that at this point in time my Mint 18.3 is still unmodified, I verified that the content of the directory /etc/apt actually is what it had been before. Yes, it is.
    --(end of mintupgrade check--)
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
karlchen
Level 19
Level 19
Posts: 9320
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by karlchen » Fri Sep 28, 2018 7:42 am

Step 4: Upgrade my Mint 18.3 to Mint 19.0 in-place using MintUpgrade 18.3.11
  • MintUpgrade from Mint 18.3 to Mint 19
    Still following the official instruction: How to upgrade to Linux Mint 19
    • Section "D5. Download the package upgrades":

      Code: Select all

      karl@unimatrix0 ~ $ mintupgrade download
      
        + Checking your Linux Mint codename...
      
        + Checking your Linux Mint edition...
      
        + Checking your Timeshift configuration...
      
        + Checking your Display Manager...
      
        + Updating cache...
      [sudo] password for karl: 
      Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
      Hit:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease                                                                    
      Hit:3 http://security.ubuntu.com/ubuntu xenial-security InRelease                                                                  
      Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                                                                         
      Hit:5 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu xenial InRelease                                                 
      Hit:6 http://archive.ubuntu.com/ubuntu xenial-backports InRelease                                                                  
      Hit:7 http://ppa.launchpad.net/unit193/inxi/ubuntu xenial InRelease                                                                
      Ign:8 http://packages.linuxmint.com sylvia InRelease                                                                               
      Hit:9 http://packages.linuxmint.com sylvia Release
      Reading package lists... Done 
      
        + Checking if Linux Mint is up to date...
      
        + Backing up your APT sources...
      
      -------------------------------------------------
          Your repositories will now be switched to point to Linux Mint 19 'Tara'.
          Any 3rd party repositories or PPA will be removed.
          A backup of your APT sources will be written to /home/karl/Upgrade-Backup/APT/.
      
          Do you want to continue? [y/n]: y
      
        + Setting up the repositories for Linux Mint 19 'Tara'...
      Get:1 http://archive.ubuntu.com/ubuntu bionic InRelease [242 kB]
      Get:2 http://archive.canonical.com/ubuntu bionic InRelease [10.2 kB]                                                               
      Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]                                                        
      [... lots of lines skipped ...]
      Get:2480 http://archive.ubuntu.com/ubuntu bionic/main i386 usb-modeswitch i386 2.5.2+repack0-2ubuntu1 [55.3 kB]                    
      Get:2481 http://archive.ubuntu.com/ubuntu bionic/main i386 usb-modeswitch-data all 20170806-2 [30.7 kB]                            
      Get:2482 http://archive.ubuntu.com/ubuntu bionic/universe i386 watershed i386 9 [11.5 kB]                                          
      Get:2483 http://archive.ubuntu.com/ubuntu bionic/main i386 xserver-xorg-legacy i386 2:1.19.6-1ubuntu4 [32.7 kB]                    
      Fetched 1492 MB in 48min 36s (512 kB/s)                                                                                            
      Download complete and in download only mode
      karl@unimatrix0 ~ $ 
      The download completed after 48.5 min. without any problems.

      Code: Select all

      $ df -h /
      Filesystem      Size  Used Avail Use% Mounted on
      /dev/sda6        48G   12G   34G  25% /
    • Section "D6. Apply the upgrades":

      Code: Select all

      mintupgrade upgrade
      Screen output captured in file Zotac_Mint18.3_to_Mint19_upgrade1.txt. File zipped and attached to this post.
      .
    • I am afraid mintupgrade has failed and the system may be dead
      This is where I think the "mintupgrade upgrade" failed and will not be able to recover from this failure.
      File Zotac_Mint18.3_to_Mint19_upgrade1.txt starting with line 1943:

      Code: Select all

      Preparing to unpack .../libgnomekbd8_3.26.0-3_i386.deb ...
      Unpacking libgnomekbd8:i386 (3.26.0-3) over (3.6.0-1ubuntu2) ...
      Processing triggers for libc-bin (2.27-3ubuntu1) ...
      dpkg: dependency problems prevent processing triggers for gconf2:
       gconf2 depends on dbus-x11; however:
        Package dbus-x11 is not configured yet.
      And then it is going on repeating the same error message many many times.

      It tried in fallback mode. And now it wants to switch to manual mode. - Not quite sure what mintupgrade has got in mind.
      + An issue was detected during the upgrade, running the upgrade in manual mode....

      Manual mode ended quickly:

      Code: Select all

      [...]
      gconf2
      Processing was halted because there were too many errors.
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      
      ------------------------------------------------
      !!  ERROR: Failed to upgrade some of the packages. Please review the error message, use APT to fix the situation and try again.
      !!  Exiting.
      ------------------------------------------------
    • The solution cannot be that simple, can it?

      Code: Select all

      karl@unimatrix0 ~ $ sudo dpkg --configure dbus-x11
      dpkg: dependency problems prevent configuration of dbus-x11:
       dbus-x11 depends on dbus; however:
        Package dbus is not configured yet.
      
      dpkg: error processing package dbus-x11 (--configure):
       dependency problems - leaving unconfigured
      Errors were encountered while processing:
       dbus-x11
      karl@unimatrix0 ~ $ sudo dpkg --configure dbus
      Setting up dbus (1.12.2-1ubuntu1) ...
      A reboot is required to replace the running dbus-daemon.
      Please reboot the system when convenient.
      Removing obsolete conffile /etc/init/dbus.conf ...
      karl@unimatrix0 ~ $ sudo dpkg --configure dbus-x11
      Setting up dbus-x11 (1.12.2-1ubuntu1) ...
      Installing new version of config file /etc/X11/Xsession.d/75dbus_dbus-launch ...
      Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
      
    • Section "D6. Apply the upgrades", 2nd try:

      Code: Select all

      mintupgrade upgrade
      The 2nd run of "mintupgrade upgrade" took 3 hours on this machine.
      Screen output captured in file Zotac_Mint18.3_to_Mint19_upgrade2.txt. File zipped and attached to this post.
      Have not spotted any severe error in the file so far.
      .
    • Rebooting into Mint 19 Tara now
      Stay tuned in order to find out whether I will return or not ...
      .
    • Linux Mint 19 Tara is has come up.
      Rebooting worked fine, but not faster than on Mint 18.3. - Had I really expected so? No, not really.
      Here are some details about Mint 19 Tara, upgraded in-place from Mint 18.3.

      Code: Select all

      $ sudo apt-get check
      [sudo] password for karl: 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      $ sudo dpkg --configure -a
      karl@unimatrix0 ~/Scripts $ echo $?
      0
      $ inxi -Fxz
      System:    Host: unimatrix0 Kernel: 4.15.0-34-generic i686 bits: 32 compiler: gcc v: 7.3.0 
                 Desktop: Cinnamon 3.8.9 Distro: Linux Mint 19 Tara base: Ubuntu 18.04 bionic 
      Machine:   Type: Desktop Mobo: N/A model: N/A serial: <filter> BIOS: American Megatrends v: 080015 
                 date: 10/09/2009 
      CPU:       Topology: Dual Core model: Intel Atom 330 bits: 64 type: MT MCP arch: Bonnell rev: 2 
                 L2 cache: 512 KiB 
                 flags: lm nx pae sse sse2 sse3 ssse3 bogomips: 12800 
                 Speed: 1600 MHz min/max: N/A Core speeds (MHz): 1: 1600 2: 1600 3: 1600 4: 1600 
      Graphics:  Device-1: NVIDIA ION VGA driver: nouveau v: kernel bus ID: 03:00.0 
                 Display: x11 server: X.Org 1.19.6 driver: nouveau unloaded: fbdev,modesetting,vesa 
                 resolution: 1280x1024~60Hz 
                 OpenGL: renderer: NVAC v: 3.3 Mesa 18.0.5 direct render: Yes 
      Audio:     Device-1: NVIDIA MCP79 High Definition Audio driver: snd_hda_intel v: kernel bus ID: 00:08.0 
                 Sound Server: ALSA v: k4.15.0-34-generic 
      Network:   Device-1: NVIDIA MCP79 Ethernet driver: forcedeth v: kernel port: d080 bus ID: 00:0a.0 
                 IF: eth0 state: down mac: <filter> 
                 Device-2: Qualcomm Atheros AR9285 Wireless Network Adapter driver: ath9k v: kernel bus ID: 04:00.0 
                 IF: wlan0 state: up mac: <filter> 
      Drives:    Local Storage: total: 149.05 GiB used: 12.40 GiB (8.3%) 
                 ID-1: /dev/sda vendor: Samsung model: HM160HI size: 149.05 GiB temp: 47 C 
      Partition: ID-1: / size: 47.12 GiB used: 12.39 GiB (26.3%) fs: ext4 dev: /dev/sda6 
                 ID-2: swap-1 size: 5.05 GiB used: 16.0 MiB (0.3%) fs: swap dev: /dev/sda5 
      Sensors:   System Temperatures: cpu: 84.0 C mobo: N/A gpu: nouveau temp: 61 C 
                 Fan Speeds (RPM): N/A 
      Info:      Processes: 201 Uptime: 1h 29m Memory: 1.71 GiB used: 821.8 MiB (46.8%) Init: systemd runlevel: 5 
                 Compilers: gcc: 7.3.0 Shell: bash v: 4.4.19 inxi: 3.0.24 
      
    • Problems encountered and solved after upgrading
      Trouble shooting will not begin before tomorrow.
    --(happy end for an upgrade that had tried to give me a heart attack first--)
Attachments
Zotac_Mint18.3_to_Mint19_upgrade2.zip
(116.4 KiB) Downloaded 2 times
Zotac_Mint18.3_to_Mint19_upgrade1.zip
(180.68 KiB) Downloaded 2 times
Last edited by karlchen on Fri Sep 28, 2018 2:59 pm, edited 1 time in total.
Reason: added a few details about Mint 19 Tara after it had come up from its first reboot after "mintupgrade upgrade"
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

User avatar
catweazel
Level 17
Level 17
Posts: 7516
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: Upgrade from Mint 17.1 to Mint 19 in-place (experiment)

Post by catweazel » Fri Sep 28, 2018 7:55 am

karlchen wrote:
Sun Sep 16, 2018 8:25 am
Warning in advance: Don't do this at home!
This is not a tutorial, but a docu soap with my own Mint 17.1 system as the guinea-pig.
Have you had any complaints yet about cruelty to guinea-pigs?
¡uʍop ǝpısdn sı buıɥʇʎɹǝʌǝ os ɐıןɐɹʇsnɐ ɯoɹɟ ɯ,ı

Post Reply

Return to “Chat about Linux Mint”